2011-12-25   Dan McMahill * dan AT mcmahill dot net *

	* src/Makefile.am: Set shared lib version number in prep for 2.6.0
	release.

2011-12-24   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c, src/draw-gdk.c, src/draw.c, src/interface.c,
	src/main.c, src/render.c, src/scheme.c: * clean up all 'unused variable' compiler warnings

2011-12-24   Dan McMahill * dan AT mcmahill dot net *

	* src/project.c: Remove 2 unused variables (they were set but the
	values never used) to increase the SNR of the compiler warning
	output

2011-12-24   Dan McMahill * dan AT mcmahill dot net *

	* NEWS: Somehow the 2.5.0 release notes in NEWS never got committed
	so add them now.

2011-11-28   Dan McMahill * dan AT mcmahill dot net *

	* configure.ac: Check for dlopen in -ldl.  This is used by the
	TinyScheme dynamic loader (src/dynload.c).  Fixes linking problems
	seen on some systems like Fedora 16.

2011-09-04   Julian Lamb * thepurlieu AT gmail dot com *

	* .gitignore: * add .gitignore file to better track changed files with git (patch
	from Uwe Bonnes)

2011-05-01   Julian Lamb * thepurlieu AT gmail dot com *

	* src/export-drill.c, src/export-rs274x.c: Change LC_NUMERIC calls
	in the export functions to ensure portability

2011-05-01   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c, src/render.c: patch from Canonical to allow
	better compilation with quartz (ticket 3295792)

2011-04-02   Julian Lamb * thepurlieu AT gmail dot com *

	* src/export-drill.c, src/export-rs274x.c: force rs274x and drill
	export to use dots for commas this should prevent exporting
	incorrect formats on machines with other locales

2011-04-01   Julian Lamb * thepurlieu AT gmail dot com *

	* src/draw.c: enforce a minimum width on flashed rectangle apertures
	Eagle CAD seems to use very thin flashed rectangles for
	logos/images, and the cairo rendering did not render them sometimes

2011-03-08   Julian Lamb * thepurlieu AT gmail dot com *

	* : commit f990adcfab61c16a3992be4d00e21da5a2bfe251  Author: Julian
	Lamb * thepurlieu AT gmail dot com * Date:   Tue Mar 8 21:07:39 2011
	-0500

2011-02-19   Stefan Petersen * spe AT stacken dot kth dot se *

	* example/amacro-ref/README.txt,
	example/amacro-ref/gerbv_am_expression_bug.ger: Added example on
	using precedence sensitive calculations of aperture macros.

2011-03-07   Julian Lamb * thepurlieu AT gmail dot com *

	* src/draw.c, src/draw.h, src/gerbv.c, src/gerbv.h: greatly improve
	vector output accuracy many thanks for the bug and patch from Simon
	Bichler (3197830)

2011-03-07   Julian Lamb * thepurlieu AT gmail dot com *

	* src/draw.c: disable the minimum line width rendering logic for
	scaled layers fixes bug 3202311

2011-03-05   Julian Lamb * thepurlieu AT gmail dot com *

	* src/export-rs274x.c: increase the resolution for exported RS274X
	files from 2.3 to 3.4 format fixes bug 3197816

2011-03-05   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c: check for a selected layer before trying to
	save/export it fixes bug 3197797

2011-03-02   Julian Lamb * thepurlieu AT gmail dot com *

	* src/gerbv.c: set the screen size to a default size when the board
	size is invalid fixes bug 3196664

2011-03-02   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c, src/interface.c, src/main.h: grey out all
	applicable menu items when no layers are open fixes bug 3196584,
	where Excellon export crashes with no file open

2011-02-18   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/amacro.c: Implemented operator precedence in aperture macro
	parsing as per updated std.  Closes bug #3172530. Uses shunting yard algorithm, suggested by bug
	reporter Ben Rampling.

2011-02-12   Julian Lamb * thepurlieu AT gmail dot com *

	* src/gerber.c: * fix scaling bug when multiple scale factors are present (bug
	3172964)

2011-01-15   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c: fix printing bug where only the bottom layer
	printed out (patch by cloudfish)

2011-01-12   Julian Lamb * thepurlieu AT gmail dot com *

	* src/interface.c: relabel the "Current layer" menu to Layer to make
	it one word only

2011-01-12   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c, src/callbacks.h, src/interface.c: add a file
	merging feature to the GUI menu thanks to Doug Springer for this
	nice feature which allows the user to do things like basic
	panelizing using the GUI now (it was previously only possible via
	the command line)

2011-01-12   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c, src/callbacks.h, src/interface.c,
	src/interface.h, src/main.h: patches by Stefan Tauner to add the
	"current layer" menuitem to the main menu also includes some other
	cleanup work by Stefan as well

2011-01-12   Julian Lamb * thepurlieu AT gmail dot com *

	* src/draw.c: * fix macro rendering on clear layers (bug 3154966)

2011-01-11   Dan McMahill * dan AT mcmahill dot net *

	* configure.ac: Welcome to 2.5A

2011-01-11   Dan McMahill * dan AT mcmahill dot net *

	* ChangeLog: update for 2.5.0

2011-01-08   Dan McMahill * dan AT mcmahill dot net *

	* src/Makefile.am: Bump shared lib version in prep for 2.5 release.

2011-01-07   Dan McMahill * dan AT mcmahill dot net *

	* README-release.txt: Minor updates (version numbers only) for the
	up and coming 2.5 release.

2011-01-07   Dan McMahill * dan AT mcmahill dot net *

	* win32/build_gerbv: Expand this script to cover pcb and wcalc as
	well as gerbv.  Until such time as I get a decent NetBSD or Linux
	hosted cross build environment set up I should at least have an
	easier job of maintaining this script since it should be shared with
	no changes between the three projects now.

2011-01-07   Dan McMahill * dan AT mcmahill dot net *

	* win32/gerbv.nsi.in: Update some of the installer license info to
	reflect the latest set of gtk for win32 and friends downloads

2011-01-07   Dan McMahill * dan AT mcmahill dot net *

	* win32/extract_gtk_win32: Update for the latest set of downloads of
	gtk for win32

2011-01-02   Dan McMahill * dan AT mcmahill dot net *

	* win32/gerbv.nsi.in:  Use @prog instead of @gerbv in this file
	which makes it a little easier to use the same top level build
	script for both pcb and gerbv.

2011-01-02   Dan McMahill * dan AT mcmahill dot net *

	* : commit 966ac7e1567380978f8f6e63e11829105c055179  Author: Dan
	McMahill * dan AT mcmahill dot net * Date:   Sat Jan 1 13:26:43 2011
	-0500

2011-01-01   Julian Lamb * thepurlieu AT gmail dot com *

	* : commit 3b0ad206c7df6a5b1aa9cc0d6d308f70c32e68dc  Author: Julian
	Lamb * thepurlieu AT gmail dot com * Date:   Sat Jan 1 09:58:53 2011
	-0500

2010-12-31   Dan McMahill * dan AT mcmahill dot net *

	* src/interface.c: Add missing header for malloc().

2010-12-30   Julian Lamb * thepurlieu AT gmail dot com *

	* src/drill.c: * fix leak and possible segfault in drill parser (patch by Doug
	Springer)

2010-12-22   Julian Lamb * thepurlieu AT gmail dot com *

	* src/pick-and-place.c: * fix segfault in pick-and-place parser (bug 3141941)

2010-12-14   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c, src/callbacks.h, src/gerbv.c, src/gerbv.h,
	src/interface.c, src/interface.h, src/main.c, src/main.h,
	src/project.c, src/render.c: * add persistent keyboard accelerators, extra menu options, and do
	general cleanup large patch from Stefan Tauner, which finishes
	mapping every possible command to the menus, as well as add
	persistent keyboard accelerators for everything. Also lots of
	general cleanup in the interface code.

2010-10-12   Julian Lamb * thepurlieu AT gmail dot com *

	* src/render.c: * increase max zoom 4 times, to allow more accurate measurements The
	previous zoom limit was set to prevent GDK rendering artifacts, but
	the rendering speedups in the code now eliminate those so there is
	no issue with zooming in.

2010-09-08   Julian Lamb * thepurlieu AT gmail dot com *

	* src/drill.c: * fix crasher in drill parsing (bug 3061736) crasher was caused in
	bug in get_line function when given an empty line

2010-08-24   Julian Lamb * thepurlieu AT gmail dot com *

	* src/interface.c: * add accelerator for color changing

2010-08-24   Julian Lamb * thepurlieu AT gmail dot com *

	* src/interface.c: * change F8 shortcut to F7, per the GNOME HIG

2010-08-24   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c, src/callbacks.h, src/interface.c: * add keyboard shortcut for moving layers up and down (patch by
	Stefan Tauner)

2010-08-22   Julian Lamb * thepurlieu AT gmail dot com *

	* src/interface.c: * change toolbar visibility key shortcut to F8, since F10 is
	normally stolen for the GTK menu

2010-08-22   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c, src/callbacks.h, src/interface.c: * add pseudo-fullscreen mode (patch by Stefan Tauner)

2010-08-20   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c, src/callbacks.h, src/draw.c, src/interface.c: add
	ability to toggle sidebar visibility and add menu and keyboard
	shortcut for layer visibility (patch by Stefan Tauner)

2010-08-18   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c, src/callbacks.h, src/interface.c: add ability to
	toggle toolbar visibility, and add additional menu accelerators
	(patch by Stefan Tauner)

2010-08-18   Julian Lamb * thepurlieu AT gmail dot com *

	* src/draw.c: pixel-align the coordinates when rendering via cairo
	(benchmark shows a 10%-15% speed boost)

2010-08-11   Julian Lamb * thepurlieu AT gmail dot com *

	* src/drill.c: * fix length calcs in previous patch to prevent possible buffer
	overruns

2010-08-11   Julian Lamb * thepurlieu AT gmail dot com *

	* src/drill.c: * ignore comments in drill files when determining file type patch by Doug Springer (ID:3043154)

2010-07-28   Julian Lamb * thepurlieu AT gmail dot com *

	* src/gerb_image.c, src/gerber.c, src/gerber.h: recalculate the
	bounding boxes when drawing primatives via the libgerbv API

2010-06-30   Julian Lamb * thepurlieu AT gmail dot com *

	* src/gerber.c: fix handling of trailing zero suppression with very
	large precisions (TAX35, etc) (bug 3022957)

2010-06-11   Julian Lamb * thepurlieu AT gmail dot com *

	* doc/example-code/example1.c, doc/example-code/example2.c,
	doc/example-code/example4.c, doc/example-code/example5.c,
	src/export-rs274x.c: fix the example code files showing how to use
	libgerv, and use a default identity transform during exporting if
	nothing is specified

2010-04-29   Julian Lamb * thepurlieu AT gmail dot com *

	* src/draw-gdk.c: fix GDK rendering or Macro 22 elements when
	negative coordinates are present (bug 2994471)

2010-04-27   Julian Lamb * thepurlieu AT gmail dot com *

	* src/interface.c: fix tooltip for modify layer button (patch by
	Joerg Wunsch)

2010-03-25   Julian Lamb * thepurlieu AT gmail dot com *

	* src/gerber.c: fix handling of whitespace in the middle of an
	RS274X command (bug 2976400)

2010-03-11   Julian Lamb * thepurlieu AT gmail dot com *

	* src/export-rs274x.c: * fix bug in exporting outline macros (fixes bug 2968567 and
	2968550)

2010-02-25   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c: unselect all items if a layer is hidden (bug
	2957479)

2010-02-25   Julian Lamb * thepurlieu AT gmail dot com *

	* src/drill.c: fix drill parsing bug when INCH command has nothing
	after it (bug 2957994)

2010-02-20   Dan McMahill * dan AT mcmahill dot net *

	* configure.ac: Welcome to 2.4A

2010-02-20   Dan McMahill * dan AT mcmahill dot net *

	* src/Makefile.am: Increment revision for shared lib in prep for the
	2.4.0 release.

2010-02-20   Dan McMahill * dan AT mcmahill dot net *

	* ChangeLog, NEWS: Update ChangeLog and NEWS for the 2.4.0 release

2010-02-20   Dan McMahill * dan AT mcmahill dot net *

	* utils/git2cl: Strip trailing whitespace on comment lines.

2010-02-20   Dan McMahill * dan AT mcmahill dot net *

	* README-release.txt: Minor updates for 2.4.0 release.

2010-02-19   Dan McMahill * dan AT mcmahill dot net *

	* README-release.txt: Update the release documentation to deal with
	the cvs to git change.

2010-02-19   Dan McMahill * dan AT mcmahill dot net *

	* utils/git2cl: Add script to produce a ChangeLog from git.

2010-02-19   Julian Lamb * thepurlieu AT gmail dot com *

	* src/gerber.c: fix bug 2954915, where circular moves were parsed
	incorrectly with trailing zero suppression

2010-02-15   Julian Lamb * thepurlieu AT gmail dot com *

	* src/gerber.c: fix bug 2949590 by making sure we catch null strtok
	results in the aperture parser This bug showed up in some very bad
	Gerber files. gerbv should now not segfault, but instead throw up
	errors and display what it can.

2010-01-23   Julian Lamb * thepurlieu AT gmail dot com *

	* src/draw.c, src/draw.h, src/drill.c, src/gerb_image.c,
	src/gerber.c, src/gerbv.c, src/gerbv.h, src/render.c: fix bug
	2935054, where text in exported PDF files was illegible This bug was caused by our draw rule that all lines must be at least
	1 pixel wide, which ensures they show up at far zoom levels.
	However, for 72DPI print or PDF output, this rule should be avoided
	because the cairo backends for these don't need them.

2009-12-18   Julian Lamb * thepurlieu AT gmail dot com *

	* src/gerber.c: Fix bug in file format recognition code, and clean
	up error messages with bed AD definitions

2009-12-02   Julian Lamb * thepurlieu AT gmail dot com *

	* src/gerber.c: * allow the RS274X parser to catch multiple "blocks" within a single
	line Fixes a bug reported by Dave N6NZ.  Multiple blocks are clearly
	allowed within the same line in the RS274X spec, so this was a big
	ommision in gerbv.

2009-11-22   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c: Fix sidebar bug where small scale and
	translations in X did not display a marker (bug and fix by mland,
	bug #2901881(

2009-11-05   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c: apply patch from Uwe Bonnes to display the total
	aperture uses in the anaylsis tool (patch #2892537)

2009-11-01   Julian Lamb * thepurlieu AT gmail dot com *

	* src/draw-gdk.c: * fix regression in FAST mode rendering with flashed apertures

2009-09-22   Julian Lamb * thepurlieu AT gmail dot com *

	* src/gerb_image.c, src/gerbv.c, src/gerbv.h: Modify our parsing
	behavior for RS-274D files Try to parse files we suspect as RS-274D because of missing
	apertures/etc (fixes bug 2864667), and create dummy apertures to
	roughly visualize the file if it is actually a RS-274D file (fixes
	feature request 566142).

2009-09-14   Julian Lamb * thepurlieu AT gmail dot com *

	* src/draw-gdk.c: Fix FAST mode translation rendering error in Y
	direction (bug 2858102)

2009-09-10   Julian Lamb * thepurlieu AT gmail dot com *

	* src/gerbv.h: Fix typo in last commit

2009-09-10   Julian Lamb * thepurlieu AT gmail dot com *

	* src/gerbv.h: Apply patch from Don Wooten to make libgerbv easier
	to use from C++

2009-08-20   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c: Fix bug 2841371 (segfault on edit->orientation
	with no layer loaded)

2009-08-17   Julian Lamb * jul AT jul-laptop dot (none) *

	* src/draw-gdk.c, src/draw.c: * fix another type to hopefully fix a step and repeat display bug

2009-08-16   Julian Lamb * jul AT jul-laptop dot (none) *

	* src/draw.c: * revert commenting accidentally pushed with last commit

2009-08-16   Julian Lamb * jul AT jul-laptop dot (none) *

	* : commit 5f9a34f321dadf544a35dd1625055f5a15f98e02  Author: Julian
	Lamb * jul AT jul-laptop dot (none) * Date:   Sun Aug 16 19:51:03
	2009 -0400

2009-08-09   Stefan Petersen * spe AT stacken dot kth dot se *

	* man/gerbv.1.in: Removed what seems like a spurious line in man
	page.  This error was reported in Debian Lintian system.

2009-08-14   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/callbacks.c, src/export-rs274x.c: Updated URL's in the about
	screen and export comment to reflect the moved website.

2009-07-14   Julian Lamb * jul AT jul-laptop dot (none) *

	* src/draw.c: Test committing to new git system Clean up a small
	section of code and test the new git system

2009-07-10   Dan McMahill * dan AT mcmahill dot net *

	* configure.ac: welcome to 2.3A

2009-07-10   Dan McMahill * dan AT mcmahill dot net *

	* ChangeLog, NEWS, README-release.txt: update for gerbv-2.3.0

2009-07-10   Dan McMahill * dan AT mcmahill dot net *

	* src/Makefile.am: draw.c and draw-gdk.c functions are used in
	gerbv.c which is part of libgerbv.  Since we have -no-undefined, we
	require libgerbv to be fully self contained so move draw.c and
	draw-gdk.c over to libgerbv.  While here bump the age in prep for a
	release.

2009-07-02   Julian Lamb * thepurlieu AT gmail dot com *

	* src/draw-gdk.c: * apply patch from ineiev to fix small error in FAST mode arc
	rendering

2009-04-30   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c, src/exportimage.c, src/gerbv.h: * rework export svg/pdf/ps functionality to export images with 1:1
	scale. Previously we autoscaled vector outputs to a 8.5x11 paper
	size, but it makes more sense to export true 1:1 scale instead since
	vector output formats are usually scaled when viewing. Fixes bug
	#2784295.

2009-03-31   Dan McMahill * dan AT mcmahill dot net *

	* README, configure.ac, src/Makefile.am, test/Makefile.am: remove
	the logic for disabling cairo.  Even when we render with gdk we use
	some of the cairo functions for transformation math.  Also remove
	the libpng stuff since we now require cairo.

2009-03-28   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c: * cleanup a spurious comment accidentally left in from previous
	commit

2009-03-28   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c: * fix error in vertical scrollbar calculations when zoomed in. The
	coordinate systems gets a bit confusing, but I think it's correct
	now. Hopefully this fixes the bug spotted by Dan.

2009-03-27   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c, src/callbacks.h, src/exportimage.c,
	src/gerber.c, src/gerbv.c, src/interface.c, src/main.c,
	src/render.c, src/render.h: * remove all RENDER_USING_GDK and EXPORT_PNG ifdefs, since we're
	removing those compile options from gerbv (see recent gerbv-devel
	mailing list discussion).

2009-03-27   Dan McMahill * dan AT mcmahill dot net *

	* src/main.c: add the function name to all dprintf output

2009-03-27   Dan McMahill * dan AT mcmahill dot net *

	* win32/build_gerbv: add a --nsis-only and --skip-nsis option

2009-03-26   Julian Lamb * thepurlieu AT gmail dot com *

	* src/gerb_image.c: * fix a few more issues in libgerbv where we only checked apertures
	>= 10, which potentially ignored some apretures in Excellon files
	(patch by Robert Spanton)

2009-03-24   Julian Lamb * thepurlieu AT gmail dot com *

	* doc/example-code/example1.c, doc/example-code/example2.c,
	doc/example-code/example3.c, doc/example-code/example4.c,
	doc/example-code/example5.c, doc/example-code/example6.c: * update libgerbv example source files with the updates command line
	text for compilation, since the change to the pkgconfig file now
	eliminates the need to specify gtk and glib

2009-03-24   Julian Lamb * thepurlieu AT gmail dot com *

	* src/libgerbv.pc.in: * add pkgconfig dependiencies to libgerbv to reduce some typing
	during compiling (patch by Robert Spanton)

2009-03-24   Julian Lamb * thepurlieu AT gmail dot com *

	* src/export-rs274x.c, src/gerber.c: * make sure image rotations stay within 0-270 range when saving and
	loading (patch from Todd Blackmon)

2009-03-19   Julian Lamb * thepurlieu AT gmail dot com *

	* src/draw-gdk.c, src/interface.c: * restrict the user rotations to 0/90/180/270, since the RS274X spec
	only allows those values for image rotations. This fixes a bug where
	non-orthogonal rotations don't save correctly, and also some
	problems with zoom to fit (noticed by Todd Blackmon).  * implement the layer rotation RS274X command in the GDK renderer.
	This fixes the rendering problem with test-layer-rotation-1.gbx
	(noticed by Todd Blackmon).

2009-03-09   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c, src/callbacks.h, src/export-rs274x.c,
	src/interface.c: * fix bug in saving rotations (radian/degree conflict) * add a menu option for changing the background * remove the bezeled frame from the statusbar box, since I think it
	looks better without. Feedback welcome, of course.

2009-03-08   Julian Lamb * thepurlieu AT gmail dot com *

	* src/draw-gdk.c: * clean out some debug messages

2009-03-08   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c, src/draw-gdk.c, src/draw-gdk.h, src/draw.c,
	src/draw.h, src/export-drill.c, src/export-rs274x.c, src/gerbv.c,
	src/gerbv.h, src/interface.c, src/interface.h, src/main.c,
	src/render.c: * finish designing the "modify orientation" dialog window to meet
	GNOME HIG guidelines * add logic to dialog to match translation units to the currently
	selected units in the main window * MAJOR work to the GDK render code to be able to
	rotate/scale/mirror files *reasonably* well...there are fundamental
	limits to how good we can make the GDK render these advanced
	transformations * rework the autoscale code to account for user transformations * change the export to drill and export to rs274x code to save the
	user transformations to the file. Translations are actually
	calculated for every path, but rotations/scale/mirroring are all
	done by just using the RS274X commands. Maybe in the future we can
	implement it without the RS274X commands.

2009-03-07   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c, src/callbacks.h, src/export-rs274x.c,
	src/gerbv.c, src/gerbv.h, src/interface.c, src/interface.h,
	src/main.c: * start adding the code for a layer translate/rotate/scale/mirror
	dialog box and functionality. There's still plenty of work to do, so
	excuse the mess in the meantime.

2009-03-06   Julian Lamb * thepurlieu AT gmail dot com *

	* src/export-drill.c, src/export-rs274x.c, src/gerb_image.c,
	src/gerber.c, src/gerbv.c: * fix bug when exporting drill files with tool numbers < 10 (noticed
	by Peter Clifton). Added additional cleanup logic to correct this
	issue when exporting files.  * fix bug where HID attributes were not duplicated during the image
	duplication, causing double-free issues when exporting drill files
	sometimes * increase the cairo render quality slightly for circles.  If anyone
	notices slowdowns, please report them.

2009-03-02   Julian Lamb * thepurlieu AT gmail dot com *

	* src/drill.c, src/gerbv.c: * fix possible write outside array bounds (patch by Todd Blackmon) * keep a running default color counter, to prevent closed and opened
	files from duplicating the default color of an opened layer (patch
	by Todd Blackmon)

2009-02-23   Julian Lamb * thepurlieu AT gmail dot com *

	* src/gerb_image.c: * fix excellon drill export bug, which sometimes deleted the first
	element in the file during export (noticed by Peter Clifton, bug
	#2631416)

2009-02-17   Julian Lamb * thepurlieu AT gmail dot com *

	* src/gerber.c: * fix polygon render optimization bug with polygons from Altrium
	package (fixes bug 2607102, reported by Todd Blackmon)

2009-02-17   Dan McMahill * dan AT mcmahill dot net *

	* src/drill.c, test/golden/Makefile.am, test/inputs/Makefile.am,
	test/inputs/test-drill-repeat-1.exc, test/run_tests.sh,
	test/tests.list: add support for the excellon R (repeat) command.
	Include a testsuite entry for this.

2009-02-16   Dan McMahill * dan AT mcmahill dot net *

	* src/callbacks.c, src/drill.c, src/drill_stats.c, src/gerbv.h: Add
	a total drill count for the whole board to the drill stats.  Keep
	stats on 'R' codes (repeat) in the drill files.  For now (until I
	complete implementing R support), give a warning that the R command
	is ignored.

2009-02-15   Julian Lamb * thepurlieu AT gmail dot com *

	* src/drill.c, test/inputs/test-drill-leading-zero-1.exc,
	test/inputs/test-drill-trailing-zero-1.exc, test/tests.list: * Add patch by user to fix drill parsing error with negative numbers
	using leading zeros (bug 2601828). Also, added two test cases to
	start building a test suite for the drill parser.

2009-02-10   Dan McMahill * dan AT mcmahill dot net *

	* src/run_gerbv.in: allow this script to work when called from
	outside the build directory

2009-02-10   Dan McMahill * dan AT mcmahill dot net *

	* src/gerber.c: allow 0 degree rotation

2009-02-09   Julian Lamb * thepurlieu AT gmail dot com *

	* src/amacro.c, src/draw.c, src/gerber.c, src/scheme.c: * allow macro parser to handle numbers without a zero in front of
	the decimal (fixes rendering bug spotted by Dan) * fix speedup code for rendering of certain macros * draw 0 width macro lines in cairo as 1 pixel wide * fix compiler warning in scheme.c

2009-01-29   Dan McMahill * dan AT mcmahill dot net *

	* src/main.c: do not return 1 when just doing a command line
	processing.  make does not like that

2009-01-28   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c, src/interface.c: * fix a bug where clicking on the message tab made keyboard
	accelerators stop working

2009-01-28   Julian Lamb * thepurlieu AT gmail dot com *

	* src/draw-gdk.c, src/draw.c, src/interface.c: * fix clipping bug when viewing files with image offsets (noticed by
	Dan) * add key accelerator hints in the menus for zoom and fit functions,
	and added accelerator "Q" for the object query (Dan feature request)

2009-01-22   Dan McMahill * dan AT mcmahill dot net *

	* README-release.txt: note how to change the default SF download
	file

2009-01-22   Dan McMahill * dan AT mcmahill dot net *

	* README-release.txt: update with the latest in how sourceforge does
	things

2009-01-22   Dan McMahill * dan AT mcmahill dot net *

	* configure.ac: bump rev after 2.2 branch

2009-01-22   Dan McMahill * dan AT mcmahill dot net *

	* ChangeLog, NEWS: update for 2.2.0 release

2009-01-22   Dan McMahill * dan AT mcmahill dot net *

	* README-release.txt: add some notes about the NEWS file

2009-01-21   Dan McMahill * dan AT mcmahill dot net *

	* win32/build_gerbv: Remove spurious carriage returns from the
	generated libtool as well as the Makefiles.  Repairs building under
	cygwin which stopped working recently.

2009-01-21   Dan McMahill * dan AT mcmahill dot net *

	* win32/build_gerbv: create a batch file for launching the
	installer.  Makes testing on vista easier.

2009-01-21   Dan McMahill * dan AT mcmahill dot net *

	* src/Makefile.am: bump revision from Julians last change

2009-01-21   Dan McMahill * dan AT mcmahill dot net *

	* README-release.txt: note the use of GERBV_MAGIC_TEST_SKIP, and add
	--disable-update-desktop-database for the testing

2009-01-20   Dan McMahill * dan AT mcmahill dot net *

	* src/drill.c, src/lrealpath.c: silence a compiler warning

2009-01-19   Julian Lamb * thepurlieu AT gmail dot com *

	* src/gerber.c: * fix small bug in min/max calculation code. Bug appeared on large
	rectangle aperture flashes, since we didn't previously account for
	differing height and width. Fixes bug noticed by Erik Winn.

2009-01-08   Dan McMahill * dan AT mcmahill dot net *

	* src/Makefile.am, src/drill.c: Fix up parsing of files with
	trailing zeros in the case where it is a user specified format.  Now
	for trailing zeros supression, you specify how many digits preceed
	the decimal point.  Tested and verified to fix some real-world drill
	files generated by a commercial EDA tool.

2009-01-08   Dan McMahill * dan AT mcmahill dot net *

	* src/run_gerbv.in: add some LD_LIBRARY_PATH and LD_PRELOAD hacks to
	deal with the case where there may already be an installed libgerbv
	which is being picked up instead of the just-built local one.

2009-01-08   Dan McMahill * dan AT mcmahill dot net *

	* test/run_tests.sh: add a -g|--golden <dir> option to specify a
	"golden" directory.  This makes it easier to regen all the files
	into a local golden directory, make source code changes, and then
	run the testsuite against the previous golden files.  This helps in
	cases where floating point math roundoff caused some tests to fail
	on some machines with the checked in golden files.

2008-12-05   Dan McMahill * dan AT mcmahill dot net *

	* src/Makefile.am: add -no-undefined to the libtool link line for
	libgerbv.  Requested by Cesar Strauss in SF patch # 2381914.

2008-12-03   Dan McMahill * dan AT mcmahill dot net *

	* configure.ac, src/Makefile.am: Use autoconf to check for windres
	in a way that will pick up the correct tool when cross-compiling.
	This should help with cross-compiling gerbv with windows as the
	target and something other than windows as the build host.  Patch from Cesar Strauss.  SF patch # 2381904.

2008-11-30   Dan McMahill * dan AT mcmahill dot net *

	* win32/build_gerbv: add a --nsis-only option that only creates the
	installer

2008-11-30   Dan McMahill * dan AT mcmahill dot net *

	* win32/extract_gtk_win32: sync with pcb

2008-11-17   Julian Lamb * thepurlieu AT gmail dot com *

	* doc/example-code/example1.c, doc/example-code/example2.c,
	doc/example-code/example3.c, doc/example-code/example4.c,
	doc/example-code/example5.c, doc/example-code/example6.c: * add some hints to the example*.c files to help step the user
	through some common compilation problems.

2008-11-16   Julian Lamb * thepurlieu AT gmail dot com *

	* src/drill_stats.c, src/gerb_stats.c: * fix some warnings that popped up with gcc 4.3.2

2008-11-15   Dan McMahill * dan AT mcmahill dot net *

	* desktop/gerbv.desktop: change categories to be more appropriate
	and consisten with the rest of gEDA

2008-11-15   Dan McMahill * dan AT mcmahill dot net *

	* src/attribute.c, src/callbacks.c, src/drill.c, src/drill_stats.c,
	src/gerb_file.c, src/gerbv.c, src/project.c, src/render.c: add
	missing #include "common.h" to get __FUNCTION__ on non-gcc systems.

2008-10-16   Julian Lamb * thepurlieu AT gmail dot com *

	* src/pick-and-place.c: * fix pick-and-place bounding box calcs. I think this should cover
	all the cases now...again, let me know if you see any issues with
	CVS.

2008-10-16   Julian Lamb * thepurlieu AT gmail dot com *

	* src/drill.c, src/gerber.c: * add bounding box code to drill parser (pick-and-place still
	needed) * fix a few small bugs in the speedup code

2008-10-16   Julian Lamb * thepurlieu AT gmail dot com *

	* src/draw-gdk.c, src/draw.c, src/gerber.c: * fix autoscale bug caused by latest optimizations. Things look like
	they should work again, so please report any problems at this point.

2008-10-15   Julian Lamb * thepurlieu AT gmail dot com *

	* src/draw-gdk.c, src/draw-gdk.h, src/draw.c, src/gerb_image.c,
	src/gerber.c, src/gerbv.c, src/gerbv.h: * pre-calculate a bounding box for every object during file parsing,
	and use the box dimensions to determine if that object will even be
	rendered inside the visible window. This approach allows for
	slightly better speed than the previous version, since it now
	includes polygons in the optimizations. My test boards show about a
	25% speed improvement with this new method. The autoscale feature is
	somewhat broken right now...excuse the mess while I finish debugging
	things.  * also, apply the optimizations to "FAST" render mode as
	well...looks to be about a 3x speedup when zoomed in to a board.

2008-09-09   Julian Lamb * thepurlieu AT gmail dot com *

	* src/draw.c: * make sure optimizations work with offsets and justifications
	(rarely ever used).

2008-09-09   Julian Lamb * thepurlieu AT gmail dot com *

	* src/draw.c: * comment out the "zoomed out" optimizations before the 2.1 Windows
	binary is built.

2008-09-09   Dan McMahill * dan AT mcmahill dot net *

	* BUGS: Remove the windows printing bug.  Building with a new enough
	gtk makes that go away (it was a gtk bug in the first place).  Remove the comment about windows rendering being slow.  Currently we
	don't have measured data to support that when using cairo rendering
	and we have a few data points that shows it is on par with linux.

2008-09-07   Julian Lamb * thepurlieu AT gmail dot com *

	* src/draw.c: * add a few tweaks to the optimizations

2008-09-07   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c, src/draw.c, src/draw.h, src/gerbv.c,
	src/render.c: * implement some basic render speedups in the cairo code (see
	mailing list for explanations)

2008-09-06   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c, src/gerbv.c: * tweak Dan's benchmark code to render to an off-screen entity using
	a fixed resolution. Also, run both fast and normal benchmarks
	together and output the speed (took out high-quality, since it's
	roughly the same as normal it seems).

2008-09-06   Dan McMahill * dan AT mcmahill dot net *

	* configure.ac, src/callbacks.c: add missing time.h

2008-09-06   Dan McMahill * dan AT mcmahill dot net *

	* acinclude.m4: add acinclude.m4 which has some macros needed for
	the relocation patch

2008-09-06   Dan McMahill * dan AT mcmahill dot net *

	* src/callbacks.c, src/callbacks.h, src/interface.c: add a basic
	rendering benchmark

2008-09-06   Dan McMahill * dan AT mcmahill dot net *

	* src/callbacks.c: When loading/saving project files, add a filter
	to show just .gvp (Gerbv Project) files or all files.  Hopefully
	this will help promote the use of .gvp as a project file extension.
	The windows installer already uses this as a registered file type.
	The gnome/kde desktop integration still needs to happen.

2008-09-06   Dan McMahill * dan AT mcmahill dot net *

	* configure.ac, desktop/Makefile.am, src/Makefile.am,
	src/gerb_file.c, src/gerbv.c, src/gerbv.h, src/lrealpath.c,
	src/lrealpath.h, src/main.c, src/project.c: make gerbv be
	relocatable.  By this I mean ./configure --prefix=/tmp/gerbv make make install mv /tmp/gerbv
	/opt/gerbv or similar will now work.  This makes it possible for any packaging
	system that provides the user the ability to choose where a binary
	install goes to actually work.  This includes the native solaris
	package manager, windows installers, and just a plain old "tar it up
	and extract it some where else".  This works by determining where init.scm lives relative the binary
	based on any configure flags that control things like the
	exec_prefix or datadir.  While here, allow the GERBV_SCHEMEINIT to "win" if set.  This is
	more in line with how most programs work.  The environment variable
	gives a hook to override the default behaviour.

2008-09-06   Dan McMahill * dan AT mcmahill dot net *

	* configure.ac: correct version number on trunk

2008-09-06   Stuart Brorson * sdb AT cloud9 dot net *

	* configure.ac: Update revision to 2.1.0 in configure.ac for
	release.

2008-09-06   Stuart Brorson * sdb AT cloud9 dot net *

	* src/Makefile.am: Set shared library version in prep for upcoming
	2.1.0 release.

2008-09-06   Stuart Brorson * sdb AT cloud9 dot net *

	* ChangeLog, NEWS: Update NEWS and ChangeLog in prep for 2.1.0
	release.

2008-09-04   Dan McMahill * dan AT mcmahill dot net *

	* win32/gerbv.nsi.in: .gvp is now the extension for gerbv project
	files

2008-09-04   Dan McMahill * dan AT mcmahill dot net *

	* win32/gerbv.nsi.in: cause the start menu shortcut to startup in
	the users "My Documents" (XP/2k) or "Documents" (vista) area.

2008-09-04   Dan McMahill * dan AT mcmahill dot net *

	* win32/Makefile.am, win32/gerbv.nsi.in,
	win32/registerExtension.nsh: add file extension associations.  Now
	double clicking on .prj, .gbr, .gbx, .cnc, .ncd, and .xy files will
	launch gerbv.

2008-09-04   Dan McMahill * dan AT mcmahill dot net *

	* win32/extract_gtk_win32: make sure the zlib dll ends up in the
	right place.  This lets us click on a gerber file and have gerbv
	launch correctly

2008-09-04   Dan McMahill * dan AT mcmahill dot net *

	* win32/gerbv.nsi.in: Get the uninstaller to work with vista.  Thank
	you microsoft for that little bit of joy :( Add in some commented out stuff that can hopefully be used later for
	associating file types.

2008-09-03   Dan McMahill * dan AT mcmahill dot net *

	* win32/gerbv.nsi.in: add the BUGS and COPYING links to the
	uninstall section.

2008-09-03   Dan McMahill * dan AT mcmahill dot net *

	* win32/build_gerbv: If --debug is added twice, the second one
	triggers --enable-debug being passed to the configure script.

2008-09-03   Dan McMahill * dan AT mcmahill dot net *

	* src/interface.c: remove another obsolete #if !defined(MINGW32).
	Now log messages actually show up in the messages window under
	windows too.  No change on non-win32 systems.

2008-09-02   Stuart Brorson * sdb AT cloud9 dot net *

	* src/main.c, src/render.c: Applied Ineiev's latest patch to fix X11
	functionality.  Also updated copyright string emitted by gerbv
	--version.

2008-08-31   Julian Lamb * thepurlieu AT gmail dot com *

	* src/main.c: * allow user to translate a single file from the command line
	(previously, it only worked on >1 file)

2008-08-31   Julian Lamb * thepurlieu AT gmail dot com *

	* src/main.c: * fix image centering when using --border command line argument

2008-08-31   Julian Lamb * thepurlieu AT gmail dot com *

	* src/main.c: * fix translation of files using command line interface (bug noticed
	by Stuart)

2008-08-30   Dan McMahill * dan AT mcmahill dot net *

	* src/render.c: remove a horribly out of date #if
	!defined(__MINGW32__).  Only affects windows.

2008-08-29   Julian Lamb * thepurlieu AT gmail dot com *

	* src/main.c: * add Joerg's patch instead, since it's better

2008-08-29   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c, src/main.c: * set "save as" dialog to start in the current directory of the
	layer to be saved/exported * add a "Loading project..." message to stdout when loading a
	project from the command line

2008-08-29   Dan McMahill * dan AT mcmahill dot net *

	* README-release.txt, configure.ac, src/project.c: Add versioning to
	the project files.  I have verfied reasonable behavour with a
	project file that has:   - missing version (assumes a default "old" version)   - version that is current (works)   - version that is newer than current (issues a warning and tries
	    to load the file anyway using the latest known version)   - version that is not too new but it is not one we know about
	    (issues a warning and tries anyway using a default assumption of
	  version) - version string that is simply invalid (syntactically) (issues a
	    warning and tries to anyway using a default assumption of version) As part of this, fully document how file format version changes are
	handled and also fully document the exact policy/procedure for gerbv
	versions on the cvs trunk as well as on cvs release branches.

2008-08-29   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c, src/render.c: * correct some namespaces in the recent patch by ineiv

2008-08-29   Stuart Brorson * sdb AT cloud9 dot net *

	* src/callbacks.c, src/main.h, src/render.c, src/render.h: Measure
	tool now works with mouse zooms and the measure line is persistent.
	Patch submitted by Ineiev.

2008-08-28   Julian Lamb * thepurlieu AT gmail dot com *

	* src/main.c: * don't save layers when saving a project file * fix regression where relative file paths were not used during
	project saves

2008-08-28   Julian Lamb * thepurlieu AT gmail dot com *

	* src/gerbv.c, src/main.c: * add some logic to the project loading code to load the layers
	sequentially, ignoring any skipped layer numbers. This should help
	make gerbv more robust against faulty project files.

2008-08-28   Stuart Brorson * sdb AT cloud9 dot net *

	* src/callbacks.c: Move "are you sure" dialog to before file chooser
	dialog is run in open_project.  This is the more logical order:
	Warn the user first, and then let him chose the file.  The other
	order didn't work in the case where the user hit "cancel" in the
	file chooser, because it would ask "are you sure" after the user hit
	cancel.

2008-08-28   Julian Lamb * thepurlieu AT gmail dot com *

	* src/main.c: * try and alternate method of increasing the last_loaded int to try
	and stop Stuart's segfault

2008-08-28   Julian Lamb * thepurlieu AT gmail dot com *

	* src/interface.c: * fix a GTK warning on GDK-only builds

2008-08-27   Julian Lamb * thepurlieu AT gmail dot com *

	* src/render.c: * fix building with --disable-cairo, spotted by Erik

2008-08-27   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c: * fix segfault noticed by Stuart

2008-08-27   Julian Lamb * thepurlieu AT gmail dot com *

	* src/main.c, src/project.c: * fix segfault noticed by Joerg during opening of project files

2008-08-27   Dan McMahill * dan AT mcmahill dot net *

	* src/attribute.c, src/drill.c: repair the saving/loading of drill
	layers.  HID attributes associated with the file format have to have
	names which are valid scheme variable names which precludes a name
	with a space in it.

2008-08-27   Dan McMahill * dan AT mcmahill dot net *

	* src/Makefile.am, src/callbacks.c: Simplify the authors/bugs
	handling a bit.  No need for these to be in standalone compiled
	files which ends up requiring extra declarations and producing
	global variables.  While here correct a broken depenendency in my
	initial version.

2008-08-27   Dan McMahill * dan AT mcmahill dot net *

	* src/Makefile.am: make a call to awk more portable so that it works
	with old sunos-5.8 /usr/bin/awk

2008-08-26   Stuart Brorson * sdb AT cloud9 dot net *

	* src/interface.c: Move all icons to the project load/save menu
	items since they correspond to the load/save buttons on the toolbar.

2008-08-26   Stuart Brorson * sdb AT cloud9 dot net *

	* src/callbacks.c, src/interface.c: Fix bug noticed by Joerg, in
	which buttons on toolbar were inconsistent w.r.t. loading/saving
	project files vs. layers.  Now all buttons operate on project files.
	Also incorporate a few other fixes.

2008-08-26   Julian Lamb * thepurlieu AT gmail dot com *

	* src/export-drill.c: * fix drill export bug spotted by Erik

2008-08-26   Julian Lamb * thepurlieu AT gmail dot com *

	* src/Makefile.am, src/interface.c: * update src/Makefile.am for Stuart * add control-O accelerator for open layer

2008-08-26   Julian Lamb * thepurlieu AT gmail dot com *

	* src/gerbv.h: * add cairo.h include to fix build problem noticed by ineiev

2008-08-26   Stuart Brorson * sdb AT cloud9 dot net *

	* src/Makefile.am: Check in fixes required to get gerbv to compile
	reliably with bugs.c and authors.c functionality.

2008-08-26   Stuart Brorson * sdb AT cloud9 dot net *

	* AUTHORS, BUGS, NEWS, README, README-release.txt, src/Makefile.am,
	src/callbacks.c, src/callbacks.h, src/interface.c: Made BUGS file
	display one of the help menu options.  This builds upon the changes
	made by Dan.

2008-08-26   Dan McMahill * dan AT mcmahill dot net *

	* AUTHORS, src/Makefile.am, src/callbacks.c: update the AUTHORS file
	and use the generated authors.c to fill in the 'credits' screen.

2008-08-26   Dan McMahill * dan AT mcmahill dot net *

	* test/run_tests.sh: Add a special environment variable,
	GERBV_MAGIC_TEST_SKIP, which if set to 'yes' will cause the
	testsuite to simply return with a "all passed" indication.  This lets you debug packaging issues around 'make distcheck' without
	being stuck on 'make check' failures.  While ignoring failures in
	the testsuite is not good, the reality of how the checks currently
	work is that variations in the cairo version and/or CPU architecture
	can cause false failures in the testsuite which end up being a
	barrier to more fully testing the build system.  This variable should be used carefully and thoughtfully.

2008-08-26   Dan McMahill * dan AT mcmahill dot net *

	* Makefile.am: Include BUGS and quit including an obsolete readme in
	the distfile.

2008-08-25   Julian Lamb * thepurlieu AT gmail dot com *

	* src/draw.c: * prevent duplicate objects from being selected

2008-08-25   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c, src/callbacks.h, src/render.c, src/render.h: * add some more sanity to the selected object message, and when/how
	we remove items from the array * also fixes a bug in FAST mode, where unloading all layers when
	items are selected causes noticeable graphics glitches

2008-08-25   Dan McMahill * dan AT mcmahill dot net *

	* win32/Makefile.am: fix some typos in generation of the dos format
	versions of COPYING and BUGS

2008-08-25   Dan McMahill * dan AT mcmahill dot net *

	* BUGS: associate a cairo version number (1.6.4) with the cairo
	printing bug under windows

2008-08-25   Dan McMahill * dan AT mcmahill dot net *

	* BUGS: remove the version line since it is just yet another place
	to keep a version updated

2008-08-25   Dan McMahill * dan AT mcmahill dot net *

	* src/Makefile.am: generate a bugs.c and authors.c file which are
	generated at build time from $(top_srcdir)/BUGS and
	$(top_srcdir)/AUTHORS.  These can be used to keep the authors list
	and bugs list in 1 place but display from multiple places.

2008-08-25   Dan McMahill * dan AT mcmahill dot net *

	* src/callbacks.c: set the web site in the about dialog

2008-08-25   Dan McMahill * dan AT mcmahill dot net *

	* win32/Makefile.am, win32/gerbv.nsi.in: On win32, install a dos
	version (\n -> \r\n) of the top level BUGS and add to the start menu
	group.  While here do the same for the top level COPYING.

2008-08-25   Dan McMahill * dan AT mcmahill dot net *

	* README-release.txt: add a reminder to review and update the BUGS
	file prior to a release

2008-08-25   Dan McMahill * dan AT mcmahill dot net *

	* src/callbacks.c: repair a call to the cancel/ok dialog.  The do
	not show again argument is not a boolean but rather a pointer to a
	boolean.

2008-08-25   Dan McMahill * dan AT mcmahill dot net *

	* src/interface.c: protect against a null pointer dereference

2008-08-25   Julian Lamb * thepurlieu AT gmail dot com *

	* : * update the golden files that changed after the recent oval->oblong
	render change

2008-08-24   Stuart Brorson * sdb AT cloud9 dot net *

	* Makefile.am: Remove README-Pick-and-Place-search_parts.txt from
	release tarball since it was removed as obsolete.

2008-08-24   Stuart Brorson * sdb AT cloud9 dot net *

	* README-Pick-and-Place-search_parts.txt: Removed obsolete README
	talking about PnP functionality which was removed in 2006.

2008-08-24   Stuart Brorson * sdb AT cloud9 dot net *

	* Makefile.am: Add BUGS file to extra dist in Makefile.am.

2008-08-24   Stuart Brorson * sdb AT cloud9 dot net *

	* BUGS: Added BUGS file to CVS.

2008-08-24   Julian Lamb * thepurlieu AT gmail dot com *

	* src/attribute.c, src/attribute.h, src/drill.c, src/gerb_image.c,
	src/gerbv.c, src/gerbv.h, src/project.c: * move two of the attribute destroy functions to libgerbv, where
	they are needed

2008-08-24   Stuart Brorson * sdb AT cloud9 dot net *

	* src/callbacks.c: Added warning dialog if the user has previously
	edited the drill layer, and then does an "edit file properties".

2008-08-24   Stuart Brorson * sdb AT cloud9 dot net *

	* src/callbacks.c, src/gerbv.c, src/interface.c: Moved project
	related stuff in "file" menu to top section, and layer stuff to
	second section.  This is because "new" is traditionally the top menu
	item, and it creates a new project.   Therefore, all project stuff
	must be at top.  Also did minor refactoring of revert function calls
	to eliminate a compiler warning.

2008-08-24   Stuart Brorson * sdb AT cloud9 dot net *

	* src/callbacks.c, src/gerbv.c, src/interface.c: Moved "revert" menu
	item to section holding "project" items (because it affects all
	layers, not just one).  Also make both "revert project" and "revert
	layer" actions reset the dirty flag and reset the layer tree
	appropriately.

2008-08-24   Dan McMahill * dan AT mcmahill dot net *

	* src/attribute.c, src/attribute.h, src/drill.c: make sure we always
	make local copies of the attribute lists in a way that allows us to
	destroy them later correctly.

2008-08-24   Dan McMahill * dan AT mcmahill dot net *

	* src/gerbv.h: protect against multiple inclusions

2008-08-24   Dan McMahill * dan AT mcmahill dot net *

	* src/project.c: fix an obvious typo in the last commit.  why did
	this still run???

2008-08-24   Dan McMahill * dan AT mcmahill dot net *

	* src/attribute.c, src/gerb_image.c, src/gerbv.h, src/project.c:
	fill in the destroy code for HID attribute lists

2008-08-24   Dan McMahill * dan AT mcmahill dot net *

	* src/attribute.c: fill in the destroy code for attribute lists

2008-08-24   Stuart Brorson * sdb AT cloud9 dot net *

	* src/interface.c: Fix minor bug in which there were overlapping
	keyboard accelerators for different options in "analyze" menu.

2008-08-23   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c: * after "saving as", update the file path in the project struct to
	make sure the layer name is updated and future "save" actions will
	save to the new position

2008-08-23   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c: * update dirty flag in some places.  I think Stuart did this earlier
	in libgerbv, but I removed them from there and forgot to put them
	back into callbacks.c* update dirty flag in some places.  I think
	Stuart did this earlier in libgerbv, but I removed them from there
	and forgot to put them back into callbacks.c* update dirty flag in
	some places.  I think Stuart did this earlier in libgerbv, but I
	removed them from there and forgot to put them back into
	callbacks.c* update dirty flag in some places.  I think Stuart did
	this earlier in libgerbv, but I removed them from there and forgot
	to put them back into callbacks.c* update dirty flag in some places.
	I think Stuart did this earlier in libgerbv, but I removed them from
	there and forgot to put them back into callbacks.c* update dirty
	flag in some places.  I think Stuart did this earlier in libgerbv,
	but I removed them from there and forgot to put them back into
	callbacks.c* update dirty flag in some places.  I think Stuart did
	this earlier in libgerbv, but I removed them from there and forgot
	to put them back into callbacks.c* update dirty flag in some places.
	I think Stuart did this earlier in libgerbv, but I removed them from
	there and forgot to put them back into callbacks.c

2008-08-23   Julian Lamb * thepurlieu AT gmail dot com *

	* src/draw.c: * fir the rendering of obround flashed apertures in cairo rendering

2008-08-23   Stuart Brorson * sdb AT cloud9 dot net *

	* src/draw.c: Make pdf export show oblong objects as a line with
	rounded ends, instead of an oval.  Reviewed by Julian.

2008-08-23   Julian Lamb * thepurlieu AT gmail dot com *

	* example/eaglecad1/top-cop.gbx: * revert an unintentional change to top-cop.gbx that happened during
	my testing

2008-08-23   Julian Lamb * thepurlieu AT gmail dot com *

	* example/eaglecad1/top-cop.gbx, src/interface.c: * fix bug where save projet button read "save layer as"

2008-08-23   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c, src/gerbv.c: * try and improve Windows print quality

2008-08-23   Dan McMahill * dan AT mcmahill dot net *

	* win32/gerbv.nsi.in: point at correct location for Readme.txt

2008-08-23   Julian Lamb * thepurlieu AT gmail dot com *

	* src/gerbv.c: * fix printing translation bug noticed by Dan

2008-08-22   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c: * small change to an alert dialog to bring it inline with the visual
	style of others

2008-08-21   Dan McMahill * dan AT mcmahill dot net *

	* win32/extract_gtk_win32: make sure we extract GPL v2 as well as v3

2008-08-21   Julian Lamb * thepurlieu AT gmail dot com *

	* src/pick-and-place.c: * fix more bugs in PNP rendering orientation.  LED example now works
	somewhat.  I think I'll leave things as they are now for 2.1...it
	works "well enough"

2008-08-21   Julian Lamb * thepurlieu AT gmail dot com *

	* src/pick-and-place.c: * some orientation fixes for PNP logic (noticed by Stuart). However,
	LED.xy has problems now...it looks like its row order isn't
	correctly recognized by gerbv.

2008-08-21   Julian Lamb * thepurlieu AT gmail dot com *

	* src/main.c: * change default render mode to cairo on Windows builds, since all
	data points seem to show it renders faster than GDK. This should
	help speed up the speed for the casual user that doesn't change the
	render mode.

2008-08-21   Julian Lamb * thepurlieu AT gmail dot com *

	* src/main.c: * more fixes with the project writing freeing logic

2008-08-21   Julian Lamb * thepurlieu AT gmail dot com *

	* src/project.c: * fix double-freeing of project struct when writing to file

2008-08-21   Julian Lamb * thepurlieu AT gmail dot com *

	* src/attribute.c, src/main.c, src/project.c, src/project.h: * actually call the project_destroy functions committed in the last
	commit

2008-08-21   Julian Lamb * thepurlieu AT gmail dot com *

	* src/attribute.c, src/callbacks.c, src/gerb_image.c, src/gerbv.h,
	src/project.c: * more leak fixes, including a stub for the HID_attribute free
	code... Dan?

2008-08-21   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c, src/gerb_image.c, src/gerber.c, src/gerbv.c,
	src/main.c, src/render.c, src/render.h: * more memory leak fixes, including a sizable cairo rendering leak.
	Again, lots of code touched, so testing is needed.

2008-08-21   Stuart Brorson * sdb AT cloud9 dot net *

	* src/callbacks.c: Added back "No object selected" dialog box when
	the user asks for an object properties report, but nothing is
	selected.

2008-08-21   Stuart Brorson * sdb AT cloud9 dot net *

	* src/callbacks.c: Change g_strdup_printf to g_string_printf and
	g_string_append_printf as recommended by Julian to help clean up
	memory leaks.

2008-08-21   Julian Lamb * thepurlieu AT gmail dot com *

	* src/gerb_image.c, src/gerbv.h: * fix another memory leak in the image_destroy function

2008-08-21   Julian Lamb * thepurlieu AT gmail dot com *

	* src/gerb_image.c, src/gerber.c: * revert an erroneous fix in the simplified macro logic which caused
	segfaults

2008-08-20   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c, src/drill_stats.c, src/gerb_image.c,
	src/gerb_stats.c, src/gerber.c, src/gerbv.c, src/gerbv.h,
	src/main.c, src/render.c, src/render.h: * fix lots and lots of memory leaks * code routines to destroy stats structs, and also to free all
	rendering data

2008-08-19   Dan McMahill * dan AT mcmahill dot net *

	* win32/extract_gtk_win32, win32/gerbv.nsi.in: update some of the
	licenses (welcome to GPL v2 and v3 split)

2008-08-19   Dan McMahill * dan AT mcmahill dot net *

	* autogen.sh: partially revert the previous.  We still need to clear
	out autom4te.cache since it can cause problems

2008-08-19   Dan McMahill * dan AT mcmahill dot net *

	* Makefile.am, README-win32.txt, win32/build_gerbv,
	win32/extract_gtk_win32, win32/gerbv.nsi.in: minor tweaks to allow
	building with the latest gtk/win32 builds

2008-08-19   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c, src/draw-gdk.c: * fix some (not all) of the GDK clipping issues on high zoom. Please
	test out FAST rendering and let me know if anything is broken.
	Polygons still cause some problems at high zooms, but there's not
	much we can do...if you want nice rendering, don't use FAST. :) * add some message bar messages to help make sure users know about
	selection only working on the active layer

2008-08-19   Julian Lamb * thepurlieu AT gmail dot com *

	* src/attribute.c, src/callbacks.c, src/render.c: * delete debug flag comment in attribute.c * limit max zoom level to help prevent clipping in GDK rendering at
	high zooms. My quick tests still show some clipping (GDK only) at
	the highest allowable zoom, but I don't think we should limit the
	zoom levels any more. Feedback is requested.

2008-08-19   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c, src/render.c: * more miscellaneous GUI cleanup

2008-08-19   Julian Lamb * thepurlieu AT gmail dot com *

	* src/attribute.c, src/drill.c, src/gerbv.h, src/interface.c: * more miscellaneous dialog cleanups

2008-08-19   Julian Lamb * thepurlieu AT gmail dot com *

	* src/interface.c: * fix tearoff button bar size after being torn off * add some stock icons to various menu items to make them prettier

2008-08-19   Dan McMahill * dan AT mcmahill dot net *

	* utils/umap: fill in everyones name

2008-08-19   Dan McMahill * dan AT mcmahill dot net *

	* README-release.txt: note the shared library versioning requirement

2008-08-19   Dan McMahill * dan AT mcmahill dot net *

	* INSTALL.MINGW.WIN32: remove obsolete mingw/win32 building
	document.

2008-08-19   Dan McMahill * dan AT mcmahill dot net *

	* INSTALL: remove the standard gnu boilerplate install doc.  It is
	put in place by autogen.sh

2008-08-19   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c, src/interface.c: * change pointer tool to default, since it now actually does
	something * tweak all dialog messages and look to better meet GNOME HIG

2008-08-19   Julian Lamb * thepurlieu AT gmail dot com *

	* src/gerbv.c, src/gerbv.h, src/main.c: * fix command line color forcing, which was broken a few months ago * added a new library function to allow the user to force a color
	during file loading

2008-08-18   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c, src/draw-gdk.c, src/draw.c, src/export-rs274x.c,
	src/gerb_image.c, src/gerber.c, src/gerbv.h, src/pick-and-place.c,
	test/golden/Makefile.am, test/inputs/Makefile.am,
	test/inputs/test-layer-step-and_repeat-2.gbx, test/tests.list: * fix render logic for polygon draws, eliminating the step and
	repeat segfault bug #2005074 * add a test case for the step and repeat bug * small fixes to the object property display code to fix a segfault
	and improve info accuracy

2008-08-18   Stuart Brorson * sdb AT cloud9 dot net *

	* Structs.txt: Change current_index -> curr_index.

2008-08-18   Stuart Brorson * sdb AT cloud9 dot net *

	* src/callbacks.c: Fixed bug in which you could select objects on an
	invisible layer.

2008-08-17   Stuart Brorson * sdb AT cloud9 dot net *

	* src/callbacks.c, src/drill.c, src/gerber.c: Free strings created
	using g_strdup_printf in error and statistics gathering code.

2008-08-17   Julian Lamb * thepurlieu AT gmail dot com *

	* src/gerber.c: * update golden files using cairo 1.6 rendering in preparation for
	polygon internal switch * make sure aperture stat warnings aren't issued during polygon
	fills, since there's no aperture used for them

2008-08-16   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c, src/callbacks.h: * change object display code to use g_message(), and eliminate
	custom code to do the same thing

2008-08-16   Dan McMahill * dan AT mcmahill dot net *

	* autogen.sh: don't delete log files and assorted other generated
	files as part of the autogen.sh step.  That should be left for
	things like 'make distclean'.  Noted by DJ on gerbv-devel.

2008-08-16   Julian Lamb * thepurlieu AT gmail dot com *

	* src/Makefile.am, src/callbacks.c, src/callbacks.h, src/textbox.c,
	src/textbox.h: * combine recent object property display code with the existing log
	  code, eliminating textbox.[ch] * fix several memory leaks in the display callback function

2008-08-15   Julian Lamb * thepurlieu AT gmail dot com *

	* src/gerbv.c: * fix bug in revert function which kept it from working properly on
	>1 file

2008-08-15   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c, src/gerbv.c: * remove callbacks function calls from gerbv.h, since it is in
	libgerbv and can't use GUI functions

2008-08-15   Stuart Brorson * sdb AT cloud9 dot net *

	* src/callbacks.c, src/interface.c: Minor changes to displayed text.

2008-08-15   Stuart Brorson * sdb AT cloud9 dot net *

	* Structs.txt: Added more info to file.

2008-08-15   Stuart Brorson * sdb AT cloud9 dot net *

	* src/callbacks.c: Misc fixes and updates.

2008-08-14   Stuart Brorson * sdb AT cloud9 dot net *

	* src/callbacks.c, src/render.c: Output layer number alongside file
	name in general tab of Gerber report window.  This allows users to
	cross-correlate the report to the aperture def list given in the
	aperture def tab.

2008-08-14   Stuart Brorson * sdb AT cloud9 dot net *

	* src/callbacks.c, src/draw-gdk.c, src/draw.c: Make Gerbv report
	names of all files processed when generating reports.  Filenames are
	presented on general tab of reports window.

2008-08-14   Stuart Brorson * sdb AT cloud9 dot net *

	* src/callbacks.c, src/gerb_stats.c, src/render.c: Made selected
	object properties report also emit aperture type.

2008-08-14   Stuart Brorson * sdb AT cloud9 dot net *

	* src/callbacks.c, src/draw-gdk.c, src/draw.c, src/gerb_file.h,
	src/gerb_stats.c, src/gerber.c, src/gerbv.c, src/gerbv.h: Added
	filename to gerb_file_t struct so that it could be reported from
	various reporting facilities.  Also modified aperture D code report.  Moved D count to separate tab
	for 10 <= D <= MAX and fixed reporting so gerbv now reports the
	number of times a particular aperture has been *used*, which is
	probably more interesting than the previous reporting quantity.
	Note that I still need to put the layer filename info into report
	for each code (G, D, M, etc), and to separate all reports by layer.

2008-08-14   Stuart Brorson * sdb AT cloud9 dot net *

	* Structs.txt: Added more info about structs used in program.

2008-08-14   Dan McMahill * dan AT mcmahill dot net *

	* src/Makefile.am, src/run_gerbv.in: Add a wrapper script to use for
	launching gerbv prior to installation.  This lets gerbv properly
	find init.scm even with libtool and also with building outside of
	the source tree.

2008-08-13   Dan McMahill * dan AT mcmahill dot net *

	* src/attribute.c: take the previous commit one step further.  If
	the "auto" button is checked none of the other widgets will be
	sensitive.

2008-08-13   Dan McMahill * dan AT mcmahill dot net *

	* src/attribute.c: put a rather ugly hack in place where if the
	first entry in an attribute list is a boolean *and* its name is
	"auto" then the callbacks for everything else will cause it to be
	unchecked.  It's an ugly hack but it is the best we have right now
	since the current framework does not allow for capturing
	dependencies between attributes.

2008-08-13   Dan McMahill * dan AT mcmahill dot net *

	* src/attribute.h, src/gerbv.h: move a comment back with the code it
	goes with

2008-08-13   Stuart Brorson * sdb AT cloud9 dot net *

	* src/callbacks.c: Fixed bug in which aperture types were
	misreported in the analyze -> reports stuff.  The problem was that
	the enum of possible apertures contained in gerbv.h was updated, but
	the list of strings naming the apertures in callbacks.c was not.
	Also added exposure type to stuff reported by the "object
	properties" report.

2008-08-13   Dan McMahill * dan AT mcmahill dot net *

	* src/textbox.c: add missing header, remove unused variable.  Gets
	rid of gcc warnings

2008-08-13   Stuart Brorson * sdb AT cloud9 dot net *

	* src/callbacks.c, src/gerbv.h: Made "display object properties"
	display file name *and* layer of each item selected.

2008-08-13   Stuart Brorson * sdb AT cloud9 dot net *

	* Structs.txt: A quick hierarchical outline of the datastructures
	involved in a gerbv project, and how they fit together.  All gerbv
	hackers are invited to add to this as they work on the project.

2008-08-13   Stuart Brorson * sdb AT cloud9 dot net *

	* src/gerbv.h, src/interface.c: Changed references to program's name
	from "Gerber Viewer" to "Gerbv".

2008-08-13   Stuart Brorson * sdb AT cloud9 dot net *

	* src/callbacks.c, src/interface.c, src/interface.h, src/render.c:
	Added new dialog box which only displays info and presents an "OK"
	button.  Hooked it up to situations where the user needs an error
	dialog box (e.g. trying to get a report on selected objects when
	nothing is selected).  Also some minor cleanups to eliminate
	compiler and GTK warnings.

2008-08-12   Stuart Brorson * sdb AT cloud9 dot net *

	* src/interface.c: Menu cleanups.  Add "Edit" menu to top menubar
	and add "delete" to it.  Add "get object properties" to "analyze"
	menu.  Other random fixes.

2008-08-12   Stuart Brorson * sdb AT cloud9 dot net *

	* src/callbacks.c, src/interface.c: A couple of wording changes in
	text shown to the user.  Clarified the meaning of the report given
	by the analysis windows, and fixed the second "display object
	properties" to read "edit object properties" (which is what it
	does).

2008-08-11   Stuart Brorson * sdb AT cloud9 dot net *

	* src/callbacks.c: Fixed bug in which clicking on empty drawing area
	with pointer tool would cause segfault.

2008-08-11   Stuart Brorson * sdb AT cloud9 dot net *

	* src/Makefile.am, src/callbacks.c, src/textbox.c, src/textbox.h:
	Committed DJ's patch which implementes reporting info about selected
	object's aperture.

2008-06-29   Stuart Brorson * sdb AT cloud9 dot net *

	* src/callbacks.c: Minor update to layer_dirty functionality.

2008-06-29   Stuart Brorson * sdb AT cloud9 dot net *

	* src/callbacks.c, src/gerbv.h, src/interface.c, src/main.c: Remove
	project_dirty and make gerbv store all layers when you do file->save
	project.   Also make sure gerbv updates the layer_dirty flags when
	you do "save project".

2008-06-29   Stuart Brorson * sdb AT cloud9 dot net *

	* src/callbacks.c, src/gerbv.c, src/gerbv.h, src/interface.c:
	Implement layer_dirty flag and bind it into file save mechanism.

2008-06-29   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c, src/interface.c: * display the layer name in italics and preceded by a "*" to show
	unsaved layers (waiting for Stuart to commit the dirty flag changes)

2008-06-08   Julian Lamb * thepurlieu AT gmail dot com *

	* src/draw-gdk.c: * remove GDK rendering error messages for known GDK problems (fix
	bug 1984194)

2008-05-25   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c, src/draw-gdk.h, src/draw.h, src/exportimage.c,
	src/gerber.h, src/interface.c: * clean up some --disable-cairo compile problems * remove the pointer icon from --disable-cairo builds, since there's
	no way to figure out what is clicked without cairo * fix focus problem to prevent the NEW button from being focused on
	startup

2008-05-24   Julian Lamb * thepurlieu AT gmail dot com *

	* src/drill.c: * commit patch from Erik Winn to stop gerbv from complaining during
	TCST lines in Excellon drill files.  The TCST command is a valid one
	and shouldn't flag as an error.

2008-05-23   Julian Lamb * thepurlieu AT gmail dot com *

	* doc/example-code/example4.c, doc/example-code/example5.c: * fix a few example source files based on the recent enum namespace
	conversion

2008-05-23   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c, src/callbacks.h, src/drill.c, src/drill.h,
	src/drill_stats.h, src/interface.c: * fix a couple accidental string replacements from the last commit

2008-05-23   Julian Lamb * thepurlieu AT gmail dot com *

	* src/amacro.c, src/amacro.h, src/attribute.c, src/attribute.h,
	src/callbacks.c, src/callbacks.h, src/draw-gdk.c, src/draw-gdk.h,
	src/draw.c, src/drill.c, src/drill.h, src/drill_stats.c,
	src/drill_stats.h, src/export-drill.c, src/export-rs274x.c,
	src/gerb_image.c, src/gerb_stats.c, src/gerb_stats.h, src/gerber.c,
	src/gerber.h, src/gerbv.c, src/gerbv.h, src/interface.c,
	src/main.c, src/main.h, src/pick-and-place.c, src/pick-and-place.h,
	src/project.c, src/project.h, src/render.c, src/render.h,
	src/tooltable.c: * finish converting all enums and structs over to use gerbv_
	namespace * add more documentation

2008-05-23   Julian Lamb * thepurlieu AT gmail dot com *

	* doc/Doxyfile.nopreprocessing, doc/example-code/example6.c,
	src/amacro.c, src/amacro.h, src/attribute.c, src/attribute.h,
	src/callbacks.c, src/callbacks.h, src/common.h, src/csv.c,
	src/csv.h, src/csv_defines.h, src/draw-gdk.c, src/draw-gdk.h,
	src/draw.c, src/draw.h, src/drill.c, src/drill.h,
	src/drill_stats.c, src/drill_stats.h, src/dynload.h,
	src/export-drill.c, src/export-rs274x.c, src/exportimage.c,
	src/gerb_file.c, src/gerb_file.h, src/gerb_image.c,
	src/gerb_image.h, src/gerb_stats.c, src/gerb_stats.h, src/gerber.c,
	src/gerber.h, src/gerbv.c, src/gerbv.h, src/gerbv_icon.h,
	src/icons.h, src/interface.c, src/interface.h, src/main.c,
	src/main.h, src/opdefines.h, src/pick-and-place.c,
	src/pick-and-place.h, src/project.c, src/project.h, src/render.c,
	src/render.h, src/scheme-private.h, src/scheme.c, src/scheme.h,
	src/tooltable.c: * assign all files to a module (doxygen documentation) * more namespace cleanup for enums * more documentation

2008-05-22   Julian Lamb * thepurlieu AT gmail dot com *

	* doc/example-code/example6.c, src/gerbv.h: * a couple small fixes to example6.c * correct the new render type enum

2008-05-22   Julian Lamb * thepurlieu AT gmail dot com *

	* doc/example-code/example6.c, src/gerbv.h: * add example6.c, which is an extensive example of how to embed a
	custom gerber render widget inside another application...also a
	great cairo starting reference for anyone who wants to learn the
	basics of cairo.  * add more documentation and do some reorganizing of gerbv.h

2008-05-22   Julian Lamb * thepurlieu AT gmail dot com *

	* src/Makefile.am, src/amacro.c, src/amacro.h, src/attribute.c,
	src/attribute.h, src/batch.c, src/batch.h, src/callbacks.c,
	src/callbacks.h, src/common.h, src/csv.c, src/csv.h,
	src/draw-gdk.c, src/draw-gdk.h, src/draw.c, src/draw.h,
	src/drill.c, src/drill.h, src/drill_stats.c, src/drill_stats.h,
	src/dynload.c, src/dynload.h, src/export-drill.c, src/gerb_file.c,
	src/gerb_file.h, src/gerb_image.h, src/gerb_stats.c,
	src/gerb_stats.h, src/gerb_transf.c, src/gerb_transf.h,
	src/gerber.c, src/gerber.h, src/gerbv.h, src/gerbv_icon.h,
	src/icons.h, src/interface.c, src/interface.h, src/main.c,
	src/main.h, src/opdefines.h, src/pick-and-place.c,
	src/pick-and-place.h, src/render.c, src/render.h,
	src/scheme-private.h, src/scheme.c, src/scheme.h, src/tooltable.c: * add doxygen header info to all files * remove batch.[ch] and eliminate gerb_transf.[ch] to help clean up
	the source tree

2008-05-21   Stuart Brorson * sdb AT cloud9 dot net *

	* src/export-rs274x.c: Change www.gerbv.org -> gerbv.sf.net in G04
	codes emitted by RS-274X exporter.

2008-05-21   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c, src/project.c: * eliminate random blank lines written to stdout during project
	loading * update Stuart's latest commit since mainProject is now a pointer

2008-05-20   Stuart Brorson * sdb AT cloud9 dot net *

	* src/callbacks.c, src/export-rs274x.c: Fix program behavior so that
	when a user saves a page, then it is no longer dirty.  Also augment
	G04 message placed into RS-274X files to point to the gerbv project
	home page.

2008-05-19   Julian Lamb * thepurlieu AT gmail dot com *

	* doc/example-code/example5.c, src/gerb_image.c, src/gerber.c,
	src/gerber.h, src/gerbv.h: * add some basic drawing functions to libgerbv (draw line, arc,
	rectangle) * add example5.c demonstrating basic drawing using libgerbv * more documentation

2008-05-18   Julian Lamb * thepurlieu AT gmail dot com *

	* src/gerbv.h: * add a ifdef to make sure gerbv.h is usable in libgerbv

2008-05-18   Stuart Brorson * sdb AT cloud9 dot net *

	* src/gerbv.h: Add '#include "config.h"' so configure time flags are
	visible inside gerbv.h.

2008-05-18   Julian Lamb * thepurlieu AT gmail dot com *

	* doc/example-code/example2.c, doc/example-code/example4.c,
	src/batch.c, src/callbacks.c, src/draw-gdk.c, src/draw-gdk.h,
	src/draw.c, src/draw.h, src/drill.c, src/drill.h,
	src/export-drill.c, src/export-rs274x.c, src/gerb_image.c,
	src/gerb_image.h, src/gerb_stats.c, src/gerb_stats.h,
	src/gerb_transf.c, src/gerb_transf.h, src/gerber.c, src/gerber.h,
	src/gerbv.c, src/gerbv.h, src/interface.c, src/main.c, src/main.h,
	src/pick-and-place.c, src/pick-and-place.h, src/render.c,
	src/render.h: * change all gerb_* namespace to gerbv_* namespace, clarifying the
	libgerbv API.

2008-05-18   Julian Lamb * thepurlieu AT gmail dot com *

	* doc/example-code/Makefile.am, doc/example-code/example1.c,
	doc/example-code/example2-input.gbx, doc/example-code/example2.c,
	doc/example-code/example3-input.gbx, doc/example-code/example3.c,
	doc/example-code/example4-input.gbx, doc/example-code/example4.c,
	src/batch.c, src/callbacks.c, src/exportimage.c, src/gerb_image.c,
	src/gerb_image.h, src/gerber.c, src/gerbv.c, src/gerbv.h,
	src/interface.c, src/main.c, src/project.h: * more namespace fixes * added 3 more example source files to show the libgerbv API * more documentation on functions and structs

2008-05-18   Julian Lamb * thepurlieu AT gmail dot com *

	* doc/example-code/example1.c, src/drill.c, src/export-rs274x.c,
	src/gerb_image.c, src/gerber.c, src/gerbv.c, src/gerbv.h,
	src/main.c, src/pick-and-place.c: * more namespace reorg for functions used by libgerbv * more documentation for the key functions and structs

2008-05-17   Julian Lamb * thepurlieu AT gmail dot com *

	* configure.ac, doc/Makefile.am, doc/example-code/Makefile.am,
	doc/example-code/example1-input.gbx, doc/example-code/example1.c,
	src/attribute.c, src/attribute.h, src/callbacks.c, src/drill.c,
	src/export-drill.c, src/export-rs274x.c, src/gerbv.c, src/gerbv.h,
	src/main.c, src/main.h, src/project.c, src/render.c: * Do some cleanup to get libgerbv usable (a few functions were
	needed by libgerbv previously).  * Change mainProject to use a pointer, and move all gerbv_project_t
	initialization to a function called gerbv_create_project. This
	affected almost all the GUI source code files.  * Add a first example file to show how to use libgerbv in other
	software (doc/example-code/exampl1.c).  * Start filling in the documentation inside gerbv.h.  To create the
	documentation, run "doxygen doc/Doxyfile.nopreprocessing" from the
	root directory, and then view the documentation at
	doc/html/index.html.

2008-05-17   Julian Lamb * thepurlieu AT gmail dot com *

	* doc/Doxyfile.nopreprocessing, src/exportimage.c, src/gerbv.h,
	src/pick-and-place.c: * start cleanup of gerbv.h and remove extra #ifdefs so that other
	software can use gerbv.h and not worry about setting up any defines

2008-05-16   Dan McMahill * dan AT mcmahill dot net *

	* src/gerb_file.c: use G_DIR_SEPARATOR instead of trying to figure
	it out ourselves (incorrectly)

2008-05-16   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c: * fix scrollbar handle positions, which were apparently broken
	during the rendering struct changes several months ago.

2008-05-16   Julian Lamb * thepurlieu AT gmail dot com *

	* INSTALL, src/export-rs274x.c, src/gerb_image.c: * skip over initial net when merging or exporting files.  The
	initial net is always zero based on the way we parse files.

2008-05-14   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/drill.c: Fixed bug #1963618 reported by Lorenzo Marcantonio
	regarding missing setlocale in drill_parse. Also cleaned up some
	mess while file was in my editor.

2008-05-11   Dan McMahill * dan AT mcmahill dot net *

	* autogen.sh: add some extra output about the versions of the
	different tools which are encountered.

2008-05-11   Dan McMahill * dan AT mcmahill dot net *

	* configure.ac: use AC_PROG_LIBTOOL instead of AM_PROG_LIBTOOL as
	the former is the prefered name.

2008-05-09   Dan McMahill * dan AT mcmahill dot net *

	* README-cvs.txt: add a note about needing libtool

2008-05-09   Dan McMahill * dan AT mcmahill dot net *

	* autogen.sh: if libtoolize doesn't exist, spit out an error to that
	effect

2008-05-09   Dan McMahill * dan AT mcmahill dot net *

	* INSTALL, README-release.txt, autogen.sh, configure.ac,
	src/Makefile.am, src/libgerbv.pc.in: add the build system changes to
	break out libgerbv into a library that the main program links to

2008-05-05   Stuart Brorson * sdb AT cloud9 dot net *

	* src/exportimage.c: Tweaked invocation of
	gerbv_render_to_pixmap_using_gdk so I could build gerbv using only
	GDK (no cairo).

2008-04-30   Stuart Brorson * sdb AT cloud9 dot net *

	* src/callbacks.c, src/gerbv.h, src/interface.c, src/interface.h:
	Made "Don't show this dialog again" checkbox optional when you call
	interface_get_alert_dialog_response.  This fixes issue where not all
	alerts should show the checkbox.  Also added "Are you sure" dialog
	when user tries to quite after making changes.

2008-04-29   Stuart Brorson * sdb AT cloud9 dot net *

	* src/callbacks.c, src/gerbv.c, src/gerbv.h, src/interface.c,
	src/main.c, src/render.c, src/render.h: Added "Do not show this
	dialog again" checkbox to "are you sure?" delete dialog.

2008-04-27   Julian Lamb * thepurlieu AT gmail dot com *

	* src/Makefile.am, src/amacro.c, src/amacro.h, src/callbacks.c,
	src/drill.c, src/drill_stats.h, src/exportimage.c,
	src/gerb_image.c, src/gerb_image.h, src/gerb_stats.h, src/gerber.c,
	src/gerbv.c, src/gerbv.h, src/main.c, src/main.h, src/project.c,
	src/project.h, src/render.h, src/tooltable.c, src/tooltable.h:
	Finish cleaning up library split, eliminating all compile errors.
	Move project.[ch] and all related scheme files to the "application",
	since putting these in libgerbv is not really needed.

2008-04-20   Julian Lamb * thepurlieu AT gmail dot com *

	* src/Makefile.am, src/amacro.h, src/attribute.c, src/callbacks.c,
	src/csv.c, src/draw-gdk.c, src/draw-gdk.h, src/draw.c, src/draw.h,
	src/drill.c, src/drill_stats.c, src/drill_stats.h,
	src/export-drill.c, src/export-drill.h, src/export-rs274x.c,
	src/export-rs274x.h, src/exportimage.c, src/exportimage.h,
	src/gerb_aperture.h, src/gerb_error.h, src/gerb_file.c,
	src/gerb_image.c, src/gerb_image.h, src/gerb_stats.c,
	src/gerb_stats.h, src/gerber.c, src/gerber.h, src/gerbv.c,
	src/gerbv.h, src/gerbv_screen.h, src/interface.c, src/log.c,
	src/log.h, src/main.c, src/main.h, src/pick-and-place.c,
	src/project.c, src/project.h, src/render.c, src/render.h,
	src/setup.c, src/setup.h: Big commit to start separating gerbv into
	a library and the command line/gui application. Also, clean out a
	bunch of dead code that wasn't needed anymore, and start moving all
	the important structs and function prototypes to gerbv.h to make a
	clean API for future library use.

2008-04-17   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c: Hook up basic move object function (available
	through right-click menu).

2008-04-17   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c, src/gerb_image.c: Add a 1 pixel grey border
	around the color picker boxes to make sure that the color stands out
	on a light background even with a light color.

2008-04-17   Julian Lamb * thepurlieu AT gmail dot com *

	* src/gerb_image.c: Make sure created "panes" can actually be saved
	to a new rs274x file correctly.

2008-04-17   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c, src/gerb_image.c, src/gerb_image.h,
	src/gerber.c, src/gerber.h: Get basic "window-paning" tool working
	(currently available through the right-click popup menu under
	"reduce area"). Next step is to work on the gui hookups to actually
	modify the parameters to the window-paning.

2008-04-16   Julian Lamb * thepurlieu AT gmail dot com *

	* src/gerb_image.c, src/gerber.c: Replace a lot of mallocs with
	g_new0 calls, since it saves quite a few lines of code.  Start
	splitting out some functions from the parser which will be needed in
	the new drawing code.

2008-04-16   Julian Lamb * thepurlieu AT gmail dot com *

	* src/gerb_image.c: Make sure we "compress" all the aperture numbers
	in the first panelization file too, giving cleaner output files.

2008-04-15   Julian Lamb * thepurlieu AT gmail dot com *

	* src/gerber.c: Fix bug #1943409, which was noticed by Stefan.  One
	of the polygon parsing optimizations I did earlier turned out to be
	wrong in certain rare cases. It has now been fixed with an extra
	check to still reduce spurious polygon start/stops in most cases,
	but correctly flag the rare cases which actually use the D02 flag to
	start a new polygon.

2008-04-14   Julian Lamb * thepurlieu AT gmail dot com *

	* src/render.c: Fix compiler error.

2008-04-13   Stuart Brorson * sdb AT cloud9 dot net *

	* src/callbacks.c, src/render.c, src/render.h: Minor mods, including
	adding #ifndef RENDER_USING_GDK, to facilitate compilation on boxen
	lacking cairo.

2008-04-08   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c, src/render.c: Fix smalle regressing in selection
	code. Also increase the pixel limit between using the click and drag
	selection options, and make the clicking more sensitive.

2008-04-08   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c, src/callbacks.h, src/gerb_image.c,
	src/gerb_image.h, src/interface.c, src/render.c, src/render.h: Hook
	up escape key to clear selection buffer.  Temporarily add a menu
	item for "reduce area" (window-paning) and start working on code to
	do this. Also, create code stubs for object moving logic.

2008-04-08   Julian Lamb * thepurlieu AT gmail dot com *

	* src/export-rs274x.c, src/gerber.c: Make some experimental changes
	to the gerber parser, and not even make a new net for aperture=OFF
	lines. This results in about a 5% memory savings, rendering speedup,
	and makes deleting/modifying objects much cleaner since there isn't
	a hanging D02 line before every object.  Please speak up if anything
	is broken regarding the parsing/rendering...the test suite still
	passes 100% after this change.

2008-04-08   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c, src/render.c, src/render.h: Allow user to control
	or shift click to add items to the selection buffer.

2008-04-08   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c, src/callbacks.h, src/gerbv_screen.h,
	src/interface.c, src/render.c: Add a quick right-click menu for the
	"pointer" tool per Stuart's suggestion.  Hook up the delete menu
	option to the delete code.

2008-04-08   Julian Lamb * thepurlieu AT gmail dot com *

	* src/draw-gdk.c, src/draw.c, src/export-rs274x.c,
	src/gerb_image.c, src/gerb_image.h, src/gerber.c: Restructure the
	way deleted nets are handled.  Remove a portion of the polygon
	parsing code, since I suspect it was added due to a typo in the
	Gerber manual (Stefan, maybe you can double-check). This code was
	adding many wasted G36 and G37 codes in the image.

2008-04-08   Julian Lamb * thepurlieu AT gmail dot com *

	* src/draw-gdk.c, src/draw.c, src/gerb_image.c: Allow polygon fills
	to se selected/deleted/etc. This was done by adding special code to
	the draw and delete routines instead of changing the internal image
	structure. In retrospect, changing the image structure for the
	polygons is more trouble than it is worth, since the current
	implementation fits with the RS274X spec much better.

2008-04-08   Julian Lamb * thepurlieu AT gmail dot com *

	* src/gerbv.c, test/run_tests.sh: Re-update all golden files since
	the 72 DPI default really makes most of the pictures unusable.
	Change the run_test script to force all tests to export as 640x480
	window.  Fix a small bug in the new export code which defaulted to
	different x and y scales if the user didn't specify DPI (most likely
	they want a 1:1 aspect ratio).

2008-04-08   Julian Lamb * thepurlieu AT gmail dot com *

	* src/gerbv.c: Update all golden test files after the last few
	months of code changes. Several recent changes were responsible for
	the massive test failures: 1) Anton's recent export patch, which defaults to 72 DPI and trims
	the picture to the perfect aspect ratio.  2) Make sure <1 pixel lines render as 1 pixel even at large zooms.

2008-04-05   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c, src/draw-gdk.c, src/draw-gdk.h, src/draw.c,
	src/draw.h, src/gerbv_screen.h, src/interface.c, src/render.c: Add
	selection rendering to GDK (Fast) code as well, removing any need to
	desensitize the pointer tool depending on render type.

2008-04-04   Julian Lamb * thepurlieu AT gmail dot com *

	* src/draw.c, src/render.c: Some miscellaneous code cleanup after
	the previous code commit.

2008-04-04   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c, src/callbacks.h, src/draw.c, src/draw.h,
	src/export-drill.c, src/gerb_image.c, src/gerb_image.h,
	src/gerbv.c, src/gerbv.h, src/gerbv_screen.h, src/interface.c,
	src/render.c, src/render.h: Add several new capabilities to gerbv: 1) Add selection capability with the pointer tool. Both single
	clicking and dragging are supported now.  2) Add menu options for saving layers, now that gerbv offers actual
	editing of gerber files. Also allow the user to force an export to
	drill/rs274x format if they want to do that for some reason.  3) Allow the user to delete selected objects by pressing the delete
	key. The modified layer can then be saved.  See post to gerbv_devel for known issues with this commit.

2008-04-02   Julian Lamb * thepurlieu AT gmail dot com *

	* src/batch.c, src/batch.h, src/exportimage.c, src/exportimage.h,
	src/gerb_file.c, src/gerb_file.h, src/gerb_image.c,
	src/gerb_image.h, src/interface.c, src/interface.h, src/project.c,
	src/project.h: Commit elfring's const correctness patch.

2008-04-02   Julian Lamb * thepurlieu AT gmail dot com *

	* man/gerbv.1.in, src/gerbv.c: Apply Anton's man page patch, and add
	the new translate option to it as well.

2008-04-02   Julian Lamb * thepurlieu AT gmail dot com *

	* src/attribute.c, src/attribute.h, src/callbacks.c, src/gerbv.c:
	Rename the attribute dialog function to prevent confusion from
	hackers thinking it is in interface.c.  Add an include to gerbv.c to
	remove a compiler warning.

2008-04-02   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c: Slightly modify the format editor alert dialog
	wording to better conform to the Gnome HIG regarding
	primary/secondary wording.

2008-04-02   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c: Also refresh the screen after changing file
	format options.

2008-04-02   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c, src/export-drill.c: Make sure we refresh the
	screen after reloading a layer.

2008-04-01   Julian Lamb * thepurlieu AT gmail dot com *

	* src/Makefile.am, src/export-drill.c, src/export-drill.h,
	src/gerb_image.c, src/gerbv.c: Add logic to the merging code which
	tries to prevent duplicating apertures in the new image.  Add an
	Excellon drill file exporter.  Update the command line help to
	reflect the additions of rs274x and excellon exporting.

2008-04-01   Julian Lamb * thepurlieu AT gmail dot com *

	* src/gerb_image.c, src/gerbv.c: Add translation to the command
	line, effectively allowing panelization of multiple files (or
	multiple instances of the same file). e.g.: src/gerbv --export=rs274x --output=output.gbx --translate=0,0
	--translate=3.5,0 example/dan/top.gbx example/dan/top.gbx to panelize 2 copies of top.gpx next to each other.

2008-04-01   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c, src/gerb_image.c, src/gerb_image.h, src/gerbv.c,
	src/gerbv_screen.h, src/render.c: Add translation capability to
	merging code, and add a struct to handle per-layer transformations
	like translating/scaling/etc. After adding command line translation
	option, we should have the basics for scriptable panelization.

2008-04-01   Julian Lamb * thepurlieu AT gmail dot com *

	* src/gerb_image.c: Fix bug in aperture translation logic for image
	merging.

2008-04-01   Julian Lamb * thepurlieu AT gmail dot com *

	* src/gerb_image.c, src/gerbv.c: Finish rough draft of image merging
	code...still plenty of bugs to fix though.

2008-04-01   Julian Lamb * thepurlieu AT gmail dot com *

	* src/gerb_image.c, src/gerb_image.h, src/gerbv.c: Start coding the
	image duplication and copying functions in preparation for the
	panelization feature addition.

2008-03-31   Dan McMahill * dan AT mcmahill dot net *

	* src/drill_stats.c: add an extra dprintf()

2008-03-31   Dan McMahill * dan AT mcmahill dot net *

	* src/callbacks.c: add an extra digit on the measurements

2008-03-31   Dan McMahill * dan AT mcmahill dot net *

	* src/drill.c: fix drill stats when in metric mode

2008-03-30   Stuart Brorson * sdb AT cloud9 dot net *

	* src/exportimage.c: Move all #include <cairo*.h> declarations to
	same level to fix build problem.

2008-03-29   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/draw-gdk.c: Number of points in outline macro seems not to
	include start point and primitive 5 should handle explicit x/y

2008-03-29   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/draw.c: Number of points in outline macro seems not to include
	start point

2008-03-27   Stefan Petersen * spe AT stacken dot kth dot se *

	* example/am-test/am-test.gbx: Number of points given as parameter
	to aperture macro should apperently not contain start point as found
	in other (real) examples in the repository.

2008-03-27   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/gerber.c: Fixed bug in aperture macro simplification. Number
	of parameters calculated for aperture macro 4 (outline) was
	calculated wrong.

2008-03-26   Dan McMahill * dan AT mcmahill dot net *

	* src/render.c: add missing prototype

2008-03-26   Dan McMahill * dan AT mcmahill dot net *

	* src/attribute.c, src/attribute.h, src/batch.c, src/callbacks.c,
	src/drill.c, src/drill.h, src/interface.c, src/interface.h,
	src/project.c, src/project.h: Store file format attributes into the
	project file and correctly load them back again.  Also store the
	render type.

2008-03-26   Dan McMahill * dan AT mcmahill dot net *

	* src/drill.c, src/drill_stats.c, src/drill_stats.h, src/gerbv.c:
	Don't complain about DETECT,ON and DETECT,OFF, FMAT,2 or VER,1 in
	drill files.   Include the DETECT,ON/OFF part in the stats.

2008-03-26   Julian Lamb * thepurlieu AT gmail dot com *

	* src/gerbv.c: Make sure some incorrect color values are caught by
	the command line parser (eg #gggggg was valid before).

2008-03-26   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c, src/exportimage.c, src/gerbv.c, src/render.c,
	src/render.h: Added Anton's large patch set to: 1) Add much more command line exporting functionality to gerbv (note
	this patch pretty much changes the default png export behavior, so
	the test suite is 100% failing now...I will wait a little bit before
	uploading all the new golden files and make sure everyone is happy
	with the new command line setup).  2) fix a bug in the PDF/PS/SVG export code. The render function
	incorrectly scaled each layer during the export process, causing
	cairo to seriously complain and possibly crash.  3) Add capability to handle separate x and y scale factors. This
	will come in handy for fine-tuning printing for users etching their
	own boards (see Sourceforge feature request for this).  Thanks again
	for Anton's great work on all this...maybe he'll stick around and
	contribute more!

2008-03-26   Julian Lamb * thepurlieu AT gmail dot com *

	* src/gerb_file.c: Fixed file parsing bug on Windows which sometimes
	read in past the EOF (noticed and fixed by Anton Verburg) (Bug
	1925182 in Sourceforge).

2008-03-26   Dan McMahill * dan AT mcmahill dot net *

	* src/drill.c: don't complain about redefining a drill if the new
	definition is identical to the old one.  Cuts out a lot of spurious
	output.

2008-03-26   Dan McMahill * dan AT mcmahill dot net *

	* src/drill.c: fix index for the digits attribute

2008-03-26   Dan McMahill * dan AT mcmahill dot net *

	* src/gerbv.c: add missing return in a non-void function.

2008-03-26   Dan McMahill * dan AT mcmahill dot net *

	* src/Makefile.am, src/attribute.c, src/attribute.h, src/batch.c,
	src/callbacks.c, src/callbacks.h, src/drill.c, src/drill.h,
	src/gerb_image.c, src/gerb_image.h, src/gerber.c, src/gerbv.c,
	src/gerbv.h, src/interface.c, src/pick-and-place.c: Add code that
	provides a generic attribute list editor from pcb.  Use this to
	provide a dialog for manually overriding the file format for drill
	files.  Once people are satisfied that this works as desired we can
	fill in the code for specifying rs274-x and pick-and-place
	formatting.  No more gui coding should be needed to add the others.  'make check' ran before and after with identical results.

2008-03-21   Julian Lamb * thepurlieu AT gmail dot com *

	* src/gerbv.c: add gerbv_revert_file function for Dan's new popup
	menu option.

2008-03-20   Dan McMahill * dan AT mcmahill dot net *

	* src/gerbv.c, src/project.c, src/project.h: Teach the project file
	about layer visibility.  Now when you reload a project file, the
	layer visibility is preserved.

2008-03-14   Julian Lamb * thepurlieu AT gmail dot com *

	* src/exportimage.c, src/gerber.c: Fix bug in macro parsing which
	mistakenly flagged all macros as using a "clear" exposure operation.
	This made the cairo renderer very slow on files with lots of macros.
	Thanks to Stefan for spotting the speed issue.

2008-03-13   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/draw-gdk.c: Aperture macro 21 with X and Y given as parameters
	in the aperture macro definition is now handled by the GDK drawing
	engine too.

2008-02-26   Dan McMahill * dan AT mcmahill dot net *

	* desktop/Makefile.am: make sure we include gerbv_icon.ico in the
	distfile

2008-02-26   Dan McMahill * dan AT mcmahill dot net *

	* win32/build_gerbv: fix syntax error

2008-02-20   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c: Eliminate the screen refresh after saving a
	project, since there's no need for it.  This will make project
	saving near-instantaneous again.

2008-02-18   Dan McMahill * dan AT mcmahill dot net *

	* utils/umap: add some email addresses to the cvs2cl.pl umap file

2008-02-18   Stuart Brorson * sdb AT cloud9 dot net *

	* Makefile.am: Revert change made to DISTCHECK_CONFIGURE_FLAGS line
	per request of Dan.

2008-02-14   Julian Lamb * thepurlieu AT gmail dot com *

	* src/draw.c, src/gerber.c: Add a flag to the macro structure to let
	the renderer know if any clear primatives are used in the macro.
	This allows cairo to only use push/pop if it needs to, speeding up
	all other macro rendering.

2008-02-14   Julian Lamb * thepurlieu AT gmail dot com *

	* src/draw-gdk.c, src/draw.c, src/gerber.c: Convert all apertures
	and macros to inches during parsing, completing the storage of all
	dimensions in the gerb_image as inches. This simplified the drawing
	logic, as well as making sure we don't make any unit conversion
	mistakes, since the Gerber spec allows 2 different ways to change
	units.  With cairo, render any lines < 1 pixel wide as 1 pixel wide in order
	to eliminate the disappearing of lines at low zoom levels (pointed
	out by Stefan). This breaks many of the test suite files due to this
	small change, so I'll update them all soon.

2008-02-14   Julian Lamb * thepurlieu AT gmail dot com *

	* src/Makefile.am, src/callbacks.c, src/color.c, src/color.h,
	src/gerbv.c, src/interface.c, src/log.c: Remove color.[ch], since
	their functionality has been incorporated into the other files after
	the cairo code addition.

2008-02-14   Julian Lamb * thepurlieu AT gmail dot com *

	* src/draw.c, src/draw.h, src/render.c, src/render.h: Start adding
	the code to allow selection of items on the screen.

2008-02-13   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/draw-gdk.c: Added some more debug printouts when drawing
	aperture macros.

2008-02-13   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/gerber.c: The list of simplified aperture macros is now stored
	in the order they are defined. Also some reformatting of the code to
	fit into the rest of gerbv.

2008-02-09   Julian Lamb * thepurlieu AT gmail dot com *

	* src/draw.c, src/draw.h, src/export-rs274x.c, src/render.c: Render
	apertures with diameter of 0 as 1 pixel wide in cairo. The GDK
	renderer already did this due to roundoff error, and other viewer
	software seem to do this as well. Some programs seem to use 0
	diameter apertures for labels and other things that aren't actually
	part of the PCB.  This bug was noticed by Peter C.

2008-02-09   Julian Lamb * thepurlieu AT gmail dot com *

	* src/draw-gdk.c, src/gerber.c: Add small fix to Stefan's recent
	bugfix to account for final rotation parameter in outline. Also,
	change to filled shapes in outline macro with GDK, since this is how
	other viewers handle this.

2008-02-09   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/gerb_aperture.h, src/gerber.c: Aperture macro primitive
	outline can have up to 102 parameters so I increased number of
	parameters to 102. That makes all places that is holding parameters
	this big, but I (spe) take that memory waste.  When parsing, outline
	also calculates a more correct number of parameters, reflecting the
	changing number of parameters. That value is checked against maximum
	number of parameters.

2008-02-09   Julian Lamb * thepurlieu AT gmail dot com *

	* src/export-rs274x.c, src/gerbv.c: Add code to allow exporting
	macros (using the new simplified macro structures). This should
	almost complete the export to RS274X code, except for some work on
	finishing work on some of the rarely used RS274X features.  Add
	exporting to RS274X command into the help printout.

2008-02-09   Julian Lamb * thepurlieu AT gmail dot com *

	* src/draw-gdk.h, src/draw.c, src/draw.h, src/gerber.c: Add code to
	calculate the exact extents of a drawn macro, in order to autoscale
	the image correctly and do perfect knockout cuts. This is now
	possible with the simplified aperture code.  Move macro enumerations
	to draw-gdk.h so we can use it in gerber.c.

2008-02-09   Julian Lamb * thepurlieu AT gmail dot com *

	* src/draw.c: Change the cairo macro rendering over to use Stefan's
	new simplified macro aperture definitions. This allowed for quite a
	bit of code cleanup.  Note that the clearing code currently doesn't
	work yet, since we're waiting on Stefan to fix some ordering bugs in
	the simplified macro list.

2008-02-09   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/gerb_file.c: Fix for bug report #1884694 that made it possible
	for program to leak a small amount of memory in some situations.

2008-02-09   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/draw-gdk.c, src/draw-gdk.h, src/gerb_aperture.h, src/gerber.c:
	Implemented a simplifier for aperture macros. Already during the
	parse phase (actually when an aperture is defined using an aperture
	macro), gerbv now executes the byte code with the parameters given
	in the definition of the aperture. It generates a linked list with
	aperture macros with precalculated parameters, so the drawing engine
	never needs to redo the calculation everytime it draws an aperture
	defined by an aperture macro. And the virtual machine to execute the
	aperture macro byte code is only needed at one place (parser), not
	at every drawing engine.  The virtual machine is also made hardended against bugs in the byte
	code.  An actual implementation of using these simplified aperture macro is
	also done in the GDK drawing engine.  A bug in the GDK drawing engine is also fixed so when drawing
	aperture macro primitive 20/2 so rotation is made in the correct
	way.

2008-02-09   Stuart Brorson * sdb AT cloud9 dot net *

	* tags.txt: Update tags.txt file with tag gerbv-2_1_trunk.

2008-02-09   Stuart Brorson * sdb AT cloud9 dot net *

	* configure.ac: Changed version to gerv-2.1-trunk for trunk.

2008-02-09   Stuart Brorson * sdb AT cloud9 dot net *

	* tags.txt: Added new release name to tags.txt after tagging
	everything 2.0.1.

2008-02-09   Stuart Brorson * sdb AT cloud9 dot net *

	* configure.ac: Update configure.ac to read version 2.0.1.

2008-02-08   Stuart Brorson * sdb AT cloud9 dot net *

	* ChangeLog, ChangeLog_pre20080201: Move old manual ChangeLog to
	ChangeLog_pre20080201.  Check in new, autogenerated ChangeLog.  The
	new ChangeLog is generated using cvs2cl.pl.

2008-02-07   Julian Lamb * thepurlieu AT gmail dot com *

	* ChangeLog: Update Changelog manually for changes since 2.0.0

2008-02-07   Stuart Brorson * sdb AT cloud9 dot net *

	* NEWS: Add annotation about gerbv-2.0.1.

2008-02-07   Stuart Brorson * sdb AT cloud9 dot net *

	* Makefile.am: Fix typo.

2008-02-05   Stuart Brorson * sdb AT cloud9 dot net *

	* NEWS: Created bare-bones NEWS file in prep for 2.0.1 release.

2008-01-31   Dan McMahill * dan AT mcmahill dot net *

	* win32/build_gerbv: use tr instead of dos2unix to fix up the
	various Makefiles.  This seems a bit more robust since the spurious
	\r is sometimes in the middle of a line

2008-01-30   Dan McMahill * dan AT mcmahill dot net *

	* win32/extract_gtk_win32: add gdwin32 for pcb

2008-01-30   Dan McMahill * dan AT mcmahill dot net *

	* win32/Makefile.am, win32/extract_gtk_win32, win32/gerbv.nsi.in:
	distribute the extract_gtk_win32 file, also list the gerbv license
	alone and keep the rest apart so it is easier to build other tools
	too.

2008-01-30   Dan McMahill * dan AT mcmahill dot net *

	* win32/extract_gtk_win32, win32/gerbv.nsi.in: all licenses for all
	the libraries

2008-01-30   Dan McMahill * dan AT mcmahill dot net *

	* win32/build_gerbv: disable desktop database updates

2008-01-30   Julian Lamb * thepurlieu AT gmail dot com *

	* src/gerbv.c: * more help printout cleanup and clarification

2008-01-30   Julian Lamb * thepurlieu AT gmail dot com *

	* src/gerbv.c: * cleanup help printout and change the format to better follow most
	  other programs.

2008-01-29   Peter Clifton * pcjc2 AT cam dot ac dot uk *

	* Makefile.am, icon-theme-installer: Add missed icon-theme-installer
	to EXTRA_DIST, and fix bug in icon-theme-installer where the -??
	size was not stripped from the installed icon name.

2008-01-29   Peter Clifton * pcjc2 AT cam dot ac dot uk *

	* Makefile.am, configure.ac, desktop/Makefile.am,
	desktop/gerbv.svg, icon-theme-installer: Hooked up GTK icon theme
	and .desktop file install. Also added a "scalable" version of the
	gerbv icon for installation. This is the 48x48 svg original, scaled
	onto a 128x128 canvas to match the expected size of the "scalable"
	size of the "hicolor" icon theme.

2008-01-24   Julian Lamb * thepurlieu AT gmail dot com *

	* src/draw.c: * speed up cairo rendering of macros by checking each macro for any
	  clear draws, then only using push/pop group if we need to.

2008-01-24   Stuart Brorson * sdb AT cloud9 dot net *

	* example/hellboard/README, example/hellboard/hellboard.back.gbr,
	example/hellboard/hellboard.fab.gbr,
	example/hellboard/hellboard.front.gbr,
	example/hellboard/hellboard.group1.gbr,
	example/hellboard/hellboard.group2.gbr,
	example/hellboard/hellboard.pcb,
	example/hellboard/hellboard.plated-drill.cnc: Added DJ's hellboard
	to distribution.

2008-01-24   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/gerb_image.c, src/gerber.c: A little cleanup

2008-01-24   Julian Lamb * thepurlieu AT gmail dot com *

	* src/draw-gdk.c, src/draw-gdk.h, src/draw.c, src/export-rs274x.c,
	src/gerb_image.h, src/gerber.c: * change polygon structure slightly and move "arc chopper" logic
	  into the GDK draw functions, and store only the arc info in the
	  gerb_image struct. This allows exporting with 100% accuracy, speeds
	  up the cairo rendering, and reduces the size of the gerb_image * update 4 golden files as a result of this change, since the cairo
	  renderer now renders with the default resolution instead of the
	  mandated 1 degree resolution with the previous method.  * add more functionality to the export code, including info headers,
	  polarity changes, and finishing the polygon stuff. The only major
	  code that still needs to be added is macro exporting. This may wait
	  until (or if) we re-arrange the macro storage method.  * change GDK renderer to use a double for the scale factor instead
	  of an int. The int was causing noticable error during rendering of
	  large boards in comparison to the cairo version (which was correct).

2008-01-24   Julian Lamb * thepurlieu AT gmail dot com *

	* src/gerber.c: * fix bug 1878509 by adding a hack to assume linear interpolation is
	  desired if no I or J parameter is given. All other programs seem to
	  assume this, so it should be safe.  Also, the testsuite still passes
	  after this change, so it shouldn't break anything.

2008-01-23   Stuart Brorson * sdb AT cloud9 dot net *

	* src/draw-gdk.h: Trivial comment fix: #endif /* DRAW_H */ -->
	#endif /* DRAW_GDK_H */

2008-01-22   Dan McMahill * dan AT mcmahill dot net *

	* win32/extract_gtk_win32: start work on documenting how I extract
	all the gtk for windows stuff and the licenses for each.

2008-01-22   Dan McMahill * dan AT mcmahill dot net *

	* Makefile.am: remove some extra entries in the files to be cleaned
	that didn't really belong

2008-01-22   Dan McMahill * dan AT mcmahill dot net *

	* src/dynload.c: fix a format string warning on windows.

2008-01-22   Dan McMahill * dan AT mcmahill dot net *

	* configure.ac, src/scheme.c: check for strlwr() at configure time
	instead of relying on preprocessor #defines.  Should address the
	strlwr() part of sf bug [ 1877018 ] compiling gerbv 2.0 using cygwin

2008-01-22   Dan McMahill * dan AT mcmahill dot net *

	* configure.ac, src/Makefile.am, win32/build_gerbv,
	win32/gerbv.nsi.in: hook in the icons for the non-cygwin windows
	version

2008-01-22   Julian Lamb * thepurlieu AT gmail dot com *

	* src/export-rs274x.c: round values before writing to file in order
	to make sure no truncation errors are included.

2008-01-22   Julian Lamb * thepurlieu AT gmail dot com *

	* src/Makefile.am, src/export-rs274x.c, src/export-rs274x.h,
	src/gerbv.c: *export-rs274x.[ch]: start coding the library to export
		a gerb_image to a Gerber file. Currently it supports basic aperture
		drawing and polygon fills without circular paths inside them. This
		should support most all files exported from PCB, though. For now,
		only the command line option is hooked into this new library for
	testing (--export-rs274x).

2008-01-19   Dan McMahill * dan AT mcmahill dot net *

	* : add desktop icons from Tomaz.

2008-01-19   Dan McMahill * dan AT mcmahill dot net *

	* desktop/gerbv-32.svg: add 32x32 icon

2008-01-18   Dan McMahill * dan AT mcmahill dot net *

	* desktop/gerbv-16.svg, desktop/gerbv-22.svg, desktop/gerbv-48.svg,
	desktop/regen_files: add some application icons from Tomaz along
	with a script from pcb to rebuild the .png and .ico files.

2008-01-15   Dan McMahill * dan AT mcmahill dot net *

	* src/drill.c, src/gerber.c, src/pick-and-place.c, src/scheme.c,
	src/tooltable.c: fix a bunch of gcc4 warnings

2008-01-13   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/project.c, src/project.h: Cleaned up WIN32 code slightly

2008-01-13   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/interface.c: Cleaned up small compilation warning

2008-01-13   Julian Lamb * thepurlieu AT gmail dot com *

	* src/draw-gdk.h, src/interface.c: 	* fix bug #1870444 (and a similar report about problems on MAC
		  compiling) by allowing both draw.h and draw-gdk.h to be included.

2008-01-13   Julian Lamb * thepurlieu AT gmail dot com *

	* : 	* update golden circular interpolation file to reflect updated test 	  file.

2008-01-13   Julian Lamb * thepurlieu AT gmail dot com *

	* ChangeLog, src/gerbv.c, src/interface.c, src/render.c,
	test/inputs/test-circular-interpolation-1.gbx: 	*gerbv.c: Get short options working for export from commandline
		options *many files: Get exporting from command line working
			without the need for a display (cairo only). This was a regression
			after the late on-the-fly GDK code.  	*render.c,interface.c: Get background color to show up correctly on
			loaded projects.

2008-01-13   Stuart Brorson * sdb AT cloud9 dot net *

	* configure.ac, tags.txt: Created trunk in prep for 2.0.0 release.

2008-01-13   Stuart Brorson * sdb AT cloud9 dot net *

	* ChangeLog: Update ChangeLog in prep for 2.0.0 release.

2008-01-13   Stuart Brorson * sdb AT cloud9 dot net *

	* src/draw-gdk.c: Apply patch from Stephan Boettcher to help with
	drawing arcs.

2008-01-13   Dan McMahill * dan AT mcmahill dot net *

	* README-release.txt, utils/cvs2cl.pl, utils/umap: put cvs2cl.pl and
	a usermap file here to help with changelog updates for releases

2008-01-12   Stuart Brorson * sdb AT cloud9 dot net *

	* configure.ac: Change displayed name of gerbv from gerbv-2.0.0-beta
	to gerbv-2.0.0.

2008-01-12   Stuart Brorson * sdb AT cloud9 dot net *

	* src/exportimage.c: Moved #includes for render.h and exportimage.h
	after that for cairo.h.  This should fix OSX build bug reported by
	Colin Hall.

2008-01-12   Julian Lamb * thepurlieu AT gmail dot com *

	* ChangeLog, src/draw.c, test/golden/Makefile.am,
	test/inputs/Makefile.am,
	test/inputs/test-circular-interpolation-1.gbx, test/tests.list: 	* draw.c: Fix small error in cairo rendering of elliptical circular 	  interpolation paths.  	* test/input/test-circlar-interpolation.gbx: added another test
		file.

2008-01-12   Stuart Brorson * sdb AT cloud9 dot net *

	* configure.ac, test/Makefile.am, test/run_tests.sh: Change name of
	ImageMagick utilities from FOO to IM_FOO.  This fixes problem where
	DISPLAY was overwriting the X environment variable, breaking the
	tests for me.

2008-01-12   Julian Lamb * thepurlieu AT gmail dot com *

	* ChangeLog, src/draw.c, test/golden/Makefile.am,
	test/inputs/Makefile.am, test/inputs/test-aperture-circle-1.gbx,
	test/inputs/test-aperture-circle-flash-1.gbx,
	test/inputs/test-aperture-obround-1.gbx,
	test/inputs/test-aperture-obround-flash-1.gbx,
	test/inputs/test-aperture-polygon-1.gbx,
	test/inputs/test-aperture-polygon-flash-1.gbx,
	test/inputs/test-aperture-rectangle-1.gbx,
	test/inputs/test-aperture-rectangle-flash-1.gbx,
	test/inputs/test-polygon-fill-1.gbx, test/tests.list: 	* draw.c: Fix a few minor cairo rendering issues: 1) fix rendering
		  of circular interpolation within a polygon fill. 2) Fix rendering
		  of flashed polygon apertures with holes in them.  	* tests/inputs: Add 8 new test files to test out aperture drawing,
		  and 1 to test polygon fills.  	* tests/golden/*: Update all golden files in preparation for 2.0
		  release.  20 tests were failing for a variety of reasons.  Most
		  were due to the recent disabling of anti-aliasing on polygon fills,
		  which causes very small changes to the rendering of the polygon
		  borders. The remainder of the failings were due to spurious lines
		  previously being drawn on flashed apertures with holes (noticed by
		  Stefan), which has now been fixed.

2008-01-12   Peter Clifton * pcjc2 AT cam dot ac dot uk *

	* desktop/gerbv.desktop: Add mime types
	application/x-gerber;application/x-excellon; to .desktop file

2008-01-12   Dan McMahill * dan AT mcmahill dot net *

	* test/Makefile.am: Revert adding $(SHELL) -x to the test
	environment.  That broke the script.

2008-01-12   Dan McMahill * dan AT mcmahill dot net *

	* win32/build_gerbv: - enable cairo in the win32 build script - add 'make clean' to the beginning of the script

2008-01-12   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c: 	* callbacks.c: Try and get cairo working on WIN32 by switching to 	  use of gdk_cairo_create to get the drawing surfaces.

2008-01-12   Stuart Brorson * sdb AT cloud9 dot net *

	* man/Makefile.am: Random cleanup of makefile system.

2008-01-12   Stuart Brorson * sdb AT cloud9 dot net *

	* Makefile.am, autogen.sh, configure.ac, desktop/Makefile.am,
	src/Makefile.am, test/Makefile.am, win32/Makefile.am: Random cleanup
	of automake system.

2008-01-12   Dan McMahill * dan AT mcmahill dot net *

	* win32/build_gerbv: disable dependency tracking which has issues
	with things like c: in a path

2008-01-12   Dan McMahill * dan AT mcmahill dot net *

	* src/callbacks.c, src/drill.c, src/drill_stats.c,
	src/gerb_error.h, src/gerb_stats.c, src/gerber.c: ERROR->GRB_ERROR
	to avoid name space issues that prevented compiling with the cairo
	renderer on win32.

2008-01-12   Dan McMahill * dan AT mcmahill dot net *

	* src/callbacks.c: add a #error near the known broken WIN32 section.

2008-01-12   Dan McMahill * dan AT mcmahill dot net *

	* src/render.c: protect one more cairo-xlib inclusion with a WIN32
	check

2008-01-12   Dan McMahill * dan AT mcmahill dot net *

	* src/gerber.c: add a handful of dprintfs

2008-01-12   Dan McMahill * dan AT mcmahill dot net *

	* src/gerb_file.c: add missing rewind().  Now we can load files on
	win32.  Noted by Peter Clifton.

2008-01-12   Dan McMahill * dan AT mcmahill dot net *

	* configure.ac, src/callbacks.c, src/gerb_image.h, src/gerber.c,
	win32/build_gerbv, win32/gerbv.nsi.in: Minor changes that let gerbv
	build a non-cygwin windows version along with a native windows
	installer.  The resulting program installs and deinstalls cleanly
	but currently only uses the GDK renderer.  It runs but won't load
	files.  Still, a step in the right direction.

2008-01-11   Dan McMahill * dan AT mcmahill dot net *

	* configure.ac: add an AM_CONDITIONAL on win32

2008-01-11   Dan McMahill * dan AT mcmahill dot net *

	* win32/Makefile.am: clean out a bunch of unneeded junk

2008-01-11   Dan McMahill * dan AT mcmahill dot net *

	* src/Makefile.am, src/gerbv.rc: put the code in place for adding an
	icon on a windows build but leave commented out for the moment until
	the new icons are added.

2008-01-11   Dan McMahill * dan AT mcmahill dot net *

	* win32/Makefile.am, win32/Readme.txt, win32/build_gerbv,
	win32/gerbv.nsi.in: start adding infrastructure for building windows
	installers (not finished or hooked in yet)

2008-01-11   Dan McMahill * dan AT mcmahill dot net *

	* Makefile.am, README-cvs.txt, README-release.txt: add notes on
	building from cvs and how to create a release

2008-01-11   Dan McMahill * dan AT mcmahill dot net *

	* configure.ac, man/Makefile.am, scheme/Makefile.am,
	src/Makefile.am: rework the use of datarootdir to avoid some manpage
	problems and a dependence on really new autoconf/makes

2008-01-11   Dan McMahill * dan AT mcmahill dot net *

	* man/gerbv.1.in: remove some obsolete information

2008-01-11   Stuart Brorson * sdb AT cloud9 dot net *

	* src/gerber.c: Change char -> int to fix Mac OSX bug noted by
	Gabriel Paubert.

2008-01-10   Julian Lamb * thepurlieu AT gmail dot com *

	* ChangeLog, src/Makefile.am, src/callbacks.c, src/draw.c,
	src/draw.h, src/exportimage.c, src/gerbv.c, src/interface.c,
	src/render.c: 	* interface.c: Try and fix bug where tooltips weren't showing up
		  for some users.  	* many files: Implement on-the-fly switching between GDK and cairo 	  rendering, and set default setting on cairo builds to "Fast"
		(GDK).  * draw.c: Fix spurious line rendering noticed by Stefan on BGA pads.  	* draw.c: Turn off anti-aliasing just on all polygon draws, since
		  they were showing seams on ground planes.  	* draw.c: Fix clearing of BGA pin holes bug noticed by Stefan.  	* draw.c: Add "exposure off" logic, allowing macros with the
		  exposure=off parameter to erase.

2008-01-10   Stuart Brorson * sdb AT cloud9 dot net *

	* ChangeLog: Inserted note about release into ChangeLog.

2008-01-10   Stuart Brorson * sdb AT cloud9 dot net *

	* Makefile.am, configure.ac: Updated Makefile.am and configure.ac in
	prep for beta release.

2008-01-10   Stuart Brorson * sdb AT cloud9 dot net *

	* configure.in: Remove configure.in after moving the file to
	configure.ac.

2008-01-10   Stuart Brorson * sdb AT cloud9 dot net *

	* configure.ac: Move configure.in to configure.ac.

2008-01-10   Stuart Brorson * sdb AT cloud9 dot net *

	* rebuild_conf: Remove rebuild_conf after moving actual file to
	autogen.sh.

2008-01-10   Stuart Brorson * sdb AT cloud9 dot net *

	* autogen.sh: Move rebuild_conf to autogen.sh.

2008-01-09   Dan McMahill * dan AT mcmahill dot net *

	* src/callbacks.c: add the name of the renderer to the about dialog

2008-01-09   Stefan Petersen * spe AT stacken dot kth dot se *

	* example/uwe/example.gbr, example/uwe/mail.txt: Added example on
	aperture macro overlayed

2008-01-09   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c: 	* callbacks.c: Bump up the resolution of measurements in MMS.
		  Change x and x to lowercase in display.

2008-01-09   Julian Lamb * thepurlieu AT gmail dot com *

	* ChangeLog, src/gerbv.c: 	* gerbv.c: Make sure we increase max_files by 2, since we may need
		  to open up two files for PNP layers (top + bottom). This fixes a
		  segfault after adding a PNP file to the project and then clicking
	"New".

2008-01-09   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c: 	* fix bug where ruler pointers didn't show up when units are MILS
		  (this was a regression after the new ruler scale logic was
		  implemented last week).

2008-01-09   Julian Lamb * thepurlieu AT gmail dot com *

	* src/render.c: 	* turn off cairo anti-aliasing from "normal" setting, since it 	  seems to cause faint seams between adjacent polygons (most
	          noticable in ground plane outputs from PCB, usually). I'll work
		  on a better workaround for the next release.

2008-01-09   Stuart Brorson * sdb AT cloud9 dot net *

	* src/drill.c: Tweaked logic which recognizes drill files to fix bug
	in Orcad file pointed out by Julian.

2008-01-09   Julian Lamb * thepurlieu AT gmail dot com *

	* src/draw.c: 	* fix for arc render regression found in test suite. Updated 2
	          golden files based on new (more correct) pictures.

2008-01-09   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c: 	* fix stupid change in callbacks.c which disabled all layer
		interaction

2008-01-09   Stuart Brorson * sdb AT cloud9 dot net *

	* src/drill.c: Improve code which figures out if a file is a valid
	drill file.  This prevents gerbv from accidentally reading in
	pick-place files.  Fixes bug reported by Julian.

2008-01-08   Julian Lamb * thepurlieu AT gmail dot com *

	* ChangeLog, src/callbacks.c: 	* callbacks.c: Change color dialog to "blocking", which prevents
		  user from modifying layer orders while it is running and preventing 	  possible problems with the layer tree code.

2008-01-08   Stuart Brorson * sdb AT cloud9 dot net *

	* src/drill.c: Added check for %, and fixed check for T.  This
	should fix bug noticed by Julian where gerbv would not load the
	drill file example/orcad/thruhole.tap.

2008-01-08   Stuart Brorson * sdb AT cloud9 dot net *

	* src/callbacks.c: Added more authors to list.

2008-01-08   Julian Lamb * thepurlieu AT gmail dot com *

	* src/gerbv.c: 	* when unloading a layer, make sure the last spot is NULL
		afterwards.

2008-01-08   Julian Lamb * thepurlieu AT gmail dot com *

	* ChangeLog, src/draw.c, src/pick-and-place.c: 	* pick-and-place.c: Make sure we check cir_seg height and width are
		  > 0, otherwise it can cause cairo rendering problems.  	* draw.c: Reduce label text font size, since the protel-pnp example
		  file reveals problems fitting the text on the image.

2008-01-08   Julian Lamb * thepurlieu AT gmail dot com *

	* ChangeLog, src/callbacks.c, src/draw.c, src/drill.c, src/drill.h,
	src/gerber.c, src/gerber.h, src/gerbv.c, src/interface.c,
	src/interface.h, src/pick-and-place.c, src/pick-and-place.h: 	* draw.c: Revert back to old oval rendering for the time being,
		  since the new one seems to be having issues...  	* gerbv.c, others: Add a dialog to confirm the user wants to open a
		  file with invalid ASCII characters.

2008-01-07   Julian Lamb * thepurlieu AT gmail dot com *

	* src/gerbv.c: 	* gerbv.c: Fix segfault noticed by Stefan

2008-01-07   Julian Lamb * thepurlieu AT gmail dot com *

	* ChangeLog, src/callbacks.c, src/gerbv.c, src/interface.c,
	src/interface.h, src/render.c: 	* interface.c, callbacks.c: Add in warning dialogs if user starts a
		  new project or opens a project with existing layers to make sure
		  they don't accidentally close all layers.  	* callbacks.c: Add in some logic to switch to inches in the rulers
		  if the scale gets too small in mils.  Change the default unit back
		to mils.  * interface.c: Recognize the default unit and start the unit combo
		  box to the right one.  	* render.c: Change the default screen size scale factor to where
		  mils can reasonably show up on the rulers.

2008-01-07   Dan McMahill * dan AT mcmahill dot net *

	* configure.in, src/callbacks.c, src/gerbv.c, src/gerbv_screen.h,
	src/render.c: remove MAX_FILES limit.  We start with 1 and grow our
	array dynamically.

2008-01-07   Stuart Brorson * sdb AT cloud9 dot net *

	* src/interface.c: Made inches the default for the units combobox.

2008-01-07   Julian Lamb * thepurlieu AT gmail dot com *

	* ChangeLog, src/callbacks.c, src/callbacks.h, src/draw.c,
	src/gerbv_screen.h, src/interface.c, src/render.c: 	* callbacks.c, render.c: Get unit changing combobox to work more
		  elegantly by updating all relevent fields immediately after
		  changing units. Re- enable mils on the rulers, since inches were
		  just too large to be usable for most boards.  	* interface.c: Get gui to gracefully shrink to a small size to
		  support small screen resolutions. Prevent the sidebar from
		  shrinking smaller than looks respectable. Change analysis tools to
		  refer to "visible" layers rather than "active" layers to prevent
		  confusion with the highlighted row in the layer tree. Add a frame
		  around the statusbar to make it more visually appealing. Remove the
		  "online manual" menu item since we don't actually have one yet.  	* draw.c: Change oval rendering to oblong, since that's probably
		  what is actually intended (GDK rendering already did this).

2008-01-07   Stuart Brorson * sdb AT cloud9 dot net *

	* src/callbacks.c: Added authors and license windows to "about"
	dialog.

2008-01-06   Julian Lamb * thepurlieu AT gmail dot com *

	* ChangeLog, src/callbacks.c, src/render.c: 	* callbacks.c: Tweak the color dialog checks to make sure it works
		  after destroying the dialog via the window manager. For cairo,
		  speedup rendering during layer actions by simply recompositing the
		  final image instead of redrawing everything. On layer deletion,
		  reselect the first row to always make sure a line is active.  	* render.c: Reorder rendering so top layer is displayed on top.

2008-01-06   Stuart Brorson * sdb AT cloud9 dot net *

	* example/protel-pnp/Pick_Place_for_SE_SG_IF_V2.csv: Revert change
	removing u-umlaut.  u-umlaut is now back in.

2008-01-06   Julian Lamb * thepurlieu AT gmail dot com *

	* ChangeLog, src/callbacks.c, src/callbacks.h, src/render.c: 	* render.c, callbacks.c: Add in watch cursor during rendering to
		  provide feedback to user.

2008-01-06   Julian Lamb * thepurlieu AT gmail dot com *

	* ChangeLog, src/draw-gdk.c, src/draw.c: 	* draw.c, draw-gdk.c, gerb_aperture.h: Add rendering code in
		  preparation for aperture macro reordering.

2008-01-06   Julian Lamb * thepurlieu AT gmail dot com *

	* src/gerb_aperture.h: 	* add new aperture_t types for the macro reordering

2008-01-06   Stuart Brorson * sdb AT cloud9 dot net *

	* example/protel-pnp/Pick_Place_for_SE_SG_IF_V2.csv: Remove German
	u-umlaut from LED200 last item.  Replace with "UE".  This allows the
	CVS file to get past the binary filters in the file checking stuff.

2008-01-06   Julian Lamb * thepurlieu AT gmail dot com *

	* ChangeLog, src/callbacks.c, src/gerbv.c, src/gerbv_screen.h,
	src/pick-and-place.c, src/pick-and-place.h: 	* pick-and-place.c, gerbv.c: Render top and bottom layers in
		  separate layers (if they exist). Rotate parts correctly and fix
		  min/max calcualtions so autoscaling works correctly. Also, add "top"
		  and "bottom" labels to layer names.

2008-01-06   Stuart Brorson * sdb AT cloud9 dot net *

	* src/interface.c: Minor code formatting changes.  Checking in so my
	local copy matches CVS.

2008-01-06   Stuart Brorson * sdb AT cloud9 dot net *

	* src/callbacks.c: Minor mods.  Added F4 and made minor annotation
	changes.

2008-01-06   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/gerber.c, src/pick-and-place.c, src/pick-and-place.h: Use
	isprint() and isdigit() when detecting file type. isprint() seems
	locale aware, at least on Debian.

2008-01-06   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/gerbv.c: Reformatting back to as it was

2008-01-06   Dan McMahill * dan AT mcmahill dot net *

	* configure.in: set minimum required versions for automake an d
	autoconf

2008-01-06   Dan McMahill * dan AT mcmahill dot net *

	* src/gerbv.c: fix off by one error that caused segfaults on exit.

2008-01-06   Dan McMahill * dan AT mcmahill dot net *

	* src/scheme.c: kill one more 64-bit compiler warning

2008-01-06   Julian Lamb * thepurlieu AT gmail dot com *

	* ChangeLog, src/callbacks.c, src/gerber.c, src/gerber.h,
	src/gerbv.c, test/golden/Makefile.am, test/inputs/Makefile.am,
	test/inputs/include-file-1.gbx,
	test/inputs/test-include-file-1.gbx, test/tests.list: 	* gerber.c: Add support for include files (%IF) in the parser,
		  which hopefully completes 100% implementation of the RS-274X spec
		(yay!).  * tests: Add a test file to test the include file functionality.

2008-01-06   Julian Lamb * thepurlieu AT gmail dot com *

	* ChangeLog, src/callbacks.c, src/callbacks.h, src/draw.c,
	src/draw.h, src/gerbv_screen.h, src/interface.c, src/render.c: 	* interface.c: Remove a billion glade-generated gtk_widget_show
		  function calls, since they aren't needed with gtk_widget_show_all.  	* interface.c: Add tooltips for all menus and buttons.  	* interface.c: Update menus for new pointer tool and remove
		  reference to control gerber option, since it's out for 2.0.  	* callbacks.c: Make middle mouse button the default pan tool, and
		  update the mouse cursor is the user is panning or zooming with
		  middle/right mouse buttons.  	* interface.c,callback.c: Add right click menu to the layer tree
		  and add column to indicate any modifications to the layer (for now,
		  we just show "I" for an inverted layer). Add back in support for
		  individually inverted layers. Also, fix XOR and OR rendering modes
		for GDK.  * render.c: Fix bug in alpha usage, which wasn't allowing
		  transparency on exported images.  	* tests/golden/*: Update all golden files, since the png export
		  wasn't using alpha correctly, so all test files now render with a
		  slightly different color (since the black can bleed through the blue
		  color a tiny bit).

2008-01-05   Stuart Brorson * sdb AT cloud9 dot net *

	* configure.in: Updated version number to 2.0.0-pre

2008-01-05   Stuart Brorson * sdb AT cloud9 dot net *

	* src/callbacks.c, src/interface.c: Fixed behavior of cursors in
	drawing_area so the special cursors stay only in the drawing_area,
	and the default pointer appears everywhere else.

2008-01-05   Stuart Brorson * sdb AT cloud9 dot net *

	* ChangeLog, src/callbacks.c, src/gerbv_screen.h, src/icons.h,
	src/interface.c: Added pointer button to toggletools on task bar.

2008-01-04   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/interface.c: Changed menu entries that pops up a
	new window to end with three dots

2008-01-04   Stuart Brorson * sdb AT cloud9 dot net *

	* src/callbacks.c, src/gerbv.c: Fixed bug noted by Peter Clifton.
	File->new now emptys all project info.

2008-01-04   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/draw-gdk.c: Fixed aperture macro drawing in GDK
	target as well

2008-01-04   Stuart Brorson * sdb AT cloud9 dot net *

	* src/interface.c: Comment out toolbuttons for analyze, validate,
	and control.

2008-01-03   Julian Lamb * thepurlieu AT gmail dot com *

	* ChangeLog, src/draw.c, src/draw.h, src/render.c: 	* draw.c: Fix some amacro rendering problems that Stefan uncovered.  	* draw.c: Change the thermal rendering logic to do rendering
		  without push/pop operations, so that vector output will work
		  (previously, the cairo export defaulted to an image export for
		thermal rendering).  * render.c: Fix autoscaling for new amacro test (although the hack
		  will be unnecessary after we reorder the amacro rendering process to
		  correctly calculate the extents of each flashed macro aperture).

2008-01-03   Stuart Brorson * sdb AT cloud9 dot net *

	* src/gerber.c: Small changes which improve error reporting for
	apertures.

2008-01-03   Stuart Brorson * sdb AT cloud9 dot net *

	* ChangeLog: Added note about new icons: move, zoom, measure.

2008-01-03   Stuart Brorson * sdb AT cloud9 dot net *

	* src/Makefile.am, src/icons.h, src/interface.c: Added icons for
	toggletool buttons: move, zoom, and measure.

2008-01-03   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/amacro.c, src/draw.c, src/draw.h, src/gerber.c: Aperture
	macros are parsed correctly and executed correctly

2008-01-03   Stefan Petersen * spe AT stacken dot kth dot se *

	* example/amacro-ref/1.grb, example/amacro-ref/README.txt,
	example/amacro-ref/full-ex.grb, example/amacro-ref/jj1.drl,
	example/amacro-ref/jj1.grb, example/amacro-ref/limit-ex.grb,
	example/amacro-ref/stp0.grb: Reference files for advanced, real
	life, aperture macros

2008-01-02   Dan McMahill * dan AT mcmahill dot net *

	* example/pick-and-place/LED.frontsilk.gbr,
	example/pick-and-place/LED.xy: regenerate after fixing PCB's x-y
	output.

2008-01-01   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/gerb_aperture.h, src/gerber.c: Increase parameter field parsed
	out of aperture definitions. Warn if to many parameters are found

2007-12-31   Julian Lamb * thepurlieu AT gmail dot com *

	* ChangeLog, example/pick-and-place/LED.frontsilk.gbr,
	example/pick-and-place/Makefile.am, src/callbacks.c,
	src/callbacks.h, src/draw.c, src/exportimage.c, src/gerbv.c,
	src/gerbv_screen.h, src/interface.c, src/pick-and-place.c,
	src/render.c, src/render.h: 	* gerbv.c: Rework project filename saving to save all layers with
		  relative pathnames, relative to the project file location. This
		  allows projects to be relocated, and fixes the second half of bug#
		1443885.  * gerbv.c: More work on command line parsing.  	* interface.c, render.c, callbacks.c: Reimplement different
		  rendering modes into the sidepane combobox for GDK. For cairo,
		  allow the user to change the quality vs speed.  	* pick-and-place.c, draw.c: Correct pick and place parsing to use
		  inches for the basic unit. Render names of pick-and-place
		  components to help check placement.

2007-12-31   Stuart Brorson * sdb AT cloud9 dot net *

	* src/pick-and-place.c: Removed stuff requiring footprints since
	it's not a 100% sure-fire indication of a pick-place file.

2007-12-31   Stuart Brorson * sdb AT cloud9 dot net *

	* ChangeLog, src/drill.c, src/drill.h, src/gerber.c, src/gerber.h,
	src/gerbv.c, src/pick-and-place.c, src/pick-and-place.h: Overhauled
	checks for file type.  Now all file types (Gerber, drill,
	pick-place) are FALSE by default, and only are TRUE when positive of
	file type indications are found.  Also added specific check for
	RS-284-D, and throw error if -D is found.

2007-12-31   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/scheme.c: Hopefully fixes some compilation warnings

2007-12-31   Dan McMahill * dan AT mcmahill dot net *

	* src/callbacks.c: use GPOINTER_TO_INT() instead of a straight
	typecast to an int

2007-12-31   Dan McMahill * dan AT mcmahill dot net *

	* src/drill_stats.c: include missing header

2007-12-30   Julian Lamb * thepurlieu AT gmail dot com *

	* ChangeLog, src/callbacks.c, src/callbacks.h, src/gerbv_screen.h,
	src/interface.c, src/render.c, src/render.h: 	* callbacks.[ch], interface.c, others: Implement three "tools",
		  namely the pointer, zoom, and measure tool and hookup to the
		  existing gui stubs. Also, display an informative message in the
		  message bar explaining how to use the active tool (similar to
		  Inkscape). Do some miscellaneous cleanups in the gui code and
		rendering.  * callbacks.c, render.[ch]: Get basic printing support working.

2007-12-30   Julian Lamb * thepurlieu AT gmail dot com *

	* src/gerber.c: 	* remove several potential locking loops in the gerber.c parser

2007-12-29   Dan McMahill * dan AT mcmahill dot net *

	* test/inputs/Makefile, test/inputs/Makefile.in: remove generated
	files

2007-12-28   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/amacro.c, src/amacro.h, src/draw.c: gerbv can now
	handle comments and calculations in aperture macros.  Unfortunate
	this revealed some errors in how aperture macros are drawn.

2007-12-28   Stuart Brorson * sdb AT cloud9 dot net *

	* src/gerber.c: Fix problem where RENDER_USING_GDK was used before
	#import "config.h".

2007-12-28   Julian Lamb * thepurlieu AT gmail dot com *

	* ChangeLog, src/draw.c, src/gerb_image.c, src/gerb_image.h,
	src/gerber.c, src/render.c, test/golden/Makefile.am,
	test/inputs/Makefile, test/inputs/Makefile.am,
	test/inputs/Makefile.in, test/inputs/test-image-justify-1.gbx,
	test/inputs/test-image-justify-2.gbx,
	test/inputs/test-image-offset-1.gbx,
	test/inputs/test-image-polarity-1.gbx,
	test/inputs/test-image-rotation-1.gbx,
	test/inputs/test-layer-axis-select-1.gbx,
	test/inputs/test-layer-knockout-1.gbx,
	test/inputs/test-layer-knockout-2.gbx,
	test/inputs/test-layer-mirror-image-1.gbx,
	test/inputs/test-layer-mode-1.gbx,
	test/inputs/test-layer-offset-1.gbx,
	test/inputs/test-layer-rotation-1.gbx,
	test/inputs/test-layer-scale-factor-1.gbx,
	test/inputs/test-layer-step-and_repeat-1.gbx, test/tests.list: 	* commit Changelog after conflicts

2007-12-28   Dan McMahill * dan AT mcmahill dot net *

	* src/callbacks.c: add a window title to the about window for gtk
	older than 2.6

2007-12-28   Stuart Brorson * sdb AT cloud9 dot net *

	* src/drill.c: Fix boneheaded error in stats gathering stuff which
	was causing segfaults when reading drill files.

2007-12-28   Stuart Brorson * sdb AT cloud9 dot net *

	* ChangeLog, src/callbacks.c, src/drill.c, src/gerb_stats.c,
	src/gerb_stats.h, src/gerber.c, src/gerbv_screen.h,
	src/interface.c, src/pick-and-place.c: Added more checks for file
	type. This should fix problem of segfaults when reading RS-274D.
	Make messages text window (in sidepane) pop up if an error or
	warning is written to it so user can immediately see problems.
	Robustified a few areas of stats gathering code.

2007-12-28   Dan McMahill * dan AT mcmahill dot net *

	* src/callbacks.c: get this working with gtk-2.4.x again

2007-12-28   Dan McMahill * dan AT mcmahill dot net *

	* test/Makefile.am: don't run the tests if we built with gdk instead
	of cairo.  The exporting to png is done differently in the two cases
	and it makes the comparisons a little harder.  If the libpng vs
	cairo exporting can be made to be more identical this can be
	reverted.

2007-12-27   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/pick-and-place.c: The pick and place file type check will
	hopefully not blow up in our face anymore. The pick and place parser
	et al still sucks and should need a complete rewrite by someone who
	knows how to write programs. This will proobably blow up in our face
	if someone tries to use it.

2007-12-27   Dan McMahill * dan AT mcmahill dot net *

	* test/README.txt: add section on updating golden files

2007-12-26   Julian Lamb * thepurlieu AT gmail dot com *

	* src/gerber.c, src/pick-and-place.c, test/golden/Makefile.am: 	* a few small followup fixes to prevent segfaults on some test
		files. Submit golden files for the 3 new testsuite files.

2007-12-26   Dan McMahill * dan AT mcmahill dot net *

	* test/inputs/Makefile.am: add missing files

2007-12-26   Dan McMahill * dan AT mcmahill dot net *

	* test/README.txt: write up how to add tests

2007-12-25   Stuart Brorson * sdb AT cloud9 dot net *

	* src/callbacks.c, src/drill.c, src/gerber.c: Tweaked reporting of
	errors, warnings, and notes found while parsing drill and Gerber
	files.

2007-12-25   Stuart Brorson * sdb AT cloud9 dot net *

	* ChangeLog, src/callbacks.c, src/gerb_stats.c, src/gerb_stats.h,
	src/gerber.c: Added reporting of all D codes used (both Gerber- and
	user-defined) to Gerber reports window.

2007-12-24   Julian Lamb * thepurlieu AT gmail dot com *

	* ChangeLog, src/callbacks.c, src/draw-gdk.c, src/draw.c,
	src/drill.c, src/gerb_image.c, src/gerb_image.h, src/gerber.c,
	src/pick-and-place.c, src/render.c,
	test/inputs/test-image-offset-1.gbx,
	test/inputs/test-image-offset-2.gbx,
	test/inputs/test-layer-mode-1.gbx, test/tests.list: 	* gerber.c, many files: Start reorganization of some gerb_image 	  parameters in preparation for adding final Gerber commands 	  like rotation, mirroring, and knockout. Also, normalize all 	  dimensions to inches in the image in order to simplify 	  rendering.  	* tests/inputs/test-...: Add first three testsuite files to test 	  new commands.

2007-12-23   Stuart Brorson * sdb AT cloud9 dot net *

	* src/callbacks.c, src/drill_stats.c, src/drill_stats.h: Add
	explanatory comments to drill codes in drill report window.

2007-12-23   Stuart Brorson * sdb AT cloud9 dot net *

	* src/callbacks.c: Made report text fixed font and selectable.

2007-12-22   Dan McMahill * dan AT mcmahill dot net *

	* src/Makefile.am: add missing gerb_aperture.h

2007-12-22   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/amacro.c: Can now handle comments in aperture macros

2007-12-22   Stuart Brorson * sdb AT cloud9 dot net *

	* src/callbacks.c, src/gerb_stats.c: Extended list of parameters
	reported in Gerber stats to 3.

2007-12-22   Dan McMahill * dan AT mcmahill dot net *

	* configure.in: add --enable-efence option to link with
	ElectricFence

2007-12-21   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/drill.c: Make sure malloc succeded before memset malloced
	memory

2007-12-21   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/gerber.c, src/gerbv_icon.h: Fixed compilation warnings and
	removed comments around commented out code

2007-12-21   Stuart Brorson * sdb AT cloud9 dot net *

	* src/callbacks.c: Change gtk_layout_set_size to
	gtk_widget_set_size_request to eliminate a run-time warning from
	GTK.

2007-12-21   Stuart Brorson * sdb AT cloud9 dot net *

	* src/gerb_stats.c: Modified initialization of stats->parameter to
	fix possible memory corruption issue.

2007-12-21   Stuart Brorson * sdb AT cloud9 dot net *

	* src/amacro.c, src/batch.c, src/callbacks.c, src/color.c,
	src/draw-gdk.c, src/draw.c, src/drill.c, src/drill_stats.c,
	src/exportimage.c, src/gerb_file.c, src/gerb_image.c,
	src/gerb_stats.c, src/gerb_transf.c, src/gerber.c, src/gerbv.c,
	src/pick-and-place.c, src/project.c, src/setup.c: Now converted
	almost all malloc/free calls to g_malloc/g_free (except for in
	scheme.c).

2007-12-21   Stuart Brorson * sdb AT cloud9 dot net *

	* src/amacro.c, src/callbacks.c, src/drill_stats.c,
	src/exportimage.c, src/gerbv.c, src/pick-and-place.c: Replace calls
	to g_malloc/g_free with malloc/free to (hopefully) improve
	stability.

2007-12-20   Stuart Brorson * sdb AT cloud9 dot net *

	* ChangeLog, src/callbacks.c: Add scrollbars to Gerber aperture
	report window.

2007-12-20   Stuart Brorson * sdb AT cloud9 dot net *

	* src/callbacks.c: Remove extraneous chars before line 1424 causing
	compilation failure.

2007-12-20   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c, src/render.c: 	* make sure we have sane default render size info before any 	  models are loaded to eliminate problems with the rulers and 	  scrollbar size calcs.

2007-12-20   Julian Lamb * thepurlieu AT gmail dot com *

	* ChangeLog, src/callbacks.c, src/callbacks.h, src/gerbv_screen.h,
	src/interface.c, src/render.c, src/render.h: 	* render.c,callbacks.c,interface.c: Connect rulers and scrollbars
	and start getting them functional.

2007-12-20   Stuart Brorson * sdb AT cloud9 dot net *

	* ChangeLog, src/callbacks.c, src/gerb_error.h, src/gerb_image.h,
	src/gerb_stats.c, src/gerb_stats.h, src/gerber.c: Implemented
	reporting of apertures found in Gerber files.  Added report to
	Gerber reports window.

2007-12-20   Stuart Brorson * sdb AT cloud9 dot net *

	* src/gerb_aperture.h: Added new file to repo after refactoring
	aperture stuff into its own .h file.

2007-12-19   Stuart Brorson * sdb AT cloud9 dot net *

	* src/callbacks.c: Bug fix so images are rendered when multiple
	images are loaded.

2007-12-19   Julian Lamb * thepurlieu AT gmail dot com *

	* src/gerbv.c, src/interface.c, src/render.c: 	*allocate all colors to the colormap to try and fix rendering bug
	Stuart noticed.

2007-12-18   Dan McMahill * dan AT mcmahill dot net *

	* test/inputs/Makefile.am: add missing directory

2007-12-18   Dan McMahill * dan AT mcmahill dot net *

	* Makefile.am, configure.in, example/Makefile.am,
	example/exposure/Makefile.am, example/pick-and-place/Makefile.am,
	example/polarity/Makefile.am, example/thermal/Makefile.am,
	example/trailing/Makefile.am, test/Makefile.am,
	test/golden/Makefile.am, test/tests.list: enable regression testing.
	Verified that the distcheck target works

2007-12-18   Dan McMahill * dan AT mcmahill dot net *

	* test/run_tests.sh: add some diagnostic output, add some more
	comments, make this work outside the source tree

2007-12-18   Dan McMahill * dan AT mcmahill dot net *

	* test/run_tests.sh: add more error checking and also produce an
	animate output script

2007-12-18   Dan McMahill * dan AT mcmahill dot net *

	* configure.in, test/Makefile.am: add composite to the list of
	imagemagick tools

2007-12-17   Julian Lamb * thepurlieu AT gmail dot com *

	* src/exportimage.c, src/gerbv.c: 	* fixes for building without PNG

2007-12-17   Julian Lamb * thepurlieu AT gmail dot com *

	* ChangeLog, src/callbacks.c, src/color.c, src/exportimage.c,
	src/exportimage.h, src/gerbv.c, src/gerbv_screen.h,
	src/interface.c, src/render.c, src/render.h: 	* render,callbacks,interface: Restructure the whole rendering
		  process by separating out all zoom and pan information from the
		  global variable "screen". This was necessary to allow rendering
		  without having a gtk window open, allowing for export from command
		  line and many others.  Also, the translation and zoom code is much
		  more readable due to the elimination of many variables. Also, the
		  GDK color allocations were eliminated to allow rendering without
		existing GDK colormaps in place.  * gerbv.c: Create the basic framework for exporting from the command
	line.

2007-12-17   Stuart Brorson * sdb AT cloud9 dot net *

	* src/drill.c: Bugfix handling of T00 code so it will build on a
	different machine.

2007-12-17   Dan McMahill * dan AT mcmahill dot net *

	* configure.in, test/Makefile.am, test/README.txt,
	test/golden/Makefile.am, test/run_tests.sh, test/tests.list: Add the
	first pass at a regression testsuite.  For now the tests are not
	enabled yet because we need some new command line options for gerbv,
	but the work here should get us a long way towards having an
	automated test setup.

2007-12-17   Stuart Brorson * sdb AT cloud9 dot net *

	* src/drill.c: Added more parse errors and warnings to those
	reported in report window.

2007-12-17   Stuart Brorson * sdb AT cloud9 dot net *

	* src/callbacks.c, src/drill.c, src/gerber.c: Added expository text
	to Gerber code reports.  Added more error reports for Gerber errors.

2007-12-17   Stuart Brorson * sdb AT cloud9 dot net *

	* ChangeLog, src/callbacks.c, src/drill_stats.h, src/gerb_error.h,
	src/gerb_stats.c, src/gerb_stats.h, src/gerber.c, src/render.c:
	Implemented reporting of parse errors (with error level) found dring
	parsing of the Gerber files.

2007-12-16   Stuart Brorson * sdb AT cloud9 dot net *

	* ChangeLog, src/callbacks.c, src/drill.c, src/drill_stats.c,
	src/drill_stats.h, src/gerb_error.h, src/render.c: Implemented
	reporting of all parse errors (with error level) found during
	parsing of the drill file.

2007-12-16   Stuart Brorson * sdb AT cloud9 dot net *

	* src/callbacks.c, src/gerber.c, src/gerbv_icon.h: Changed gerbv
	icon to that drawn by Tomaz Solc.  The old icon is also in
	gerbv_icon.h, but renamed *_old.

2007-12-16   Stuart Brorson * sdb AT cloud9 dot net *

	* ChangeLog, src/drill.c, src/drill.h, src/drill_stats.c,
	src/drill_stats.h: Fixed bug noticed by Joerg involving display of
	statistics in drill file with M71 calling out metric units.

2007-12-15   Dan McMahill * dan AT mcmahill dot net *

	* src/callbacks.c: kill another compiler warning

2007-12-15   Dan McMahill * dan AT mcmahill dot net *

	* src/drill_stats.c: fix a compiler warning and add missing year to
	copyright notice

2007-12-15   Dan McMahill * dan AT mcmahill dot net *

	* src/pick-and-place.c: clear out a bunch of compiler warnings.

2007-12-15   Stuart Brorson * sdb AT cloud9 dot net *

	* src/callbacks.c, src/interface.c: Changed zoom-fit icon on toolbar
	to use GTK stock "zoom-fit" icon.

2007-12-15   Stuart Brorson * sdb AT cloud9 dot net *

	* ChangeLog, src/Makefile.am, src/callbacks.c, src/drill.c,
	src/drill_stats.c, src/drill_stats.h, src/gerb_image.h,
	src/gerb_stats.c, src/gerb_stats.h, src/render.c: 1.  Added "General" tab to reports windows for both Gerbers and
	Drills.  2.  Refactor drill_stats stuff to its own files in accordance with     our function naming scheme.

2007-12-15   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c, src/drill.c: 	zero out apertures in dril lparser to eliminate bad rendering. Add
		autoscale functionality back when new layers are loaded.

2007-12-15   Julian Lamb * thepurlieu AT gmail dot com *

	* src/draw.c, src/draw.h, src/drill.c, src/interface.c: 	fix cairo build problem. Re-enable log redirection to the message
		window.

2007-12-14   Stuart Brorson * sdb AT cloud9 dot net *

	* ChangeLog, src/callbacks.c, src/callbacks.h, src/draw-gdk.c,
	src/draw-gdk.h, src/drill.c, src/gerb_image.c, src/gerb_image.h,
	src/gerb_stats.c, src/gerb_stats.h, src/gerber.c, src/render.c,
	src/render.h: Start adding list of drills found to drill statistics
	reported.  Now "analyze->active drill layers" reports each drill
	defined, and the number of times it is used.

2007-12-14   Julian Lamb * thepurlieu AT gmail dot com *

	* ChangeLog, src/callbacks.c, src/callbacks.h, src/gerbv_screen.h,
	src/interface.c, src/render.c, src/render.h: 	* render,callbacks: Fully separate GDK and cairo rendering code to
		  help speed analyzing. Change from storing intermediate cairo
		  patterns to xlib surfaces for speed improvement. Eliminate image
		  compositing on each expose_event in order to make panning feel much
		  quicker.  Temporarily disable idle function to fix GDK memory leaks
	and crashes.

2007-12-13   Stuart Brorson * sdb AT cloud9 dot net *

	* src/callbacks.c, src/drill.c, src/gerb_image.h, src/gerb_stats.c,
	src/gerb_stats.h: Merged Joerg's drill parser stuff into CVS.

2007-12-13   Julian Lamb * thepurlieu AT gmail dot com *

	* ChangeLog, src/callbacks.c, src/callbacks.h, src/gerbv.c,
	src/gerbv_screen.h, src/interface.c, src/render.c, src/render.h: 	* src/gerbv.c: Fix half of bug #1443885 by eliminating segfault
		  when project file has layer files that won't load.  	* src/callbacks.[ch],src/interface.c,src/render.[ch]: Big 	  cleanup of callbacks.c and start moving zoom code to render.c in 	  preparation for separating out zoom info from screen struct
		  (allowing for exporting to file and improving code readability).
		  Add in scrollbars and start hooking up rulers and scrollbar to
	panning.

2007-12-12   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c: 	* repair visibility toggle buttons after latest DND addition

2007-12-12   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c, src/interface.c: 	* cleanup warning message, and change GTK variable for optional
		  print enabling, per Dan's email

2007-12-12   Julian Lamb * thepurlieu AT gmail dot com *

	* ChangeLog, src/callbacks.c, src/callbacks.h, src/gerbv_screen.h,
	src/interface.c, src/render.c: 	* src/callbacks.c,src/interface,src/render.c: Get drag and drop
		  working for layer sidebar. Fix memory leak for cairo rendering.

2007-12-11   Julian Lamb * thepurlieu AT gmail dot com *

	* src/interface.c: 	* disable tree view searching so it doesn't steal key presses

2007-12-11   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c, src/callbacks.h, src/render.c, src/render.h: 	* apply fixes for GDK compilation. Fix bug so GDK colors can now be
		changed.

2007-12-11   Julian Lamb * thepurlieu AT gmail dot com *

	* ChangeLog, src/gerber.c: 	* src/gerber.c: Fix polygon rendering bug (bug #1190809). This was
		  due to the gerber parser not storing the correct polarity when
		  closing a polygon.

2007-12-10   Julian Lamb * thepurlieu AT gmail dot com *

	* ChangeLog, src/callbacks.c, src/callbacks.h, src/gerbv.c,
	src/gerbv_screen.h, src/interface.c, src/pick-and-place.c,
	src/render.c: 	* src/gerbv.c,src/callbacks.c,others: Get basic layer management
		  gui up and running. This includes visibility toggling, color
		  picking, and basic row management using the buttons at the bottom. A
		  popup menu will also be added when the user right clicks.

2007-12-10   Stuart Brorson * sdb AT cloud9 dot net *

	* src/callbacks.c, src/gerbv.c, src/interface.c: Added some #ifdef
	EXPORT_PNG directives a strategic locations so I can compile on a
	system with no PNG stuff.

2007-12-09   Stuart Brorson * sdb AT cloud9 dot net *

	* src/render.c, src/render.h: Put #ifdef RENDER_USING_GDK around
	cairo stuff to enable compilation under GDK.

2007-12-09   Julian Lamb * thepurlieu AT gmail dot com *

	* configure.in: 	* reduce cairo dependency to 1.2

2007-12-09   Julian Lamb * thepurlieu AT gmail dot com *

	* ChangeLog, src/callbacks.c, src/callbacks.h, src/draw.c,
	src/draw.h, src/exportimage.c, src/gerbv.c, src/gerbv_screen.h,
	src/interface.c, src/render.c, src/render.h: 	* gerbv.c,callbacks.c,interface.c,others: Implement export-to-file
		  for PNG, PDF, SVG, and PS. Start implementing print functionality.
		  More cleanup of old gui code. Move log handler over to new message
		  textview in the sidebar.

2007-12-09   Stuart Brorson * sdb AT cloud9 dot net *

	* ChangeLog, HACKING, src/callbacks.c, src/drill.c,
	src/gerb_image.c, src/gerb_image.h, src/gerb_stats.c,
	src/gerb_stats.h, src/gerber.c, src/render.c, src/render.h: Added
	beginnings of statistics reports for drill files.

2007-12-09   Julian Lamb * thepurlieu AT gmail dot com *

	* ChangeLog, src/callbacks.c, src/exportimage.c, src/gerbv.c,
	src/interface.c: 	* src/gerbv.c,src/callbacks.c: Reattach project open/save stuff in
		  gui and separate out some of the code back to gerbv.c.

2007-12-08   Stuart Brorson * sdb AT cloud9 dot net *

	* src/Makefile.am, src/callbacks.c, src/callbacks.h,
	src/gerb_image.c, src/gerb_image.h, src/gerb_stats.c,
	src/gerb_stats.h, src/gerber.c, src/gerber.h, src/gerbv_screen.h,
	src/interface.c, src/render.c, src/render.h: Added functionality to
	display report of G codes found in active Gerber layers.

2007-12-08   Julian Lamb * thepurlieu AT gmail dot com *

	* ChangeLog, src/amacro.c, src/callbacks.c, src/draw.c,
	src/gerber.c, src/render.c: 	* src/render.c,src/callbacks.c: Fix translation code for cairo
		  renderer so things are correctly centered on the screen after a
		  zoom-to-fit. Fix scaling code for MM unit drawings.  	* src/amacro.c,src/gerber.c: Fix error messages in amacro parsing
		  (bug #1845782) on FreeBSD systems (thanks to Joerg for the patch).
		  Also, fix possible hangs during amacro parsing (e.g. the file "%AM"
		  would hang gerbv, since it didn't correctly check for EOF).

2007-12-08   Stuart Brorson * sdb AT cloud9 dot net *

	* ChangeLog, HACKING: Update HACKING with latest info about file
	hierarchy.

2007-12-08   Stuart Brorson * sdb AT cloud9 dot net *

	* src/Makefile.am, src/callbacks.c, src/callbacks.h, src/draw.h,
	src/gerber.c, src/gerber.h, src/gerbv.c, src/gerbv_screen.h,
	src/render.c, src/render.h: Refactor redraw_pixmap into its own
	file, per discussion of 12.7.2007.  Also start incorporating stuff
	to gather Gerber statistics.

2007-12-07   Julian Lamb * thepurlieu AT gmail dot com *

	* ChangeLog, src/drill.c: 	* src/drill.c: Fix warning messages on some drill files (bug
		  #1316247).  The drill parser did not zero out new gerbv_aperture_t
		  structures, which sometimes allowed junk in the param[x] portions,
		  which confused the parser and gave warnings and potentially
		  incorrectly rendered drill holes.

2007-12-07   Julian Lamb * thepurlieu AT gmail dot com *

	* ChangeLog, src/callbacks.c, src/draw.c: 	* src/draw.c: Fix thermal rendering bug (bug #1024000) in the cairo 	  rendering code (this bug is not easily fixable in the GDK code,
		  but it is being obsoleted soon).

2007-12-07   Stuart Brorson * sdb AT cloud9 dot net *

	* HACKING: Updated file with more info about gerbv's datastructures
	and workings.

2007-12-06   Stuart Brorson * sdb AT cloud9 dot net *

	* configure.in, src/callbacks.c: Minor tweaks to allow compilation
	on GDK (non-cairo) systems.

2007-12-06   Julian Lamb * thepurlieu AT gmail dot com *

	* ChangeLog, src/callbacks.c, src/gerbv.c: 	* src/callbacks.c,src/gerbv.c: Add private implementation of 	  gdk_cairo_create to allow compilation with gtk < 2.8. Fixed bug
		  in gerbv which was causing gdk rendering to skip frames
	sometimes.

2007-12-06   Julian Lamb * thepurlieu AT gmail dot com *

	* ChangeLog, src/drill.h, src/gerb_image.h, src/gerber.c: 	* src/gerber.c,src/drill.h,src/gerb_image.h: Fix memory corruption
		  issue with G54 codes not checking if aperture numbers were within
		  bounds (bug #1843983). Also, bumped up max aperture number from 999
		  to 9999 based on reports of some CAD packages using numbers this hig
		  (even though it clearly says 999 is the highest number in the RS274X
		  spec). This will increase memory usage somewhat, but hopefully
	should be acceptable.

2007-12-06   Julian Lamb * thepurlieu AT gmail dot com *

	* ChangeLog, src/drill.c: 	* src/drill.c: Fix parsing of drill files with commas in 	  place of decimals (bug #1844100).

2007-12-06   Julian Lamb * thepurlieu AT gmail dot com *

	* ChangeLog, src/draw-gdk.c, src/draw.c: 	* src/draw.c,src/draw-gtk.c: Fix rendering of lines drawn with
		  rectangular aperatures (bug #1834944 and #1704942). Thanks to
		  ineiev for the gdk patch, which was reworked to apply to the cairo
	rendering too.

2007-12-06   Stuart Brorson * sdb AT cloud9 dot net *

	* src/callbacks.c, src/interface.c: Added #ifdef RENDER_USING_GDK to
	enable compilation when not using cairo.

2007-12-05   Stuart Brorson * sdb AT cloud9 dot net *

	* HACKING: Started adding notes about gerbv's internal workings to
	help other new hackers understand the program.

2007-12-05   Julian Lamb * thepurlieu AT gmail dot com *

	* ChangeLog, src/callbacks.c, src/callbacks.h, src/gerbv.c,
	src/interface.c: 	* src/callbacks.[ch],src/interface.[ch]: Rename GTK widgets to more 	  recognizable names for better code legibility. Change sidebar to
		  a notebook view and add a messages tab. Organize statusbar
		  layout. Add "analyze" menu and move CAM related functions to it.
		  Clean up toolbars and combine into a single toolbar.

2007-12-03   Stuart Brorson * sdb AT cloud9 dot net *

	* configure.in: Bump cairo requirements to 1.4.0 since some of the
	cairo code required the newer library.

2007-12-01   Dan McMahill * dan AT mcmahill dot net *

	* src/callbacks.c: add missing header

2007-12-01   Julian Lamb * thepurlieu AT gmail dot com *

	* src/callbacks.c, src/gerbv.c, src/interface.c: 	* remove references to support.h to allow compilation

2007-12-01   Dan McMahill * dan AT mcmahill dot net *

	* configure.in: make cairo be the default renderer again.  Reduce
	the gtk version to 2.4.0 since we explicitly check for cairo in the
	cairo rendering case.

2007-12-01   Julian Lamb * thepurlieu AT gmail dot com *

	* ChangeLog, src/Makefile.am, src/callbacks.c, src/callbacks.h,
	src/gerbv.c, src/gerbv_screen.h, src/interface.c, src/interface.h: 	* src/callbacks.[ch],src/interface.[ch],src/gerbv.c: Split out all
		  gui code out of gerbv.c and put it into the standard
		  callbacks/interface files. Started to overhaul gui during the
		  process. Also, speed up the feel of the cairo rendering by rendering
		  layers to a cairo_pattern_t, then compositing using these patterns.
		  This allows the user to pan and get much quicker response while the
		  CPU renders the new view in the background.

2007-11-30   Stuart Brorson * sdb AT cloud9 dot net *

	* ChangeLog: Modify build system so you must explicitly
	--enable-cairo to build using cairo, otherwise build using GDK by
	default.

2007-11-30   Stuart Brorson * sdb AT cloud9 dot net *

	* configure.in, src/exportimage.c, src/gerbv.c,
	src/pick-and-place.c: Modified configure.in so you must explicitly
	--enable-cairo.  Added #ifdef to a couple files so both cairo and
	GDK flavors will build correctly.

2007-11-29   Stuart Brorson * sdb AT cloud9 dot net *

	* ChangeLog, src/gerb_file.c, src/gerber.c, src/gerbv.c,
	src/gerbv_screen.h, src/project.c: Added "File -> Open Gerber(s)"
	dialog window.

2007-11-29   Dan McMahill * dan AT mcmahill dot net *

	* configure.in, src/Makefile.am, src/gerbv.c: add a --disable-cairo
	to switch back to the gdk rendering

2007-11-29   Dan McMahill * dan AT mcmahill dot net *

	* configure.in: explicitly check for and add -lm instead of getting
	it as a side effect of gtk and glib.

2007-11-27   Dan McMahill * dan AT mcmahill dot net *

	* src/gerbv.c: Plug a slow memory leak.  While here point to the
	gerbv home page in addition to the gEDA home page.

2007-11-27   Julian Lamb * thepurlieu AT gmail dot com *

	* ChangeLog, src/Makefile.am, src/draw-gdk.c, src/draw-gdk.h,
	src/gerbv.c: 	* src/draw-gdk.[ch],src/gerber.c: Add gdk rendering code back in so
		  it can be compiled if cairo isn't available.  	* src/gerber.c: Fix g_strconcat calls by adding NULL to end of
		arguments.

2007-11-26   Dan McMahill * dan AT mcmahill dot net *

	* src/Makefile.am, src/common.h, src/drill.c: Make sure that we
	define __FUNCTION__ when using a non-gcc compiler.  Builds with
	SunPRO again.

2007-11-26   Dan McMahill * dan AT mcmahill dot net *

	* configure.in: make sure DEBUG gets set to 0 or 1, not just defined
	or undefined

2007-11-26   Dan McMahill * dan AT mcmahill dot net *

	* configure.in: revert previous.  We already have --enable-debug.

2007-11-26   Stuart Brorson * sdb AT cloud9 dot net *

	* configure.in, src/drill.c: Modify dprintf to make it configurable
	from config.h.  This makes it possible to turn on and off for all
	files using this fcn.

2007-11-26   Dan McMahill * dan AT mcmahill dot net *

	* configure.in: Instead of completely overriding CFLAGS and LIBS,
	just append our stuff.  Now we don't lose our compiler optimizations
	and any user supplied flags.  Also add a --enable-debug argument which defines DEBUG=1 in
	config.h.

2007-11-26   Stuart Brorson * sdb AT cloud9 dot net *

	* src/gerbv.c, src/gerbv_screen.h: Added help->about dialog.

2007-11-26   Dan McMahill * dan AT mcmahill dot net *

	* doc/sources.txt: correct Excellon URL

2007-11-25   Dan McMahill * dan AT mcmahill dot net *

	* src/drill.c: fix parsing of
	example/nollezappare/ThruHolePlated.ncd where there is an M71 code
	in the header setting the units to metric.

2007-11-23   Dan McMahill * dan AT mcmahill dot net *

	* Makefile.am, configure.in, desktop/Makefile.am, doc/Makefile.am,
	doc/PNG-print/Makefile.am, doc/eagle/Makefile.am,
	doc/html/Makefile.am, example/Makefile.am,
	example/Mentor-BoardStation/Makefile.am,
	example/am-test/Makefile.am, example/cslk/Makefile.am,
	example/dan/Makefile.am, example/eaglecad1/Makefile.am,
	example/ekf2/Makefile.am, example/jj/Makefile.am,
	example/nollezappare/Makefile.am, example/numpres/Makefile.am,
	example/orcad/Makefile.am, man/Makefile.am, scheme/Makefile.am:
	Remove redundant code.  There were several things explicitly added
	to configure.in and the Makefile.am's that automake/autoconf already
	add without being told.  This consolidates and cleans up the build
	system a bit more.

2007-11-23   Dan McMahill * dan AT mcmahill dot net *

	* configure.in, src/Makefile.am: Remove a lot of duplicated and
	redundant code.  For example, no need to AC_SUBST(CFLAGS), that
	happens automatically.  Also if we add things like $GTK_CFLAGS in
	configure.in, then we don't need to also add them to AM_CFLAGS in
	src/Makefile.am

2007-11-22   Dan McMahill * dan AT mcmahill dot net *

	* src/Makefile.am: do not explicitly set -Wall in AM_CFLAGS.  There
	is a check in configure.in which only sets that if we're using gcc.

2007-11-22   Dan McMahill * dan AT mcmahill dot net *

	* src/Makefile.am: add missing csv_defines.h

2007-11-22   Dan McMahill * dan AT mcmahill dot net *

	* configure.in: when using PKG_CHECK_MODULES(FOO,..) don't then
	explicitly set FOO_CFLAGS and FOO_LIBS.  The module check already
	does that.

2007-11-22   Stuart Brorson * sdb AT cloud9 dot net *

	* configure.in, src/draw.c, src/draw.h: Added stuff to configure.in
	to find libcairo and libgtk.  Moved #include "cairo/cairo.h" to
	"cairo.h" in draw.* since cairo include dirs are now automatically
	found.

2007-11-21   Dan McMahill * dan AT mcmahill dot net *

	* src/gerb_image.c: If a gerber file doesn't have any nets, then
	don't complain that there are no apertures.  Noted by Bert
	Timmerman.

2007-11-20   Julian Lamb * thepurlieu AT gmail dot com *

	* ChangeLog, src/draw.c, src/gerbv.c: 	* Add missing rendiring code for arcs (I missed this with the last 	  commit). Also, fix an error in the oval aperature rendering.

2007-11-19   Julian Lamb * thepurlieu AT gmail dot com *

	* ChangeLog, configure.in, example/am-test/am-test.gbx, src/draw.c,
	src/draw.h, src/gerbv.c, src/pick-and-place.c: 	* complete the rendering conversion to cairo. Everything that
		  rendered before *should* still render correctly. If it doesn't let
		  me know. As a side note, several rendering bugs were discovered in
		  the aperature macro code, so those are now fixed.  	* add an extra sanity check in the pick-n-place file parser and
		  help make sure it doesn't incorrectly guess the filetype 	* add a cairo check to configure.in

2007-11-19   Dan McMahill * dan AT mcmahill dot net *

	* src/gerber.c, src/gerbv.c: get autoscaling to work when step and
	repeat is used

2007-11-19   Dan McMahill * dan AT mcmahill dot net *

	* configure.in, src/Makefile.am: - Check for a recent gtk which is needed due to the cairo stuff.  - remove a bunch of lines like AC_SUBST(CC) which aren't needed   since autoconf already does that.  - remove some defines which are not used anywhere - do not hard code PKG_CONFIG - other random autoconf cleanups

2007-11-19   Dan McMahill * dan AT mcmahill dot net *

	* Makefile.am, configure.in, example/dan/Makefile.am,
	example/dan/README.txt, example/dan/top_sr.gbx, scheme/Makefile.am,
	src/draw.c, src/drill.c, src/gerb_image.h, src/gerber.c,
	src/gerbv.c: Apply a handful of patches from Thiemo Nagel and Joost
	Witteveen.    - Implement support for %SR% extended gerber commands.    - Fix endless loop bug when gerbv encountered an unknown     % code: the '%' case in parse_gerb() did not check for EOF.    - Setting the initial scale (image->info->min_x, min_y) went     wrong for %MOMM% gerber files, as the if() statements     compared to the unscaled cur_net->stop_x.  And I added the following:   - Added an example of a gerber file using the %SR% command.

2007-11-18   Dan McMahill * dan AT mcmahill dot net *

	* src/draw.c: Use cos() and sin() instead of cosf() and sinf() as
	the argument is a double anyway and also the float versions are not
	as widely available.

2007-06-24   Dan McMahill * dan AT mcmahill dot net *

	* src/gerbv_screen.h: correct the size of statusbar.msgstr to match
	whats used in the rest of the code

2007-03-01   Julian Lamb * thepurlieu AT gmail dot com *

	* ChangeLog, src/Makefile.am, src/draw.c, src/draw.h,
	src/draw_amacro.c, src/draw_amacro.h, src/exportimage.c,
	src/gerbv.c, src/pick-and-place.c: Change rendering from gdk to
	cairo

2007-02-22   Julian Lamb * thepurlieu AT gmail dot com *

	* ChangeLog, example/pick-and-place/LED.xy, src/gerb_image.c,
	src/gerb_image.h, src/pick-and-place.c: Add code to parse PCB
	pick-and-place export format

2007-02-17   Julian Lamb * thepurlieu AT gmail dot com *

	* ChangeLog, src/csv.c, src/gerbv.c, src/pick-and-place.c,
	src/pick-and-place.h: Get simple pick-and-place file to load through
	command line

2007-02-16   Julian Lamb * thepurlieu AT gmail dot com *

	* ChangeLog, src/gerbv.c, src/pick-and-place.c,
	src/pick-and-place.h: More cleanup of pick and place code

2007-02-16   Julian Lamb * thepurlieu AT gmail dot com *

	* ChangeLog, src/Makefile.am, src/gerbv.c, src/pick-and-place.c,
	src/pick-and-place.h, src/project.c, src/search.c, src/search.h,
	src/search_cb.c, src/search_cb.h, src/search_file.c,
	src/search_file.h, src/search_gui.c, src/search_gui.h,
	src/search_mark.c, src/search_mark.h: [no log message]

2006-10-19   Dan McMahill * dan AT mcmahill dot net *

	* src/gerbv.c: fix setting of the initial window size when the
	screen is larger than the display.  Patch from David Carr

2006-10-19   Dan McMahill * dan AT mcmahill dot net *

	* configure.in: add some checks to make sure libpng-config exists

2006-10-19   Dan McMahill * dan AT mcmahill dot net *

	* rebuild_conf: add $ACLOCAL_FLAGS to aclocal call

2006-09-20   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* src/gerbv.c: Check that 3/4 of screen width does not cause height
	to be more than screen height. Make window resizable to smaller than
	initial size

2006-07-26   Stefan Petersen * spe AT stacken dot kth dot se *

	* Makefile.am, configure.in, desktop/Makefile.am: Make files in
	desktop part of distribution

2006-07-26   Stefan Petersen * spe AT stacken dot kth dot se *

	* desktop/gerbv.desktop: Added from Debian buglist Vassilis Pandis

2006-07-25   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/log.c: Updated to use GTK2 by Dino

2006-07-25   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog: Added handling of return values in a lot of places.

2006-07-25   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/drill.c, src/gerb_file.c, src/gerber.c, src/gerbv.c,
	src/setup.c: Added handling of return values in a lot of places.

2006-07-25   Stefan Petersen * spe AT stacken dot kth dot se *

	* doc/PNG-print/Makefile.am: Update that has been laying around

2006-07-25   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/gerb_file.c, src/project.c: Improved error handling

2006-07-25   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, configure.in, man/gerbv.1.in, rebuild_conf,
	src/Makefile.am: Update to work with newer autoconf and automake

2006-07-25   Stefan Petersen * spe AT stacken dot kth dot se *

	* AUTHORS: Obfuscated email addresses

2006-07-24   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/gerb_file.c: A small unfck of last patch

2006-07-24   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerb_file.c: gerbv handles negative coordinates.
	Closes #1236047

2006-07-24   Stefan Petersen * spe AT stacken dot kth dot se *

	* CONTRIBUTORS: Minor updating

2006-07-24   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerb_file.c, src/gerbv.c: Reduce SEGV chance in
	gerb_fclose situation

2006-07-23   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/gerb_file.c: Minor cleanup of previous patch

2006-07-23   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerb_image.h, src/gerber.c, src/gerbv.c: Handles
	autoscaling of mm better according to SF-alias extensive

2006-07-23   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/drill.c, src/gerb_file.c: Hand patched possible
	memleaks and SIGSEGVs pointed out by Wolfgang Wieser

2006-05-07   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/draw_amacro.c: Renamed stack_t to macro_stack_t to
	support build on Darwin

2005-09-29   Dan McMahill * dan AT mcmahill dot net *

	* ChangeLog: note gcc4 fix

2005-09-29   Dan McMahill * dan AT mcmahill dot net *

	* src/drill.c: Remove an lval typecast.  Not only does this get
	gerbv to compile with gcc4 and other non-gcc compilers, it was no
	longer needed as the types involved were all doubles anyway.

2005-05-14   Stefan Petersen * spe AT stacken dot kth dot se *

	* build_release: cvs server name changed

2005-05-14   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/exportimage.c: Broke PNG ouput

2005-04-22   Tomasz Motylewski * t dot motylewski AT bfad dot de *

	* example/protel-pnp/Pick_Place_for_SE_SG_IF_V2.csv,
	example/protel-pnp/Pick_Place_for_SE_SG_IF_V2.txt,
	example/protel-pnp/README.txt, example/protel-pnp/SE_SG_IF_V2.DRL,
	example/protel-pnp/SE_SG_IF_V2.DRR,
	example/protel-pnp/SE_SG_IF_V2.GBL,
	example/protel-pnp/SE_SG_IF_V2.GBO,
	example/protel-pnp/SE_SG_IF_V2.GBS,
	example/protel-pnp/SE_SG_IF_V2.GD1,
	example/protel-pnp/SE_SG_IF_V2.GG1,
	example/protel-pnp/SE_SG_IF_V2.GM1,
	example/protel-pnp/SE_SG_IF_V2.GM2,
	example/protel-pnp/SE_SG_IF_V2.GTL,
	example/protel-pnp/SE_SG_IF_V2.GTO,
	example/protel-pnp/SE_SG_IF_V2.GTS,
	example/protel-pnp/SE_SG_IF_V2.LDP,
	example/protel-pnp/SE_SG_IF_V2.REP,
	example/protel-pnp/SE_SG_IF_V2.RUL,
	example/protel-pnp/SE_SG_IF_V2.TXT,
	example/protel-pnp/SE_SG_IF_V2.apr,
	example/protel-pnp/Status_Report.txt: These examples of GERBER files
	with matching "pick and place".csv file are intented to demonstrate
	possible usage of gerbv in PCB assembly and any other work which
	requires efficient searching of elements on PCB.   They were donated by Karl Schmittschneider * ks dot electronic AT
	t-online dot de * to gerbv project on 2005-04-19.

2005-02-15   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/draw_amacro.c: Fixed gc in aperture macro
	primitives 5, 21 and 22

2005-02-08   Tomasz Motylewski * t dot motylewski AT bfad dot de *

	* ChangeLog: fixed ChangeLog patch typo

2005-02-08   Tomasz Motylewski * t dot motylewski AT bfad dot de *

	* ChangeLog, src/gerb_file.c, src/gerbv.c: src/gerbv.c: malloc
	strlen+2, not +1 src/gerb_file.c: malloc len+1, not len

2005-01-29   Juergen Haas * juergenhaas AT gmxx dot net *

	* INSTALL.MINGW.WIN32: updated mingw installation instructions

2005-01-26   Juergen Haas * juergenhaas AT gmxx dot net *

	* configure.in, rebuild_conf, src/Makefile.am: fixed mingw
	compiation

2005-01-06   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/Makefile.am: A working make distcheck

2005-01-06   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, configure.in, src/csv.c, src/gerbv.c, src/log.c,
	src/project.c, src/search.c, src/search.h, src/search_cb.c,
	src/search_cb.h, src/search_file.c, src/search_file.h,
	src/search_gui.c, src/search_gui.h, src/search_mark.c,
	src/search_mark.h, src/setup.h: Removed back portability to GTK+
	1.x. Also some minor reformatting to suit the rest of the codebase.

2004-12-28   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/draw.c: Fixed holes in circles. Closes bug #1050340

2004-12-28   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/dynload.c, src/init.scm, src/scheme-private.h,
	src/scheme.c, src/scheme.h: Updated TinyScheme to 1.35

2004-12-23   Juergen Haas * juergenhaas AT gmxx dot net *

	* src/gerbv.c: small bugfix - reported by user U. Bonnes
	gerbv.c:3045

2004-10-30   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/search_cb.c, src/search_gui.c, src/search_mark.c: Removed some
	minor compilation warnings

2004-10-30   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/draw_amacro.c: Didn't use local_gc in some aperture
	primitives. Closes bug #1051045

2004-10-28   Juergen Haas * juergenhaas AT gmxx dot net *

	* src/gerbv.c, src/search_cb.c: small modifications, bringing it
	up-to-date

2004-10-14   Juergen Haas * juergenhaas AT gmxx dot net *

	* doc/html/Makefile.am, doc/html/search__gui_8h-source.html: added
	Makefile.am to doc/html;removed last html file-

2004-10-14   Juergen Haas * juergenhaas AT gmxx dot net *

	* configure.in, doc/Doxyfile.nopreprocessing, doc/Makefile.am,
	doc/html/amacro_8c-source.html, doc/html/amacro_8h-source.html,
	doc/html/annotated.html, doc/html/batch_8c-source.html,
	doc/html/batch_8h-source.html, doc/html/classes.html,
	doc/html/color_8c-source.html, doc/html/color_8h-source.html,
	doc/html/config_8h-source.html, doc/html/csv_8c-source.html,
	doc/html/csv_8c.html, doc/html/csv_8h-source.html,
	doc/html/csv__defines_8h-source.html,
	doc/html/csv__defines_8h.html, doc/html/dir_000000.html,
	doc/html/draw_8c-source.html, doc/html/draw_8h-source.html,
	doc/html/draw__amacro_8c-source.html,
	doc/html/draw__amacro_8h-source.html,
	doc/html/drill_8c-source.html, doc/html/drill_8h-source.html,
	doc/html/dynload_8c-source.html, doc/html/dynload_8h-source.html,
	doc/html/exportimage_8c-source.html,
	doc/html/exportimage_8h-source.html, doc/html/files.html,
	doc/html/gerb__error_8h-source.html,
	doc/html/gerb__file_8c-source.html,
	doc/html/gerb__file_8h-source.html,
	doc/html/gerb__image_8c-source.html,
	doc/html/gerb__image_8h-source.html,
	doc/html/gerb__transf_8c-source.html,
	doc/html/gerb__transf_8c.html,
	doc/html/gerb__transf_8h-source.html,
	doc/html/gerber_8c-source.html, doc/html/gerber_8h-source.html,
	doc/html/gerbv_8c-source.html, doc/html/gerbv_8c.html,
	doc/html/gerbv__icon_8h-source.html,
	doc/html/gerbv__screen_8h-source.html, doc/html/globals.html,
	doc/html/globals_func.html, doc/html/globals_type.html,
	doc/html/globals_vars.html, doc/html/graph_legend.html,
	doc/html/index.html, doc/html/log_8c-source.html,
	doc/html/log_8h-source.html, doc/html/main.html,
	doc/html/opdefines_8h-source.html, doc/html/project_8c-source.html,
	doc/html/project_8c.html, doc/html/project_8h-source.html,
	doc/html/project_8h.html, doc/html/scheme-private_8h-source.html,
	doc/html/scheme_8c-source.html, doc/html/scheme_8h-source.html,
	doc/html/search_8c-source.html, doc/html/search_8c.html,
	doc/html/search_8h-source.html, doc/html/search_8h.html,
	doc/html/search__cb_8c-source.html, doc/html/search__cb_8c.html,
	doc/html/search__cb_8h-source.html,
	doc/html/search__file_8c-source.html,
	doc/html/search__file_8c.html,
	doc/html/search__file_8h-source.html,
	doc/html/search__gui_8c-source.html, src/draw.c, src/search_gui.c:
	removing rest of doc/html and updating various files;added initial
	support for a doc/html/Makefile.am

2004-10-14   Juergen Haas * juergenhaas AT gmxx dot net *

	* doc/html/doxygen.css, doc/html/gerb__transf_8c__incl.dot,
	doc/html/gerb__transf_8c__incl.md5,
	doc/html/gerb__transf_8c_a3_cgraph.dot,
	doc/html/gerb__transf_8c_a3_cgraph.md5,
	doc/html/gerb__transf_8c_a4_cgraph.dot,
	doc/html/gerb__transf_8c_a4_cgraph.md5, doc/html/graph_legend.dot,
	doc/html/project_8c__incl.dot, doc/html/project_8c__incl.md5,
	doc/html/project_8c_a6_cgraph.dot,
	doc/html/project_8c_a6_cgraph.md5,
	doc/html/project_8h__dep__incl.dot,
	doc/html/project_8h__dep__incl.md5,
	doc/html/project_8h_a4_cgraph.dot,
	doc/html/project_8h_a4_cgraph.md5, doc/html/search__gui_8c.html,
	doc/html/search__mark_8c-source.html,
	doc/html/search__mark_8c.html,
	doc/html/search__mark_8h-source.html,
	doc/html/setup_8c-source.html, doc/html/setup_8h-source.html,
	doc/html/struct__InterfaceStruct.html,
	doc/html/structgerb__transf.html, doc/html/structpnp__file.html,
	doc/html/structpnp__state.html,
	doc/html/structproject__list__t.html,
	doc/html/structproject__list__t__coll__graph.dot,
	doc/html/structproject__list__t__coll__graph.md5,
	doc/html/tooltable_8c-source.html,
	doc/html/tooltable_8h-source.html, doc/html/tree.html: removing all
	files in html/ and placing Makefile.am there; documentation should
	be created by make doc or similar

2004-10-13   Juergen Haas * juergenhaas AT gmxx dot net *

	* ChangeLog, INSTALL.MINGW.WIN32,
	README-Pick-and-Place-search_parts.txt,
	doc/Doxyfile.nopreprocessing, doc/html/amacro_8c-source.html,
	doc/html/amacro_8h-source.html, doc/html/annotated.html,
	doc/html/batch_8c-source.html, doc/html/batch_8h-source.html,
	doc/html/classes.html, doc/html/color_8c-source.html,
	doc/html/color_8h-source.html, doc/html/config_8h-source.html,
	doc/html/csv_8c-source.html, doc/html/csv_8c.html,
	doc/html/csv_8h-source.html, doc/html/csv__defines_8h-source.html,
	doc/html/csv__defines_8h.html, doc/html/dir_000000.html,
	doc/html/doxygen.css, doc/html/draw_8c-source.html,
	doc/html/draw_8h-source.html, doc/html/draw__amacro_8c-source.html,
	doc/html/draw__amacro_8h-source.html,
	doc/html/drill_8c-source.html, doc/html/drill_8h-source.html,
	doc/html/dynload_8c-source.html, doc/html/dynload_8h-source.html,
	doc/html/exportimage_8c-source.html,
	doc/html/exportimage_8h-source.html, doc/html/files.html,
	doc/html/gerb__error_8h-source.html,
	doc/html/gerb__file_8c-source.html,
	doc/html/gerb__file_8h-source.html,
	doc/html/gerb__image_8c-source.html,
	doc/html/gerb__image_8h-source.html,
	doc/html/gerb__transf_8c-source.html,
	doc/html/gerb__transf_8c.html, doc/html/gerb__transf_8c__incl.dot,
	doc/html/gerb__transf_8c__incl.md5,
	doc/html/gerb__transf_8c_a3_cgraph.dot,
	doc/html/gerb__transf_8c_a3_cgraph.md5,
	doc/html/gerb__transf_8c_a4_cgraph.dot,
	doc/html/gerb__transf_8c_a4_cgraph.md5,
	doc/html/gerb__transf_8h-source.html,
	doc/html/gerber_8c-source.html, doc/html/gerber_8h-source.html,
	doc/html/gerbv_8c-source.html, doc/html/gerbv_8c.html,
	doc/html/gerbv__icon_8h-source.html,
	doc/html/gerbv__screen_8h-source.html, doc/html/globals.html,
	doc/html/globals_func.html, doc/html/globals_type.html,
	doc/html/globals_vars.html, doc/html/graph_legend.dot,
	doc/html/graph_legend.html, doc/html/index.html,
	doc/html/log_8c-source.html, doc/html/log_8h-source.html,
	doc/html/main.html, doc/html/opdefines_8h-source.html,
	doc/html/project_8c-source.html, doc/html/project_8c.html,
	doc/html/project_8c__incl.dot, doc/html/project_8c__incl.md5,
	doc/html/project_8c_a6_cgraph.dot,
	doc/html/project_8c_a6_cgraph.md5, doc/html/project_8h-source.html,
	doc/html/project_8h.html, doc/html/project_8h__dep__incl.dot,
	doc/html/project_8h__dep__incl.md5,
	doc/html/project_8h_a4_cgraph.dot,
	doc/html/project_8h_a4_cgraph.md5,
	doc/html/scheme-private_8h-source.html,
	doc/html/scheme_8c-source.html, doc/html/scheme_8h-source.html,
	doc/html/search_8c-source.html, doc/html/search_8c.html,
	doc/html/search_8h-source.html, doc/html/search_8h.html,
	doc/html/search__cb_8c-source.html, doc/html/search__cb_8c.html,
	doc/html/search__cb_8h-source.html,
	doc/html/search__file_8c-source.html,
	doc/html/search__file_8c.html,
	doc/html/search__file_8h-source.html,
	doc/html/search__gui_8c-source.html, doc/html/search__gui_8c.html,
	doc/html/search__gui_8h-source.html,
	doc/html/search__mark_8c-source.html,
	doc/html/search__mark_8c.html,
	doc/html/search__mark_8h-source.html,
	doc/html/setup_8c-source.html, doc/html/setup_8h-source.html,
	doc/html/struct__InterfaceStruct.html,
	doc/html/structgerb__transf.html, doc/html/structpnp__file.html,
	doc/html/structpnp__state.html,
	doc/html/structproject__list__t.html,
	doc/html/structproject__list__t__coll__graph.dot,
	doc/html/structproject__list__t__coll__graph.md5,
	doc/html/tooltable_8c-source.html,
	doc/html/tooltable_8h-source.html, doc/html/tree.html, src/csv.c,
	src/csv.h, src/csv_defines.h, src/gerb_transf.c, src/gerb_transf.h,
	src/gerbv.c, src/project.c, src/project.h, src/search.c,
	src/search.h, src/search_cb.c, src/search_file.c,
	src/search_file.h, src/search_gui.c, src/search_gui.h,
	src/search_mark.c: doxygen documentation added for many fctns
	concerning pickandplace; right click on graphically marked and
	actively selected part now works for all shapes and reports to
	statusbar and log window;small bugfixes;

2004-09-13   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerbv.c: No more segfaults from inverting an
	unloaded layer

2004-09-11   Juergen Haas * juergenhaas AT gmxx dot net *

	* ChangeLog, INSTALL.MINGW.WIN32, src/gerbv.c, src/project.c,
	src/project.h, src/search_gui.c, src/search_mark.c: towards right
	click shows part designator in statusbar: now works with all shapes
	where pin1 is not on center axis

2004-09-04   Juergen Haas * juergenhaas AT gmxx dot net *

	* ChangeLog, INSTALL.MINGW.WIN32, src/csv.h, src/dynload.c,
	src/gerb_file.c, src/gerb_file.h, src/gerber.h, src/gerbv.c,
	src/project.c, src/search_cb.c: fixed right click shows designator
	in statusbar does not hang program MINGW issues with path separators
	gerbv compiles under MINGW (following instructions in
	INSTALL.MINGW.WIN32)

2004-09-04   Juergen Haas * juergenhaas AT gmxx dot net *

	* ChangeLog, src/gerb_transf.c, src/gerb_transf.h, src/search.c,
	src/search.h, src/search_gui.c, src/search_mark.c: fixed graphical
	representation of parts added gerb_transf_rotate added
	gerb_transf_shift fixed segfault when searching in comments
	designator is also shown checked by default

2004-08-28   Juergen Haas * juergenhaas AT gmxx dot net *

	* ChangeLog, src/gerbv.c, src/project.c: fixed GTK1 compilation
	issues

2004-08-27   Juergen Haas * juergenhaas AT gmxx dot net *

	* ChangeLog, JOURNAL.txt, src/csv.c, src/gerb_transf.c,
	src/gerb_transf.h, src/gerbv.c, src/project.c, src/search.c,
	src/search.h, src/search_cb.c, src/search_cb.h, src/search_file.h,
	src/search_gui.c, src/search_gui.h, src/search_mark.c: new:
	identification of part in active selection by right clicking in
	screen, rectangular shapes for rectangular objects (based on
	footprint), code cleanup, memory issues

2004-08-26   Juergen Haas * juergenhaas AT gmxx dot net *

	* ChangeLog, INSTALL.MINGW.WIN32, JOURNAL.txt, src/gerb_image.c,
	src/gerbv.c, src/search.c, src/search_cb.c, src/search_gui.c,
	src/search_mark.c: small bugfixes, usability enhancements, double
	click in search dialog will now mark item on active layer

2004-08-24   Tomasz Motylewski * t dot motylewski AT bfad dot de *

	* ChangeLog: * eliminated memory leak MINGW32 gerb_file.c fd->data * forced LC_NUMERIC to "C" in parse_gerb(), fixing   bug resulting in very thin lines (aperture size = 0)   under GTK2

2004-08-24   Tomasz Motylewski * t dot motylewski AT bfad dot de *

	* src/gerber.c: forced LC_NUMERIC to "C" in parse_gerb(), fixing bug
	resulting in very thin lines (aperture size = 0) under GTK2

2004-08-24   Tomasz Motylewski * t dot motylewski AT bfad dot de *

	* src/gerb_file.c: eliminated memory leak MINGW32 gerb_file.c
	fd->data

2004-08-24   Tomasz Motylewski * t dot motylewski AT bfad dot de *

	* ChangeLog, src/gerb_image.c, src/gerbv.c, src/project.c,
	src/project.h, src/search_cb.c, src/search_mark.c: * cleaned up memory allocation in gerb_image.c * improved project loading (still broken, there is no clear   design which function should do what).  * fixed memory leak plist_top->filename

2004-08-23   Juergen Haas * juergenhaas AT gmxx dot net *

	* ChangeLog, src/gerbv.c, src/project.c, src/search.c,
	src/search_cb.c, src/search_gui.c, src/search_mark.c: bugfixes and
	saving pnp file into projects file

2004-08-23   Tomasz Motylewski * t dot motylewski AT bfad dot de *

	* ChangeLog, src/Makefile.am, src/draw.c, src/draw.h,
	src/draw_amacro.c, src/draw_amacro.h, src/exportimage.c,
	src/gerb_image.c, src/gerb_image.h, src/gerb_transf.c,
	src/gerb_transf.h, src/gerbv.c, src/gerbv_screen.h: replaced scale
	with gerb_transf_t(.scale) - mirroring preparation

2004-08-22   Tomasz Motylewski * t dot motylewski AT bfad dot de *

	* tags.txt: SEARCH_SELECT_branch merged

2004-08-22   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, configure.in, src/Makefile.am: Use libpng-config to
	find out build parameters

2004-08-22   Stefan Petersen * spe AT stacken dot kth dot se *

	* rebuild_conf: Adhere to new auto tool standard

2004-08-22   Stefan Petersen * spe AT stacken dot kth dot se *

	* tags.txt: Added

2004-08-21   Tomasz Motylewski * t dot motylewski AT bfad dot de *

	* CONTRIBUTORS, ChangeLog, JOURNAL.txt,
	README-Pick-and-Place-search_parts.txt, configure.in,
	src/Makefile.am, src/csv.c, src/csv.h, src/csv_defines.h,
	src/gerb_file.c, src/gerbv.c, src/project.c, src/scheme.h,
	src/search.c, src/search.h, src/search_cb.c, src/search_cb.h,
	src/search_file.c, src/search_file.h, src/search_gui.c,
	src/search_gui.h, src/search_mark.c, src/search_mark.h, src/setup.h:
	merge from SEARCH_SELECT_branch part finder MINGW32 port

2004-08-21   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerbv.c: Prints only short options when compiled
	with short options

2004-08-16   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, doc/Makefile.am, example/Makefile.am,
	example/Mentor-BoardStation/Makefile.am,
	example/am-test/Makefile.am, example/cslk/Makefile.am,
	example/dan/Makefile.am, example/eaglecad1/Makefile.am,
	example/ekf2/Makefile.am, example/jj/Makefile.am,
	example/nollezappare/Makefile.am, example/numpres/Makefile.am,
	example/orcad/Makefile.am: distclean should not remove Makefile.in

2004-08-16   Stefan Petersen * spe AT stacken dot kth dot se *

	* CONTRIBUTORS: Added Richard Lightman

2004-07-28   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, example/polarity/6_vbat.gbr,
	example/polarity/README.txt, src/draw.c: Image polarity versus layer
	polarity fixed

2004-07-20   Tomasz Motylewski * t dot motylewski AT bfad dot de *

	* configure.in: added sys/types.h sys/stat.h stdlib.h required by
	src/project.c

2004-07-11   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/draw_amacro.c: Aperture macro thermal cross ends in
	butt

2004-06-27   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerber.c: Minor comment improvements and improved
	size determination

2004-06-24   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/gerb_image.c: A segfault source more and a test of commit
	mails too

2004-06-24   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerber.c: Removed two potential segfaults when
	running RS274D

2004-06-24   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/batch.c, src/gerb_image.c, src/gerb_image.h,
	src/gerber.c: MQ_START and MQ_END is removed which also fixes bug
	#942590

2004-06-24   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerb_image.c, src/gerb_image.h, src/gerbv.c,
	src/gerbv_screen.h: Added dump to print out parser result

2004-06-15   Stefan Petersen * spe AT stacken dot kth dot se *

	* files2tag.txt: Forgot to tag some Makefile.am

2004-06-10   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/draw_amacro.c: All apertures doesn't have exposure
	flags

2004-06-10   Stefan Petersen * spe AT stacken dot kth dot se *

	* example/thermal/dsp.GP1: More examples from Drew Moore and some
	png's to display how it should look

2004-06-05   Stefan Petersen * spe AT stacken dot kth dot se *

	* .cvsignore, ChangeLog, doc/.cvsignore, doc/PNG-print/.cvsignore,
	dontdiff, example/.cvsignore,
	example/Mentor-BoardStation/.cvsignore, example/am-test/.cvsignore,
	example/cslk/.cvsignore, example/dan/.cvsignore,
	example/eaglecad1/.cvsignore, example/ekf2/.cvsignore,
	example/jj/.cvsignore, example/nollezappare/.cvsignore,
	example/numpres/.cvsignore, example/orcad/.cvsignore,
	man/gerbv.1.in, src/gerbv.c: Cleanups and minor fixes from Dimitri

2004-05-25   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/Makefile.am: init.scm should also make it to the distribution

2004-05-25   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/draw_amacro.c: Aperture macros handles exposure now

2004-05-24   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, configure.in: Preparation for release 0.16

2004-05-24   Stefan Petersen * spe AT stacken dot kth dot se *

	* man/gerbv.1.in: Added some info on z, Z and f buttons

2004-05-24   Stefan Petersen * spe AT stacken dot kth dot se *

	* CONTRIBUTORS: Added Stefan Thiede

2004-05-19   Stefan Petersen * spe AT stacken dot kth dot se *

	* CONTRIBUTORS, ChangeLog, man/gerbv.1.in, src/Makefile.am,
	src/drill.c, src/gerbv.c, src/tooltable.c, src/tooltable.h: Tool
	table support from Dimitri

2004-04-27   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, configure.in, src/drill.c: Check for sys/mman.h and
	removed unncecessary dependency

2004-04-21   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerbv.c: Added keys f/F for fit, z for zoom in and
	Z for zoom out

2004-04-04   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/amacro.c, src/drill.c, src/gerb_file.c,
	src/gerb_file.h, src/gerber.c: Changed gerb_fgetint to return number
	of parsed characters and omit trailing zeros is properly handled

2004-03-20   Stefan Petersen * spe AT stacken dot kth dot se *

	* example/trailing/README.txt, example/trailing/cd1r2.1_sieb0.off,
	example/trailing/cd1r2.1_sieb1.off: Added in support to bug #918344

2004-02-23   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerbv.c: In GTK2 two signals get emitted when you
	press destroy

2004-02-14   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/Makefile.am: Making sure init.scm is installed at
	the proper place

2004-02-13   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerber.c: If angles were exact equal then the
	circle became a dot

2004-02-08   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, configure.in: Fixed  not getting defined by default
	anymore

2004-02-08   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, man/gerbv.1.in: A bunch of updates to mainly reflect
	the last additions of features

2004-02-07   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerbv.c: Save screen.path even when we open a
	project file from command line

2004-02-07   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerbv.c: Seg fault when freeing an optarged
	variable

2004-02-05   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerbv.c: -p as an alternative --project from Dan

2004-02-01   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerbv.c: Save As opens if you haven't given any
	project name and project name is put in the title window, both
	patches from Dan

2003-12-14   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, configure.in, src/gerbv.c, src/log.c, src/setup.h:
	First rought support for GTK+ 2.*

2003-12-10   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerbv.c: Project saves and restores background
	color

2003-12-10   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerbv.c, src/gerbv_screen.h: Fills in a a
	previously given filename if any is found

2003-12-09   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, Makefile.am, configure.in, doc/Makefile.am,
	doc/PNG-print/Makefile.am, doc/eagle/Makefile.am,
	example/Makefile.am, example/Mentor-BoardStation/Makefile.am,
	example/am-test/Makefile.am, example/cslk/Makefile.am,
	example/dan/Makefile.am, example/eaglecad1/Makefile.am,
	example/ekf2/Makefile.am, example/jj/Makefile.am,
	example/nollezappare/Makefile.am, example/numpres/Makefile.am,
	example/orcad/Makefile.am, man/Makefile.am, src/Makefile.am: Now
	it's possible to build with make dist and check with make distcheck

2003-12-07   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerbv.c, src/project.c, src/project.h: Inversion in
	projects, all parameters in all layers and --project works

2003-12-06   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerbv.c, src/gerbv_screen.h: Added invert layer

2003-12-06   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/opdefines.h: Part of scheme interpreter that almost didn't
	make it

2003-12-06   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, configure.in, doc/projectfiles.txt, src/Makefile.am,
	src/dynload.c, src/dynload.h, src/gerbv.c, src/gerbv_screen.h,
	src/init.scm, src/project.c, src/project.h, src/scheme-private.h,
	src/scheme.c, src/scheme.h: Scheme interpreter added giving project
	file management

2003-12-06   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/draw_amacro.c: static some internal functions

2003-12-06   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerb_file.c, src/gerb_file.h: Added gerb_find_file
	in gerb_file

2003-11-22   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, acconfig.h, configure.in: acconfig removed and more
	information added to configure.in after warning messages from
	autoheader

2003-11-13   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/exportimage.c: Simplified pixbuf_to_file_as_png. No
	speed up, since that is not the time hog

2003-10-17   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, configure.in: Preparation for release 0.15

2003-10-06   Stefan Petersen * spe AT stacken dot kth dot se *

	* example/thermal/README.txt, example/thermal/bpB.GP1: Thermal
	example

2003-10-06   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/draw_amacro.c: Fixed aperture macro primitive no 7
	thanks to Drew Moore

2003-09-28   Stefan Petersen * spe AT stacken dot kth dot se *

	* CONTRIBUTORS, ChangeLog, src/gerber.c: Fixes instances when G04 is
	written like G4

2003-09-08   Stefan Petersen * spe AT stacken dot kth dot se *

	* CONTRIBUTORS, ChangeLog, src/gerber.c: Circular polygon outline
	approximated with short segments solved by Simon Munton

2003-09-08   Stefan Petersen * spe AT stacken dot kth dot se *

	* CONTRIBUTORS, ChangeLog, src/gerber.c: A polygon filling problem
	solved by Simon Munton

2003-08-18   Stefan Petersen * spe AT stacken dot kth dot se *

	* build_release: Fixed nasty bug causing script not to work

2003-08-17   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, configure.in: Preparation for release 0.14

2003-05-31   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, configure.in, src/amacro.c: Removed malloc.h to
	simplify porting

2003-04-18   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/draw_amacro.c: A patch from Larry Dolittle that
	solved a problem with strangely drawn circles

2003-04-07   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerber.c: Segfault from RS274D files

2003-03-18   Stefan Petersen * spe AT stacken dot kth dot se *

	* cvs-tag.sh: Improved with check for tag name and recursive tagging

2003-03-18   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, INSTALL, README, acconfig.h, configure.in,
	files2tag.txt, man/gerbv.1.in: In preparation for release 0.13

2003-03-16   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/draw.c, src/gerb_image.h, src/gerber.c: Angles are
	now double

2003-03-16   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerber.c: Better sanity checks for start- and end
	angle of arcs

2003-03-10   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerber.c: Doesn't warn on image rotate zero degrees

2003-03-02   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, Makefile.am, configure.in, man/Makefile.am,
	man/gerbv.1.in, src/Makefile.am, src/gerbv.c: Removed the Guile
	stuff

2003-03-02   Stefan Petersen * spe AT stacken dot kth dot se *

	* example/exposure/README.txt, example/exposure/example.grb: Added
	example

2003-03-02   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/draw_amacro.c: Aperture macro primitive 1 is a
	filled circle

2003-03-01   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerb_image.c, src/gerb_image.h, src/gerber.c:
	Cleaned up parsing of step-and-repeat and new_gerb_image()

2003-02-28   Stefan Petersen * spe AT stacken dot kth dot se *

	* .cvsignore: Removed diff files and added some more autoconf files

2003-02-24   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/Makefile.am, src/gerbv.c, src/gerbv_screen.h,
	src/log.c, src/setup.c, src/setup.h: Added setup.[hc] for setup
	specific thing like command switches and rc files.

2003-02-22   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerbv.c: Swapping with a non-existent layer caused
	segfault

2003-02-22   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerber.c: Small differences in angles were ignored
	when they shouldn't

2003-02-12   Stefan Petersen * spe AT stacken dot kth dot se *

	* CONTRIBUTORS, ChangeLog, src/gerber.c: Incremental coordinates
	support

2003-02-10   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, configure.in: Preparation for release 0.12

2003-02-08   Andreas Andersson * e92_aan AT e dot kth dot se *

	* src/drill.c: Removed a memory leak in drill_guess_format()

2003-02-08   Andreas Andersson * e92_aan AT e dot kth dot se *

	* src/drill.c: Small kludge for parsing broken PADS files (==tools
	in mil)

2003-02-06   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/drill.c: Exchanged some fprintf's with
	GERB_COMPILE_ERROR

2003-02-06   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerbv.c: Added swap of tooltips too

2003-02-05   Stefan Petersen * spe AT stacken dot kth dot se *

	* files2tag.txt: Added doc/eagle

2003-02-02   Stefan Petersen * spe AT stacken dot kth dot se *

	* CONTRIBUTORS: Good old guys keep on reporting

2003-02-02   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/drill.c: Added a patch from Dan that allows plus
	signs in the coordinates in drill file

2003-02-02   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerbv.c: Move layers in the sidebar

2003-02-02   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/draw.c, src/drill.c, src/gerb_image.c,
	src/gerb_image.h, src/gerber.c: Fixed unit system to handle
	millimeter everywhere

2003-01-26   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerbv.c, src/log.c, src/log.h: Better control over
	where error messages go when

2003-01-26   Stefan Petersen * spe AT stacken dot kth dot se *

	* .cvsignore, ChangeLog, man/.cvsignore, scheme/.cvsignore,
	src/.cvsignore: Added .cvsignore files

2003-01-25   Stefan Petersen * spe AT stacken dot kth dot se *

	* example/Mentor-BoardStation/README.txt,
	example/Mentor-BoardStation/artwork_1.grb: Fixed a major Mentor
	screw up. See README.txt

2003-01-25   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerb_image.c, src/gerb_image.h, src/gerber.c:
	Started to fixing units but not complete

2003-01-19   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerber.c: Bug fixed that caused arcs to be drawn cw
	instead off ccw in some rare cases

2003-01-16   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, TODO, files2tag.txt: Minor documentation updates to
	reflect reality

2003-01-16   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, man/gerbv.1.in, src/gerbv.c: Update documentation with
	new log commandline switch

2003-01-15   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/Makefile.am, src/color.c, src/draw.c, src/drill.c,
	src/gerb_error.h, src/gerber.c, src/gerbv.c, src/gerbv_screen.h,
	src/log.c, src/log.h: New error reporting system in place

2003-01-14   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerbv.c: Refixed the RS274D parsing error segfault

2003-01-12   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerbv.c: Another RS274D causing havoc

2002-12-25   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/amacro.c, src/gerbv.c, src/gerbv_screen.h: Changes
	windows store, fixed compilation warning in amacro and made minor
	cosmetic cleanups in gerbv.c

2002-12-13   Stefan Petersen * spe AT stacken dot kth dot se *

	* doc/sources.txt: Cleaned out some broken links and general clean
	up

2002-12-10   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerbv.c: Fixed compilation warnings on 64-bit
	platforms by casting gpointer to long int.

2002-12-09   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerber.c: Filled polygons bug 649663 closed

2002-12-03   Stefan Petersen * spe AT stacken dot kth dot se *

	* CONTRIBUTORS: Added Charles to list of constributors

2002-12-02   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* ChangeLog, configure.in, src/amacro.c: Applied patch from Charles
	Lepple to fix bug #646268

2002-11-26   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* ChangeLog, src/gerbv.c: Fixing bug 643799

2002-11-25   Stefan Petersen * spe AT stacken dot kth dot se *

	* CONTRIBUTORS, ChangeLog, src/gerbv.c: Turning all layers on and
	off

2002-11-24   Stefan Petersen * spe AT stacken dot kth dot se *

	* man/gerbv.1.in: Yet another speling error

2002-11-24   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, doc/eagle/eagle2exc.pl, doc/eagle/eagle2exc.txt:
	Information on how to generate Excellon from Eagle

2002-11-23   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerber.c: Yet another G-code (55) discovered

2002-11-23   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/amacro.c, src/draw.c, src/draw_amacro.c,
	src/gerber.c: Some more bug 642600 which I was completly responsible
	for...

2002-11-23   Stefan Petersen * spe AT stacken dot kth dot se *

	* doc/sources.txt: Deprecated Barco links

2002-11-23   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* ChangeLog, src/gerbv.c: Fixed bug 642600, which I was not
	completely responsible for...

2002-11-20   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, configure.in, files2tag.txt: Release 0.11 preps

2002-11-20   Stefan Petersen * spe AT stacken dot kth dot se *

	* CONTRIBUTORS: Dino's don PNGPrintMinitHowto

2002-11-20   Stefan Petersen * spe AT stacken dot kth dot se *

	* man/gerbv.1.in: Added blurb about shift+right mouse button

2002-11-19   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerbv.c: Superimposing functions back in business

2002-11-19   Stefan Petersen * spe AT stacken dot kth dot se *

	* man/gerbv.1.in: left and right isn't always easy

2002-11-19   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/draw.c: Changed round off method so when a filled
	area consisting of several lines is drawn it has bigger potential of
	being filled

2002-11-16   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/exportimage.c: Background color was ignored

2002-11-16   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerbv.c: Made sure all destroy and cancel events
	are properly handled. Some segfaults were noted here and there.

2002-11-16   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerbv.c: Made ZOOM_SET also set centering

2002-11-16   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerbv.c, src/gerbv_screen.h: Added Dinos explicit
	setting of scale

2002-11-16   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, doc/PNG-print/PNGPrintMiniHowto.txt:  Added docs on how to print PNGs generated by gerbv

2002-11-15   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerbv.c: Robustified if someone tries to parse
	RS274D files

2002-11-15   Andreas Andersson * e92_aan AT e dot kth dot se *

	* ChangeLog, src/drill.c: Change to allow Orcad386 drill files.

2002-11-07   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* ChangeLog, src/gerbv.c: Prepare idle_redraw for reentrancy, clean
	up some long lines.

2002-11-06   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* ChangeLog, src/gerbv.c: Oops, you need to start the idle function
	at least once.

2002-11-06   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* ChangeLog, src/gerbv.c: Do not call gtk_idle_xxx from within a
	gtk_idle function call

2002-11-05   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* ChangeLog: Removed clipping/no clipping kludge.

2002-11-05   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* src/gerbv.c, src/gerbv_screen.h: Removed clipping/no clipping
	kludge.

2002-11-05   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* ChangeLog, src/gerbv.c: Preempt drawing when there are events to
	process, otherwise we can run redraw_pixmap
	partially+completely+partially. This caused some layers to
	disappear.

2002-11-04   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/exportimage.c, src/gerbv.c: Exports the whole image
	now if necessary

2002-11-02   Stefan Petersen * spe AT stacken dot kth dot se *

	* doc/sources.txt: gerbv handles aperture macros now(and done so for
	a long time)

2002-10-31   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/draw.c, src/gerber.c: If first point in the first
	line didn't have an aperture defined, this line was drawn wrong

2002-10-31   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerber.c: AS doesn't complain if default values are
	given

2002-10-31   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* ChangeLog, src/gerbv.c, src/gerbv_screen.h: Removed incremental
	redraw, it flickered too much, added option to disable clipping. We
	should probably make redraw_pixmap more general and make export_png
	independant of the shown pixmap, later...

2002-10-30   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerb_image.h, src/gerber.c: Implemented %SF% and
	%SR% in parser but ignore them in drawing engine. If they != default
	values a waring is issued

2002-10-30   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* ChangeLog, src/gerbv.c, src/gerbv_screen.h: Added restart state to
	redraw_pixmap() and drawing progress on statusbar

2002-10-29   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/draw_amacro.c: Fixed bug in drawing of primitive 20
	in aperture macros.

2002-10-29   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* ChangeLog, src/gerbv.c: Close (potential) memory leak by unref:ing
	temporary pixmaps even when preempting redraw

2002-10-28   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* ChangeLog, src/gerbv.c: Changed sign on initialisation of
	screen.clip_bbox.x1.

2002-10-27   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/draw_amacro.c: Fixed an aperture macro bug that
	caused multi primitives macros to not be drawn properly. Closes bug
	#629101.

2002-10-26   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerber.c: Replaced nested strncmp with switch/case
	and fixed a segfault caused by RS274D files.

2002-10-24   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* ChangeLog, src/gerbv.c, src/gerbv_screen.h: Now the created pixmap
	is the size of the screen, always independant on the zoom scale.
	Added option to turn on incremental updates to redraw pixmap for
	each completed layer. This patch could need some cleaning up in the
	trans_x vs off_x vs clip_bbox.x1 areas.

2002-10-18   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/gerber.c: Stupid size error when allocating buffer.
	Embarasing.

2002-10-18   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/drill.c, src/gerb_file.c, src/gerb_file.h,
	src/gerber.c, src/gerber.h, src/gerbv.c: Update for platforms were
	char really are unsigned as it should be

2002-10-16   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* doc/image2pixmap.fig: Added some food for thought regarding
	allocating smaller pixmaps when zooming

2002-10-14   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* ChangeLog, src/gerbv.c: Check that the status bar has been created
	before trying to use it in update_statusbar()

2002-10-14   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* ChangeLog, src/gerbv.c: Make menu reflect the default unit if set
	to mm

2002-10-13   Stefan Petersen * spe AT stacken dot kth dot se *

	* man/gerbv.1.in: Updated date

2002-10-13   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, configure.in: Version 0.0.10 release prep

2002-10-11   Stefan Petersen * spe AT stacken dot kth dot se *

	* INSTALL, README, files2tag.txt: Minor updates for 0.0.10 release

2002-10-11   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* ChangeLog, acconfig.h, configure.in, src/gerbv.c: Added configure
	option to set default units to millimeters instead of mils.

2002-10-09   Stefan Petersen * spe AT stacken dot kth dot se *

	* man/gerbv.1.in: Smaller cleanups

2002-10-09   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerber.c: Fixed bug in new min/max that made macros
	causing havoc

2002-10-08   Stefan Petersen * spe AT stacken dot kth dot se *

	* man/gerbv.1.in: Added some text on activation/deactivation that
	apparently got lost in the mail

2002-10-07   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerber.c: Segfault in min-max code fixed. Closes
	bug #619652

2002-10-07   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, man/gerbv.1.in: Added info about new commandline
	switches and backends

2002-10-07   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerbv.c: Added GTK/GDK command line parameters and
	parameter --geometry

2002-10-06   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* ChangeLog, src/gerbv.c, src/gerbv_screen.h: Use either mils or mms
	in statusbar. This limits window width enough to close bug #615475.

2002-09-29   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* ChangeLog, src/gerber.c, src/gerbv.c, src/gerbv_screen.h: Closes
	bug #605985, now using aprture size when calculating bbox. Removed
	IMG_EXTRA hack.

2002-09-17   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, acconfig.h, configure.in, src/gerbv_screen.h:
	Definition of maximum number of simultaneous open files can be done
	from ./configure --with-maxfiles=xx

2002-09-17   Stefan Petersen * spe AT stacken dot kth dot se *

	* NEWS: Didn't bother to update this file all the time

2002-09-17   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, configure.in: exportpng is configured in by default

2002-09-09   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerbv.c: Added version number in main windows title

2002-09-09   Stefan Petersen * spe AT stacken dot kth dot se *

	* example/jj/README.txt, example/jj/l1-1.grb, example/jj/l1-2.grb,
	example/jj/l1-3.grb, example/jj/l1-orig.grb: Added

2002-09-07   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/amacro.c, src/amacro.h, src/draw.c,
	src/draw_amacro.c, src/draw_amacro.h: Dynamic allocation of stack
	when drawing aperture macros.

2002-09-07   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/batch.c, src/draw.c, src/gerb_image.h,
	src/gerber.c, src/gerber.h: Fixed multi quadrant detection

2002-09-02   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/batch.c, src/draw.c, src/gerb_image.h,
	src/gerber.c: More Polygon Area fixes.

2002-09-01   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/draw.c: Fixed fatal Polygon Area Fill bug

2002-08-31   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* ChangeLog, src/gerbv.c: Removed redundant bounding box
	calculation. No biggie, but it looks nicer

2002-08-27   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* ChangeLog, src/gerbv.c, src/gerbv_icon.h, src/gerbv_screen.h:
	Center image on zoom to fit (autoscale), add define for extra 0.1
	inch in autoscale

2002-08-27   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/gerbv.c: Accidental debug message removed

2002-08-27   Andreas Andersson * e92_aan AT e dot kth dot se *

	* ChangeLog, src/drill.c: Changed format guessing to work for yet
	another special case.

2002-08-26   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerbv.c: Memoryleak fixes

2002-08-10   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, files2tag.txt, src/Makefile.am, src/batch.c,
	src/batch.h, src/gerbv.c, src/scm_gerber.c, src/scm_gerber.h: All
	batch functionality in batch.[hc]

2002-08-09   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerbv.c, src/gerbv_screen.h: Added (de)activation
	via keyboard

2002-08-09   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerbv.c: Fixed zooming to work after (de)selection
	of a non-loaded layer

2002-08-04   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerbv.c: Better control over not loading files

2002-08-04   Stefan Petersen * spe AT stacken dot kth dot se *

	* CONTRIBUTORS: Updated Dan and Dino

2002-08-04   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, man/gerbv.1.in: Updates on superimposing

2002-08-04   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerbv.c, src/gerbv_screen.h: Superimposing
	functions

2002-08-01   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/draw.c, src/draw.h, src/gerbv.c: Changed generation
	of images to using clipmasks

2002-07-24   Andreas Andersson * e92_aan AT e dot kth dot se *

	* ChangeLog, src/drill.c: Changed parser to allow undefined tools
	and fake sizes for them.

2002-07-17   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/draw_amacro.c: Yet another fabs fix

2002-07-15   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerbv.c: Fixed bug 573016, some gerbers not drawn

2002-07-15   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerb_image.c, src/gerb_image.h, src/gerber.c:
	Parses and stores %IN%

2002-07-15   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* src/gerbv.c: Minor cleanup for earlier icon addition

2002-07-15   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* ChangeLog, src/gerbv.c, src/gerbv_icon.h: Added application icon

2002-07-13   Stefan Petersen * spe AT stacken dot kth dot se *

	* build_release, cvs-tag.sh, files2tag.txt: Build system fixes to
	simply conditional tagging

2002-07-13   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, example/ekf/README: Closed bug 578583 saying
	example/ekf/* shouldn't work since it is RS274D

2002-07-13   Stefan Petersen * spe AT stacken dot kth dot se *

	* CONTRIBUTORS, ChangeLog, configure.in: Added --with-gtk-config
	from Bruno Schwander

2002-07-13   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* : added some pixmaps to be used for icon and perhaps menu icons in
	gnome, kde, et al.

2002-07-06   Stefan Petersen * spe AT stacken dot kth dot se *

	* man/gerbv.1.in: Escape zoom outline

2002-07-06   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, configure.in: Preparations for release 0.0.9

2002-07-06   Stefan Petersen * spe AT stacken dot kth dot se *

	* man/gerbv.1.in: Updated with new features

2002-07-06   Stefan Petersen * spe AT stacken dot kth dot se *

	* example/Mentor-BoardStation/README.txt,
	example/Mentor-BoardStation/artwork_1.grb: Added

2002-07-06   Stefan Petersen * spe AT stacken dot kth dot se *

	* example/dan/README.txt, example/dan/top.gbx: Added

2002-07-05   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* ChangeLog, src/gerbv.c: Saved us from using a widget.

2002-07-04   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* ChangeLog, src/gerbv.c: Made status bar not expandable.

2002-07-04   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* ChangeLog, src/gerbv.c, src/gerbv_screen.h: Changed coordinate
	display at bottom again, now using a Label instead of Statusbar.
	Digits don't dance around anymore. Not much space left for any other
	messages (there are none implemented yet anyway).

2002-07-02   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* ChangeLog, src/gerbv.c, src/gerbv_screen.h: s/sprintf/snprintf/,
	coordinate to mils and mms conversions macrofied

2002-07-01   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* ChangeLog, src/gerbv.c, src/gerbv_screen.h: Using a single
	GtkStatusbar widget instead of three. Composing message from strings
	instead prevents window resizing in 1280x1024 resolution. Created a
	function to update statusbar.

2002-07-01   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* ChangeLog: Changed changelog

2002-07-01   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* ChangeLog, src/gerbv.c, src/gerbv_screen.h: Finally got absolute
	coordinates to work properly! Partly closes feature request 567965

2002-06-20   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* ChangeLog, src/gerbv.c: Fix for bug 571097, mils are really 0.001
	inches and not 0.01 as I thought. Thanks Dan

2002-06-20   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/gerbv.c: Minor renaming of variables

2002-06-19   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* ChangeLog, src/gerbv.c, src/gerbv_screen.h: Tried to fix gerber
	coordinates again. py and not px should be used for mirroring y-axis

2002-06-18   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerbv.c: Added background color selection

2002-06-17   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* ChangeLog, src/gerbv.c, src/gerbv_screen.h: Coordinates shown in
	statusbar are now in gerber coordinate system (instead of gtk/X11).
	Units changed to mils and mms. Minor statusbar layout changes.

2002-06-17   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/draw.c: Ignored if lines were using rectangular
	apertures to draw.

2002-06-13   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* ChangeLog, src/gerbv.c, src/gerbv_screen.h: Added status bar.
	Still needs to add code to be able to set a reference position
	outside of measure mode?! Should update all printfs to add messages
	in statusbar instead.

2002-06-12   Stefan Petersen * spe AT stacken dot kth dot se *

	* doc/Makefile.example: An example on how to write a Makefile for
	docs. Maybe you don't even have to rewrite it at all

2002-06-12   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog: Autoscale fix and setting of err_gc

2002-06-12   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/draw.c: Moved out setting of err_gc

2002-06-12   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/gerbv.c: Autoscale doesn't translate thing out of window

2002-06-12   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* ChangeLog, src/gerbv.c: Fix division by zero in
	draw_zoom_outline(), closes bug 567166

2002-06-11   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerb_file.c: Changed ENODATA to EIO. Closes bug
	567179

2002-06-11   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerbv.c: Can now draw images with negative
	coordinates. Closes bug 548094.

2002-06-10   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/draw_amacro.c: If primitive 4 has the same starting
	and ending point it will now get filled

2002-06-10   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/draw_amacro.c: Fixed bug causing rotation to be
	screwed up in primitive 4

2002-06-10   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/Makefile.am, src/draw.c, src/draw.h,
	src/draw_amacro.c, src/draw_amacro.h: Split out aperture macro stuff
	from draw to draw_amacro

2002-06-10   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* ChangeLog, src/gerbv.c: Added more digits in distance measurement
	as suggested by Dan

2002-06-10   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* ChangeLog, src/gerbv.c, src/gerbv_screen.h: Removed ability to
	 switch between centered and normal outline zooming during drag.
	Added escape key to abort zooming and repaint screen. Newlines
	between functions

2002-06-10   Stefan Petersen * spe AT stacken dot kth dot se *

	* HACKING: Minor cleanups and added blurb about functions.

2002-06-09   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* ChangeLog, src/gerbv.c: Bugfix for centered outline zooming. Now
	it actually works

2002-06-09   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* ChangeLog, src/gerbv.c: Change cursor on keypress (shift for
	distance measure). Added centered zooming in outline mode (closing
	feature request 553452).

2002-06-09   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* ChangeLog, src/gerbv.c, src/gerbv_screen.h: Added distance measure
	color and display of actual zoom box in outline mode. Improved
	distance string format.

2002-06-08   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* ChangeLog, src/gerbv.c: Make use of xor drawing mode in zoom
	outline and distance measure to speed up redraw

2002-06-08   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, configure.in: Added check for libpng

2002-06-07   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/gerbv.c: Setup a watch while running export png

2002-06-07   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* ChangeLog, src/gerbv.c: Centered measure distance text, line
	spacing calculated correctly, minor cleanups

2002-06-07   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/draw.c, src/gerb_image.h, src/gerber.c: Handles
	layer polarity

2002-06-06   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerbv.c, src/gerbv_screen.h: Added reload files

2002-06-06   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* ChangeLog, src/gerbv.c, src/gerbv_screen.h: First implementation
	of request [ 562934 ] measurement tool

2002-06-06   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/draw.c, src/gerb_image.h, src/gerber.c: Counting
	and dynamic allocation of memory when drawing polygons with many
	corners

2002-06-04   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerbv.c: Added extra check to autoscale

2002-06-02   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerb_image.h, src/gerber.c: Added IC to parser

2002-05-18   Stefan Petersen * spe AT stacken dot kth dot se *

	* configure.in: Couldn't check for png headers like I thought

2002-05-18   Stefan Petersen * spe AT stacken dot kth dot se *

	* CONTRIBUTORS, ChangeLog, acconfig.h, configure.in,
	src/Makefile.am, src/exportimage.c, src/exportimage.h, src/gerbv.c,
	src/gerbv_screen.h: Added export image to PNG from Dino

2002-05-17   Stefan Petersen * spe AT stacken dot kth dot se *

	* configure.in: Minor bug in configure script to enable batch

2002-05-17   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerbv.c, src/gerbv_screen.h: Split out the global
	screen variable

2002-05-16   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, acconfig.h, configure.in, src/gerbv.c,
	src/scm_gerber.c: Changed default to exclude Guile when configuring

2002-05-10   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerb_file.c: Improved error reporting from
	filehandling

2002-05-09   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/gerbv.c: Backing out some commits that came along previous
	commit

2002-05-09   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerb_image.c, src/gerb_image.h, src/gerber.c,
	src/gerber.h, src/gerbv.c: Moved around verification of gerb_image
	and use it more clever

2002-05-08   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* ChangeLog, src/gerbv.c: Don't allow outline zoom on too small
	areas. Allocate separate outline color

2002-05-07   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerbv.c: Remember where we loaded file from last
	time and use it next file selection

2002-05-07   Stefan Petersen * spe AT stacken dot kth dot se *

	* INSTALL: gschem->gerbv

2002-05-07   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* ChangeLog, src/gerbv.c: Added outline zoom support as requested in
	feature request 550798

2002-05-07   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* src/draw.h, src/gerbv.c: Use #define for default cursor shape, for
	future use Scale by ten percent of current scale value instead of a
	fixed number 10 behaves better when zooming in very small and very
	large values for the scale

2002-05-05   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerbv.c: Mouse pointer as a watch was up all the
	time when no files were loaded at start up

2002-05-05   Stefan Petersen * spe AT stacken dot kth dot se *

	* man/gerbv.1.in: Added Anders

2002-05-05   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/gerbc.c: Removed

2002-05-05   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, configure.in: Updates for release 0.0.8

2002-05-03   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* ChangeLog: Added changelog entry for zooming.

2002-05-03   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* AUTHORS: Correcting my e-mail address.

2002-05-02   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerbv.c: Translation in autoscale improved

2002-05-02   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog: Ovals and some docs

2002-05-02   Stefan Petersen * spe AT stacken dot kth dot se *

	* HACKING: More elaboration on code standard

2002-05-02   Stefan Petersen * spe AT stacken dot kth dot se *

	* CONTRIBUTORS: Added Neil and Dino

2002-05-02   Stefan Petersen * spe AT stacken dot kth dot se *

	* AUTHORS: Added aen

2002-05-02   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/draw.c: Ovals are ovals and not ellypses

2002-05-02   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/gerbv.c: Added some event handling in the draw loop

2002-05-02   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* src/gerbv.c: Make sure the event is sent to the zoom function when
	zooming around mouse.  Attempt to be preemptive when converting
	image to pixmap. This gives a small gain in responsiveness, but it
	is all we have time to do this close to the next release. Note that
	constantly moving the mouse will prevent screen updates to happen.
	Can we live with this? To be improved.

2002-05-01   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/draw.c, src/gerbv.c: Unrefed some GCs

2002-04-30   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/gerber.c: Cleaned out a discusting macro

2002-04-29   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog: Zooming and format fixes

2002-04-29   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* ChangeLog: Added changelog for zooming changes in src/gerbv.c (rev
	1.34 and 1.35).

2002-04-29   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* src/gerbv.c: First attempt to fix zoom in around mouse pointer.
	There seems to be some rounding error. I suspect it is in the
	centered zoom centering code.

2002-04-29   Anders Eriksson * aenfaldor AT users dot sourceforge dot net *

	* src/gerbv.c: Zooming is now centered to screen center. This is
	much nicer than previous behaviour, but it does not quite close [
	gerbv-Bugs-548128 ].

2002-04-28   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/gerb_image.h: Format statement now more completly handled (bug
	549602)

2002-04-28   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/gerber.c: Format statement now more completly handled (bug
	549602)

2002-04-28   Stefan Petersen * spe AT stacken dot kth dot se *

	* man/gerbv.1.in: Added blurb about zooming

2002-04-28   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/gerbv.c: Zooming number constants removed

2002-04-27   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/draw.c: Spelling error axle->axis

2002-04-27   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerbv.c: Implemented unload file and changed name
	of all open functions to load

2002-04-25   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerb_file.c: Fixes segfault when opening empty file
	(bug 548578)

2002-04-24   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, configure.in, man/gerbv.1, man/gerbv.1.in: Updated man
	page

2002-04-23   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, example/orcad/README.txt, example/orcad/ast.ps,
	example/orcad/rs232_cm.asb, example/orcad/rs232_cm.ast,
	example/orcad/rs232_cm.bot, example/orcad/rs232_cm.drd,
	example/orcad/rs232_cm.smb, example/orcad/rs232_cm.smt,
	example/orcad/rs232_cm.ssb, example/orcad/rs232_cm.sst,
	example/orcad/rs232_cm.top, example/orcad/thruhole.tap: Added
	example/orcad

2002-04-10   Stefan Petersen * spe AT stacken dot kth dot se *

	* example/cslk/README.txt, example/cslk/cslk.gbx,
	example/cslk/cslk.ps: Added

2002-04-10   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerber.c: Fixed mq arcs so circles are circles and
	width/height are correctly calculated

2002-04-09   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerber.c: Fixed drawing direction of arcs. Some
	other issues left in mq arcs left.

2002-04-03   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/gerber.c: Minor cleanups by using switch/case instead of loads
	of strncmp

2002-04-03   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerber.c, src/gerber.h: Fixed some numerical
	constants in verify_gerb

2002-04-03   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog: Color selection and blurb abt zooming and gerber layers

2002-04-03   Stefan Petersen * spe AT stacken dot kth dot se *

	* TODO: Added gerber layers and zooming. Removed some overdue
	things.

2002-04-03   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/gerbv.c: Color selection on layers added

2002-02-10   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/draw.c: Added string.h

2002-02-10   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, configure.in: Release 0.0.7 preparations

2002-02-05   Stefan Petersen * spe AT stacken dot kth dot se *

	* doc/sources.txt: Added info abt gerber2eps

2002-02-03   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog: Aperture macro verification finalized

2002-02-03   Stefan Petersen * spe AT stacken dot kth dot se *

	* example/am-test/am-test.gbx: Added

2002-02-03   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/draw.c: Bugfixes in primitive 6 and 7 after verification.

2002-01-26   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerber.c: Rewrote parse_aperture_defintion to
	handle aperture macro definitions without parameters

2002-01-26   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/amacro.c, src/draw.c: A bunt bugfixes in aperture
	macro parsing and drawing

2002-01-06   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/draw.c: All primitive aperture macros implemented,
	but not fully

2001-12-31   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/draw.c: Drawing aperture macros with some
	elementary macro primitives

2001-12-30   Andreas Andersson * e92_aan AT e dot kth dot se *

	* src/drill.c: Minor fix to drill_file_p(), which was broken with
	files using CR+LF

2001-12-29   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, doc/aperturemacro.txt, src/Makefile.am, src/amacro.c,
	src/amacro.h, src/gerb_image.c, src/gerb_image.h, src/gerber.c:
	First rough cut at parsing aperture macros

2001-12-29   Andreas Andersson * e92_aan AT e dot kth dot se *

	* ChangeLog: Minor fixes to gerber.c and gerb_file.c

2001-12-29   Andreas Andersson * e92_aan AT e dot kth dot se *

	* src/gerb_file.c: Changed gerb_fgetstring() back to behave as
	before, except for one bug

2001-12-29   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/gerber.c: Fixed minor bug was added last time

2001-12-29   Andreas Andersson * e92_aan AT e dot kth dot se *

	* src/gerb_file.c: Fixed gerb_fgetstring()

2001-12-29   Andreas Andersson * e92_aan AT e dot kth dot se *

	* src/gerber.c: Fixed small memory leak in
	parse_aperture_definition()

2001-12-29   Andreas Andersson * e92_aan AT e dot kth dot se *

	* ChangeLog: Autodetect of drill file changed, error check of mmap()
	return value added.

2001-12-29   Andreas Andersson * e92_aan AT e dot kth dot se *

	* src/drill.c: Autodetect of drill file changed back to allow
	special cases.

2001-12-29   Andreas Andersson * e92_aan AT e dot kth dot se *

	* src/gerb_file.c: Error check of return value from mmap() added.

2001-12-29   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerb_file.c, src/gerb_file.h, src/gerber.c: Added
	gerb_fgetstring

2001-12-15   Stefan Petersen * spe AT stacken dot kth dot se *

	* configure.in: Updated to release 0.0.6

2001-12-14   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/draw.c, src/gerbv.c: Autoscaling and autocentering

2001-12-11   Stefan Petersen * spe AT stacken dot kth dot se *

	* configure.in: Increased version to 0.0.6pre2

2001-12-11   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerbv.c: Fixed Clear All bug remaining after pan
	rewrite

2001-12-11   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/gerbv.c: Allocated pixmap must be bigger then max-min if there
	is a big object close to the edge.

2001-12-10   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerbv.c: Changed prelighting on buttons

2001-12-10   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerbv.c: Forgot to check if we had any pixmap to
	draw

2001-12-09   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/gerbv.c: expose_event handles partial expose proper

2001-12-09   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog: Major rewrite of panningand minor bugfix

2001-12-09   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/gerbv.c: Mjor rewrite of panning for speed

2001-12-08   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/gerber.c: min/max bug fixed

2001-12-07   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog: Remake of last commit

2001-12-07   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog: Pseudo drawing optimizations and non existant files
	gives proper error messages

2001-12-07   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/gerbv.c: Error color and error messages improvment

2001-12-07   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/gerb_file.c: Pushed error messages out

2001-12-07   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/draw.c, src/draw.h: Pseudo optimized drawing

2001-12-06   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, scheme/Makefile.am: scheme/gerb-debug.scm gets
	installed too

2001-12-06   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/drill.c, src/gerb_image.c, src/gerber.c,
	src/gerbv.c: Exchanged bzero with memset for portability

2001-12-06   Andreas Andersson * e92_aan AT e dot kth dot se *

	* ChangeLog, src/drill.c, src/drill.h: Now allows tool number 0.

2001-12-05   Stefan Petersen * spe AT stacken dot kth dot se *

	* example/ekf2/README.txt, example/ekf2/d1.grb,
	example/ekf2/drill0.exc, example/ekf2/drill1.exc,
	example/ekf2/drill20.exc, example/ekf2/drill30.exc,
	example/ekf2/gnd.grb, example/ekf2/l0.grb, example/ekf2/l1.grb,
	example/ekf2/l2.grb, example/ekf2/l3.grb, example/ekf2/l4.grb,
	example/ekf2/l5.grb, example/ekf2/pow.grb, example/ekf2/pow3.grb,
	example/ekf2/resplan.grb, example/ekf2/sieb0.grb,
	example/ekf2/sieb1.grb, example/ekf2/stp0.grb,
	example/ekf2/stp1.grb: Added

2001-12-03   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/Makefile.am, src/color.c, src/gerber.c,
	src/scm_gerber.c: Turned on -Wall and cleaned up after it

2001-12-03   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/drill.c, src/gerb_file.c, src/gerb_file.h,
	src/gerber.c: Utilize the file read functions

2001-12-03   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/gerb_file.c, src/gerb_file.h:  Added function gerb_getdouble and gerb_getint

2001-12-03   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/drill.h, src/gerber.h, src/gerbv.c: Bugfix for lastminute .h
	name change

2001-12-02   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, configure.in, src/Makefile.am, src/drill.c,
	src/drill.h, src/gerb_file.c, src/gerb_file.h, src/gerber.c,
	src/gerber.h, src/gerbv.c: Improved parsing speed by implementing
	new file io

2001-12-02   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog: Minor cleanups of open and autodetection, major cleanup
	of color scheme

2001-12-02   Stefan Petersen * spe AT stacken dot kth dot se *

	* man/gerbv.1: Updated man page to reflect autodetection of file
	type

2001-12-02   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/color.c, src/color.h, src/gerbv.c: Major cleanup of the whole
	color mess

2001-12-02   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/Makefile.am, src/color.c, src/color.h, src/gerbv.c: color.[hc]
	is split out from gerbv.c

2001-12-02   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/gerbv.c: Cleaned up open functions since we now have automatic
	detection of drill files

2001-12-02   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/drill.c: New algo to see if it's a drill file

2001-12-02   Andreas Andersson * e92_aan AT e dot kth dot se *

	* ChangeLog: gerbv now does several layers at once

2001-12-02   Andreas Andersson * e92_aan AT e dot kth dot se *

	* src/draw.c, src/draw.h: Floating point values rounded instead of
	truncated in image2pixmap()

2001-12-02   Andreas Andersson * e92_aan AT e dot kth dot se *

	* src/gerbv.c: Now shows layers simultaneously.

2001-11-27   Andreas Andersson * e92_aan AT e dot kth dot se *

	* ChangeLog, src/drill.c, src/gerbv.c: Added autodetection of file
	type.

2001-11-27   Andreas Andersson * e92_aan AT e dot kth dot se *

	* ChangeLog, src/drill.c, src/drill.h: Added drill file recognition
	function.

2001-11-26   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, configure.in: ./configure --data works

2001-11-26   Stefan Petersen * spe AT stacken dot kth dot se *

	* CONTRIBUTORS: Added jj and wr

2001-11-26   Andreas Andersson * e92_aan AT e dot kth dot se *

	* ChangeLog, src/drill.c: More commands recognised. Somewhat better
	coordinate parsing.

2001-11-23   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/draw.c, src/gerb_image.h, src/gerber.c,
	src/scm_gerber.c: Parses and draws polygon area fills

2001-11-21   Stefan Petersen * spe AT stacken dot kth dot se *

	* doc/sources.txt: Added Execellon link

2001-11-21   Andreas Andersson * e92_aan AT e dot kth dot se *

	* ChangeLog, src/drill.c: Better format guessing.

2001-11-20   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerber.c: D01-D03 on a single line is also a change

2001-11-20   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerber.c, src/gerber.h, src/scm_gerber.c: Minor
	bugfixes

2001-11-15   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerbv.c: Tooltips

2001-11-14   Stefan Petersen * spe AT stacken dot kth dot se *

	* NEWS: Added 0.0.5 information

2001-11-14   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, configure.in, src/gerbv.c: Changed speed key and
	increased release number

2001-11-08   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/Makefile.am, src/drill.c, src/drill.h,
	src/gerb_image.c, src/gerb_image.h, src/gerber.c, src/gerber.h,
	src/scm_gerber.c, src/scm_gerber.h: Created new "class", gerb_image

2001-11-07   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/draw.c, src/gerber.c: Multi quadrant arcs support

2001-11-06   Andreas Andersson * e92_aan AT e dot kth dot se *

	* ChangeLog, TODO, src/drill.c, src/drill.h: Drill file parser now
	ignores unstandard text in headers, which means it can cope with
	output from more CAD systems.

2001-11-05   Stefan Petersen * spe AT stacken dot kth dot se *

	* scheme/gerb-ps.scm: Fixed mm conversion

2001-11-05   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/drill.c, src/scm_gerber.c: Backend interface
	generates proper aperture list even for drill files

2001-11-04   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, man/gerbv.1, src/gerbv.c: Command line -d support added

2001-11-03   Stefan Petersen * spe AT stacken dot kth dot se *

	* scheme/gerb-debug.scm: debug tool for scheme backends

2001-11-03   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, scheme/gerb-ps.scm, src/gerber.c, src/gerber.h,
	src/scm_gerber.c: Changed list delivered to scheme backend

2001-11-03   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerber.c: Inserted check for undefined apertures
	that was earlier removed

2001-11-02   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/draw.c, src/gerber.c, src/gerber.h, src/gerbv.c:
	Calculates arc data when parsing and not when drawing, and removed
	some defines

2001-10-31   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, README, src/gerbv.c: Zooming with scroll wheel on mouse
	added.

2001-10-30   Stefan Petersen * spe AT stacken dot kth dot se *

	* example/eaglecad1/top-cop.gbx: Added. From Dan Christian.

2001-10-30   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerber.c, src/gerber.h: Fixed bug causing false
	points when the file just changed aperture

2001-10-29   Andreas Andersson * e92_aan AT e dot kth dot se *

	* ChangeLog, src/drill.c, src/gerber.c, src/gerber.h, src/gerbv.c:
	Moved new_image() to the correct place.

2001-10-29   Stefan Petersen * spe AT stacken dot kth dot se *

	* build_release: Checks out a release based on tag built from
	release number and not a pure CVS image

2001-10-28   Andreas Andersson * e92_aan AT e dot kth dot se *

	* ChangeLog, src/Makefile.am, src/draw.c, src/drill.c, src/drill.h,
	src/gerber.c, src/gerbv.c: First "functional" drill file support
	incorporated into main program.

2001-10-28   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/draw.c, src/gerber.c, src/gerber.h,
	src/scm_gerber.c: Aperture array simplified

2001-10-27   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, NEWS, build_release, src/drill.c, src/drill.h,
	src/gerber.c, src/gerber.h, src/gerbv.c, src/scm_gerber.c,
	src/scm_gerber.h: typedef:ed all structs to *_t

2001-10-27   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/gerber.c, src/gerber.h: EagleCad fixes

2001-10-27   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog: EagleCad and release 0.0.4

2001-10-27   Stefan Petersen * spe AT stacken dot kth dot se *

	* NEWS, configure.in: Updated for release 0.0.4

2001-10-27   Stefan Petersen * spe AT stacken dot kth dot se *

	* CONTRIBUTORS: Added Dan and Fredrik

2001-10-27   Stefan Petersen * spe AT stacken dot kth dot se *

	* AUTHORS: Added Pitch

2001-10-25   Andreas Andersson * e92_aan AT e dot kth dot se *

	* src/drill.c, src/drill.h: parse_drillfile() now returns a regular
	gerb_image.  Removed lots of unnecessary code.

2001-10-24   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/gerbv.c: Missed including draw.h

2001-10-24   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerbv.c: Changed some #ifdef NO_GUILE

2001-10-24   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/Makefile.am, src/draw.c, src/draw.h, src/gerbv.c:
	Split out drawing functions to draw.c

2001-10-23   Andreas Andersson * e92_aan AT e dot kth dot se *

	* src/drill.c: Removed evil C++ comments to pacify Stefan ;)

2001-10-22   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog: Cleaned example directory

2001-10-22   Stefan Petersen * spe AT stacken dot kth dot se *

	* example/numpres.pcb,
	example/numpres.pcb.output_componentmask.grb,
	example/numpres.pcb.output_componentsilk.grb,
	example/numpres.pcb.output_group1.grb,
	example/numpres.pcb.output_group2.grb,
	example/numpres.pcb.output_plated-drill.grb,
	example/numpres.pcb.output_soldermask.grb,
	example/numpres.pcb.output_unplated-drill.grb,
	example/numpres/numpres.pcb,
	example/numpres/numpres.pcb.output_componentmask.grb,
	example/numpres/numpres.pcb.output_componentsilk.grb,
	example/numpres/numpres.pcb.output_group1.grb,
	example/numpres/numpres.pcb.output_group2.grb,
	example/numpres/numpres.pcb.output_plated-drill.grb,
	example/numpres/numpres.pcb.output_soldermask.grb,
	example/numpres/numpres.pcb.output_unplated-drill.grb: Moved files
	to separate directory

2001-10-22   Stefan Petersen * spe AT stacken dot kth dot se *

	* example/ekf/README, example/ekf/ekf.gap, example/ekf/ekf_08.apt,
	example/ekf/l1.off: Added

2001-10-22   Stefan Petersen * spe AT stacken dot kth dot se *

	* doc/sources.txt: Added info abt gerb2tif

2001-10-21   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, src/gerbv.c: Changed cw/ccw handling when drawing arcs

2001-10-13   Andreas Andersson * e92_aan AT e dot kth dot se *

	* src/drill.c: Some (very) minor fixes, e.g. no longer uses a dummy
	hole at the beginning of the list of holes.

2001-10-13   Andreas Andersson * e92_aan AT e dot kth dot se *

	* example/nollezappare/ThruHolePlated.ncd, src/drill.c, src/drill.h:
	First "working" drill file parser. Manages a subset of the output
	from only one CAD system (Veribest), but it's a start...

2001-10-09   Stefan Petersen * spe AT stacken dot kth dot se *

	* CONTRIBUTORS, ChangeLog, src/gerber.c, src/gerber.h,
	src/scm_gerber.c: Added D flag for Format Statement in both parser
	and scm conversion

2001-09-09   Stefan Petersen * spe AT stacken dot kth dot se *

	* configure.in: 0.0.3 release

2001-09-09   Stefan Petersen * spe AT stacken dot kth dot se *

	* build_release: Line in .cvspass has port number now

2001-09-03   Stefan Petersen * spe AT stacken dot kth dot se *

	* build_release: Backed out of 1.3 changes

2001-09-03   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog, INSTALL, configure.in: Fixed bug causing at least
	Solaris not to be able to be configured and added some documentation
	in INSTALL

2001-09-01   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog: Failed automake fix desc.

2001-09-01   Stefan Petersen * spe AT stacken dot kth dot se *

	* build_release, rebuild_conf: Automake now _copies_ files instead
	of just linking

2001-08-31   Stefan Petersen * spe AT stacken dot kth dot se *

	* ChangeLog: Backend updates, minor directory clean up, fix move to
	sourceforge in build_release

2001-08-31   Stefan Petersen * spe AT stacken dot kth dot se *

	* scheme/gerb-ps.scm, src/gerbv.c, src/scm_gerber.c,
	src/scm_gerber.h: Backend now receives filename of parsed file

2001-08-31   Stefan Petersen * spe AT stacken dot kth dot se *

	* src/gerb-ps.scm: By mistake this was added during import

2001-08-31   Stefan Petersen * spe AT stacken dot kth dot se *

	* AUTHORS, CONTRIBUTORS: Split up AUTHORS into AUTHORS and
	CONTRIBUTORS

2001-08-31   Stefan Petersen * spe AT stacken dot kth dot se *

	* build_release: Uses anonymous login on sourceforge. Checks that a
	login ha been done

2001-08-30   Stefan Petersen * spe AT stacken dot kth dot se *

	* Initial revision

